Attribute VB_Name = "Strutil"
'The WideCharToMultiByte function maps a wide-character string to a new character string.
'The function is faster when both lpDefaultChar and lpUsedDefaultChar are NULL.

'CodePage
Private Const CP_ACP = 0   'ANSI
Private Const CP_MACCP = 2 'Mac
Private Const CP_OEMCP = 1 'OEM
Private Const CP_UTF7 = 65000
Private Const CP_UTF8 = 65001

'dwFlags
Private Const WC_NO_BEST_FIT_CHARS = &H400
Private Const WC_COMPOSITECHECK = &H200
Private Const WC_DISCARDNS = &H10
Private Const WC_SEPCHARS = &H20 'Default
Private Const WC_DEFAULTCHAR = &H40

Private Declare Function WideCharToMultiByte Lib "kernel32" (ByVal CodePage As Long, _
                                                    ByVal dwFlags As Long, _
                                                    ByVal lpWideCharStr As Long, _
                                                    ByVal cchWideChar As Long, _
                                                    ByVal lpMultiByteStr As Long, _
                                                    ByVal cbMultiByte As Long, _
                                                    ByVal lpDefaultChar As Long, _
                                                    ByVal lpUsedDefaultChar As Long) As Long
                                                    
Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (lpvDest As Any, _
                                                                     lpvSource As Any, _
                                                                     ByVal cbCopy As Long)

Sub NameToPtr(acNames() As Byte, pszNames() As Long, szNames() As String, ByVal nSize As Long)
Dim i As Long
Dim j As Long
Dim k As Long
Dim p As Long
Dim TempB() As Byte

For i = 0 To nSize - 1
    TempB = StringToByteArray(szNames(i), False, True)
    For j = 0 To Len(szNames(i))
        acNames(k) = TempB(j): k = k + 1
    Next
    p = k - 1 - Len(szNames(i))
    pszNames(i) = VarPtr(acNames(p))
Next i
    
End Sub

Sub PtrToName(acNames() As Byte, pszNames() As Long, szNames() As String, ByVal nSize As Long)
Dim i As Long
Dim j As Long
Dim k As Long
Dim nOffset As Long
Dim nBase As Long
Dim nLen As Long
Dim TempB() As Byte

nOffset = pszNames(0)
For i = 0 To nSize - 1
    nBase = pszNames(i) - nOffset
    If (i < nSize - 1) Then
        nLen = pszNames(i + 1) - pszNames(i)
    Else
        nLen = UBound(acNames) - nBase
    End If
    szNames(i) = ByteArrayToString(acNames, nBase, nLen)
Next i
    
End Sub

Private Function ByteArrayToString(ByteArray() As Byte, nBase As Long, nLen As Long) As String
    Dim iUnicode As Long, i As Long, j As Long
    Dim Bytes() As Byte
        
    On Error Resume Next
    ReDim Bytes(nLen)
    For j = 0 To nLen - 1
        Bytes(j) = ByteArray(nBase + j)
    Next j
    i = UBound(Bytes)
    If (i < 1) Then
        'ANSI, just convert to unicode and return
        ByteArrayToString = StrConv(Bytes, vbUnicode)
        Exit Function
    End If
    i = i + 1
    
    'Examine the first two bytes
    CopyMemory iUnicode, Bytes(0), 2
    
    If iUnicode = Bytes(0) Then 'Unicode
        'Account for terminating null
        If (i Mod 2) Then i = i - 1
        'Set up a buffer to recieve the string
        ByteArrayToString = String$(i / 2, 0)
        'Copy to string
        CopyMemory ByVal StrPtr(ByteArrayToString), Bytes(0), i
    Else 'ANSI
        ByteArrayToString = StrConv(Bytes, vbUnicode)
    End If
                    
End Function

Private Function StringToByteArray(strInput As String, _
                                Optional bReturnAsUnicode As Boolean = True, _
                                Optional bAddNullTerminator As Boolean = False) As Byte()
    
    Dim lRet As Long
    Dim bytBuffer() As Byte
    Dim lLenB As Long
    
    If bReturnAsUnicode Then
        'Number of bytes
        lLenB = LenB(strInput)
        'Resize buffer, do we want terminating null?
        If bAddNullTerminator Then
            ReDim bytBuffer(lLenB)
        Else
            ReDim bytBuffer(lLenB - 1)
        End If
        'Copy characters from string to byte array
        CopyMemory bytBuffer(0), ByVal StrPtr(strInput), lLenB
    Else
        'Num of characters
        lLenB = Len(strInput)
        If bAddNullTerminator Then
            ReDim bytBuffer(lLenB)
        Else
            ReDim bytBuffer(lLenB - 1)
        End If
        lRet = WideCharToMultiByte(CP_ACP, 0&, ByVal StrPtr(strInput), -1, _
                                   ByVal VarPtr(bytBuffer(0)), lLenB, 0&, 0&)
    End If
    
    StringToByteArray = bytBuffer
    
End Function


