#include <oxstd.h>

#include "oxlindo.h"

/* Define a function to do our error checking */
LSerrorCheck(const pEnv, const nErrorCode)
{
    if (nErrorCode)
    {
        if (nErrorCode == LSERR_NO_VALID_LICENSE)
           oxrunerror( "Invalid License Key!", 1);

        decl sErrorMessage;
        LSgetErrorMessage( pEnv, nErrorCode, &sErrorMessage);
        oxrunerror(sprint("Errorcode=", nErrorCode, ": ", sErrorMessage), 1);
    }
}
OxLScreateEnv()
{
    decl license_key, code, penv, license_file;
    decl ver, build, oxver;
    decl bannerline0 = "\noxLINDO (R) Version ",
         bannerline1 = "\nOx Interface for LINDO API (R) Version ",
         bannerline2 = "\nCopyright (c) 2001-2012 by LINDO Systems, Inc.\nAll rights reserved.\n";
             
    // copy of license file expected in same folder as oxlindo.ox
	license_file = getenv("LINDOAPI_HOME") ~ "/license/lndapi80.lic";
    code = LSloadLicenseString(license_file, &license_key);
    LSerrorCheck(0, code);

    penv = LScreateEnv (&code, license_key);
    LSerrorCheck(penv, code);
 
 
    code = LSgetVersionInfo(&ver,&build);
//    code = LSgetVersionOxLindo(&oxver);
//    print(bannerline0, oxver);
    print(bannerline1, ver, " Built ", build);    
    print(bannerline2);

	
    return penv;
}