 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ''
 ''    LINDO API Version 8.0
 ''    Copyright (c) 2000-2013
 ''
 ''    LINDO Systems, Inc.            312.988.7422
 ''    1415 North Dayton St.          info@lindo.com
 ''    Chicago, IL 60622              http://www.lindo.com
 ''
 ''    $Id: lindo.bas 1043 2013-01-23 15:48:57Z mka $
 ''
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/



 ''Attribute VB_Name = "Lindo"


 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '                        Constant Definitions                       '
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Const LS_MIN                               As Long = 1
 Public Const LS_MAX                               As Long = -1


 Public Const LS_CONTYPE_GE                        As Long = 71    'G'
 Public Const LS_CONTYPE_LE                        As Long = 76    'L'
 Public Const LS_CONTYPE_EQ                        As Long = 69    'E'
 Public Const LS_CONTYPE_FR                        As Long = 78    'N'
 Public Const LS_CONETYPE_QUAD                     As Long = 81    'Q'
 Public Const LS_CONETYPE_RQUAD                    As Long = 82    'R'
 Public Const LS_VARTYPE_CONT                      As Long = 67    'C'
 Public Const LS_VARTYPE_BIN                       As Long = 66    'B'
 Public Const LS_VARTYPE_INT                       As Long = 73    'I'

 Public Const LS_INFINITY                          As Double = 1E+30

 Public Const LS_BASTYPE_BAS                       As Long = 0
 Public Const LS_BASTYPE_ATLO                      As Long = -1
 Public Const LS_BASTYPE_ATUP                      As Long = -2
 Public Const LS_BASTYPE_FNUL                      As Long = -3
 Public Const LS_BASTYPE_SBAS                      As Long = -4

 Public Const LS_UNFORMATTED_MPS                   As Long = 0
 Public Const LS_FORMATTED_MPS                     As Long = 1
 Public Const LS_UNFORMATTED_MPS_COMP              As Long = 2
 Public Const LS_FORMATTED_MPS_COMP                As Long = 3

 Public Const LS_SOLUTION_OPT                      As Long = 0
 Public Const LS_SOLUTION_MIP                      As Long = 1
 Public Const LS_SOLUTION_OPT_IPM                  As Long = 2
 Public Const LS_SOLUTION_OPT_OLD                  As Long = 3
 Public Const LS_SOLUTION_MIP_OLD                  As Long = 4

 Public Const LS_BASFILE_BIN                       As Long = 1
 Public Const LS_BASFILE_MPS                       As Long = 2
 Public Const LS_BASFILE_TXT                       As Long = 3

 Public Const LS_INT_PARAMETER_TYPE                As Long = 4
 Public Const LS_DOUBLE_PARAMETER_TYPE             As Long = 8

 Public Const LS_MAX_ERROR_MESSAGE_LENGTH          As Long = 1024

 Public Const LS_DEFAULT                           As Long = -1
 Public Const LS_MAX_JOBJECTS                      As Long = 100

 Public Const LS_PROPERTY_UNKNOWN                  As Long = 0
 Public Const LS_PROPERTY_LINEAR                   As Long = 1
 Public Const LS_PROPERTY_CONVEX                   As Long = 2
 Public Const LS_PROPERTY_CONCAVE                  As Long = 3
 Public Const LS_PROPERTY_QUASI_CONVEX             As Long = 4
 Public Const LS_PROPERTY_QUASI_CONCAVE            As Long = 5
 Public Const LS_PROPERTY_MAX                      As Long = 6

 ' bitmasks for LScopyModel '/
 Public Const LS_RAW_COPY                          As Long = 0
 Public Const LS_DEEP_COPY                         As Long = 1
 Public Const LS_TIME_COPY                         As Long = 2
 Public Const LS_STOC_COPY                         As Long = 4
 Public Const LS_SNGSTG_COPY                       As Long = 8

 ' Time frames in seconds '/
 Public Const LSSEC01                              As Long    = 1
 Public Const LSSEC02                              As Long    = 2
 Public Const LSSEC03                              As Long    = 3
 Public Const LSSEC04                              As Long    = 4
 Public Const LSSEC05                              As Long    = 5
 Public Const LSSEC06                              As Long    = 6
 Public Const LSSEC10                              As Long    = 10
 Public Const LSSEC15                              As Long    = 15
 Public Const LSSEC20                              As Long    = 20
 Public Const LSSEC30                              As Long    = 30
 Public Const LSMIN01                              As Long    = 60
 Public Const LSMIN02                              As Long    = 120
 Public Const LSMIN03                              As Long    = 180
 Public Const LSMIN05                              As Long    = 300
 Public Const LSMIN06                              As Long    = 600
 Public Const LSMIN10                              As Long    = 600
 Public Const LSMIN15                              As Long    = 900
 Public Const LSMIN20                              As Long    = 1200
 Public Const LSMIN30                              As Long    = 1800
 Public Const LSHOUR01                             As Long    = 3600
 Public Const LSHOUR02                             As Long    = 7200
 Public Const LSHOUR03                             As Long    = 10800
 Public Const LSHOUR05                             As Long    = 18000
 Public Const LSHOUR06                             As Long    = 21600
 Public Const LSHOUR08                             As Long    = 28800
 Public Const LSHOUR12                             As Long    = 43200
 Public Const LSDAY                                As Long    = 86400
 Public Const LSWEEK                               As Long    = 604800
 Public Const LSMONTH                              As Long    = 2592000
 Public Const LSQUARTER                            As Long    = 7776000
 Public Const LSYEAR                               As Long    = 31104000

 ' Days of week '/
 Public Const LSSUNDAY                             As Long    = 0
 Public Const LSMONDAY                             As Long    = 1
 Public Const LSTUESDAY                            As Long    = 2
 Public Const LSWEDNESDAY                          As Long    = 3
 Public Const LSTHURSDAY                           As Long    = 4
 Public Const LSFRIDAY                             As Long    = 5
 Public Const LSSATURDAY                           As Long    = 6

 ' bitmask for components '/
 Public Const LS_DATA_CORE                         As Long = 1
 Public Const LS_DATA_TIME                         As Long = 2
 Public Const LS_DATA_STOC                         As Long = 4
 Public Const LS_DATA_FILE                         As Long = 8

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '                      Macro Type Definitions                       '
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 ' Solution or model status (1-20) '/
 Public Const LS_STATUS_OPTIMAL                    As Long = 1
 Public Const LS_STATUS_BASIC_OPTIMAL              As Long = 2
 Public Const LS_STATUS_INFEASIBLE                 As Long = 3
 Public Const LS_STATUS_UNBOUNDED                  As Long = 4
 Public Const LS_STATUS_FEASIBLE                   As Long = 5
 Public Const LS_STATUS_INFORUNB                   As Long = 6
 Public Const LS_STATUS_NEAR_OPTIMAL               As Long = 7
 Public Const LS_STATUS_LOCAL_OPTIMAL              As Long = 8
 Public Const LS_STATUS_LOCAL_INFEASIBLE           As Long = 9
 Public Const LS_STATUS_CUTOFF                     As Long = 10
 Public Const LS_STATUS_NUMERICAL_ERROR            As Long = 11
 Public Const LS_STATUS_UNKNOWN                    As Long = 12
 Public Const LS_STATUS_UNLOADED                   As Long = 13
 Public Const LS_STATUS_LOADED                     As Long = 14
 Public Const LS_STATUS_BOUNDED                    As Long = 15


 ' Parameter codes (21-999) '/
    ' General parameters (1021 - 1099) '/
 Public Const LS_IPARAM_OBJSENSE                   As Long = 1022
 Public Const LS_DPARAM_CALLBACKFREQ               As Long = 1023
 Public Const LS_DPARAM_OBJPRINTMUL                As Long = 1024
 Public Const LS_IPARAM_CHECK_FOR_ERRORS           As Long = 1025
 Public Const LS_IPARAM_ALLOW_CNTRLBREAK           As Long = 1026
 Public Const LS_IPARAM_DECOMPOSITION_TYPE         As Long = 1027
 Public Const LS_IPARAM_LP_SCALE                   As Long = 1029
 Public Const LS_IPARAM_LP_ITRLMT                  As Long = 1030
 Public Const LS_IPARAM_SPLEX_PPRICING             As Long = 1031
 Public Const LS_IPARAM_SPLEX_REFACFRQ             As Long = 1032
 Public Const LS_IPARAM_BARRIER_SOLVER             As Long = 1033
 Public Const LS_IPARAM_PROB_TO_SOLVE              As Long = 1034
 Public Const LS_IPARAM_LP_PRINTLEVEL              As Long = 1035
 Public Const LS_IPARAM_MPS_OBJ_WRITESTYLE         As Long = 1036
 Public Const LS_IPARAM_SPLEX_DPRICING             As Long = 1037
 Public Const LS_IPARAM_SOL_REPORT_STYLE           As Long = 1038
 Public Const LS_IPARAM_INSTRUCT_LOADTYPE          As Long = 1039
 Public Const LS_IPARAM_SPLEX_DUAL_PHASE           As Long = 1040
 Public Const LS_IPARAM_LP_PRELEVEL                As Long = 1041
 Public Const LS_IPARAM_STRING_LENLMT              As Long = 1042
 Public Const LS_IPARAM_USE_NAMEDATA               As Long = 1043
 Public Const LS_IPARAM_SPLEX_USE_EXTERNAL         As Long = 1044
 Public Const LS_DPARAM_LP_ITRLMT                  As Long = 1045
 Public Const LS_IPARAM_COPY_MODE                  As Long = 1046
 Public Const LS_IPARAM_SBD_NUM_THREADS            As Long = 1047
 Public Const LS_IPARAM_NUM_THREADS                As Long = 1048
 Public Const LS_IPARAM_MULTITHREAD_MODE           As Long = 1049
 Public Const LS_IPARAM_FIND_BLOCK                 As Long = 1050

    ' Generic solver parameters (1251 - 1500) '/
 Public Const LS_IPARAM_SOLVER_IUSOL               As Long = 1251
 Public Const LS_IPARAM_SOLVER_TIMLMT              As Long = 1252
 Public Const LS_DPARAM_SOLVER_CUTOFFVAL           As Long = 1253
 Public Const LS_DPARAM_SOLVER_FEASTOL             As Long = 1254
 Public Const LS_IPARAM_SOLVER_RESTART             As Long = 1255
 Public Const LS_IPARAM_SOLVER_IPMSOL              As Long = 1256
 Public Const LS_DPARAM_SOLVER_OPTTOL              As Long = 1257
 Public Const LS_IPARAM_SOLVER_USECUTOFFVAL        As Long = 1258
 Public Const LS_IPARAM_SOLVER_PRE_ELIM_FILL       As Long = 1259
 Public Const LS_DPARAM_SOLVER_TIMLMT              As Long = 1260
 Public Const LS_IPARAM_SOLVER_CONCURRENT_OPTMODE  As Long = 1261
 Public Const LS_DPARAM_SOLVER_PERT_FEASTOL        As Long = 1262
 Public Const LS_IPARAM_SOLVER_PARTIALSOL_LEVEL    As Long = 1263

    ' Advanced parameters for the simplex method (4000 - 41++) '/
 Public Const LS_DPARAM_LP_MIN_FEASTOL             As Long = 4060
 Public Const LS_DPARAM_LP_MAX_FEASTOL             As Long = 4061
 Public Const LS_DPARAM_LP_MIN_OPTTOL              As Long = 4062
 Public Const LS_DPARAM_LP_MAX_OPTTOL              As Long = 4063
 Public Const LS_DPARAM_LP_MIN_PIVTOL              As Long = 4064
 Public Const LS_DPARAM_LP_MAX_PIVTOL              As Long = 4065
 Public Const LS_DPARAM_LP_AIJ_ZEROTOL             As Long = 4066
 Public Const LS_DPARAM_LP_PIV_ZEROTOL             As Long = 4067
 Public Const LS_DPARAM_LP_PIV_BIGTOL              As Long = 4068
 Public Const LS_DPARAM_LP_BIGM                    As Long = 4069
 Public Const LS_DPARAM_LP_BNDINF                  As Long = 4070
 Public Const LS_DPARAM_LP_INFINITY                As Long = 4071
 Public Const LS_IPARAM_LP_PPARTIAL                As Long = 4072
 Public Const LS_IPARAM_LP_DPARTIAL                As Long = 4073
 Public Const LS_IPARAM_LP_DRATIO                  As Long = 4074
 Public Const LS_IPARAM_LP_PRATIO                  As Long = 4075
 Public Const LS_IPARAM_LP_RATRANGE                As Long = 4076
 Public Const LS_IPARAM_LP_DPSWITCH                As Long = 4077
 Public Const LS_IPARAM_LP_PALLOC                  As Long = 4078
 Public Const LS_IPARAM_LP_PRTFG                   As Long = 4079
 Public Const LS_IPARAM_LP_OPRFREE                 As Long = 4080

    ' Advanced parameters for LU decomposition (4800 - 4+++) '/
 Public Const LS_IPARAM_LU_NUM_CANDITS             As Long = 4800
 Public Const LS_IPARAM_LU_MAX_UPDATES             As Long = 4801
 Public Const LS_IPARAM_LU_PRINT_LEVEL             As Long = 4802
 Public Const LS_IPARAM_LU_UPDATE_TYPE             As Long = 4803
 Public Const LS_IPARAM_LU_USE_PIVCOL              As Long = 4804
 Public Const LS_IPARAM_LU_PIVMOD                  As Long = 4806
 Public Const LS_DPARAM_LU_EPS_DIAG                As Long = 4900
 Public Const LS_DPARAM_LU_EPS_NONZ                As Long = 4901
 Public Const LS_DPARAM_LU_EPS_PIVABS              As Long = 4902
 Public Const LS_DPARAM_LU_EPS_PIVREL              As Long = 4903
 Public Const LS_DPARAM_LU_INI_RCOND               As Long = 4904
 Public Const LS_DPARAM_LU_SPVTOL_UPDATE           As Long = 4905
 Public Const LS_DPARAM_LU_SPVTOL_FTRAN            As Long = 4906
 Public Const LS_DPARAM_LU_SPVTOL_BTRAN            As Long = 4907

    ' Parameters for the IPM method (3000 - 3+++) '/
 Public Const LS_DPARAM_IPM_TOL_INFEAS             As Long = 3150
 Public Const LS_DPARAM_IPM_TOL_PATH               As Long = 3151
 Public Const LS_DPARAM_IPM_TOL_PFEAS              As Long = 3152
 Public Const LS_DPARAM_IPM_TOL_REL_STEP           As Long = 3153
 Public Const LS_DPARAM_IPM_TOL_PSAFE              As Long = 3154
 Public Const LS_DPARAM_IPM_TOL_DFEAS              As Long = 3155
 Public Const LS_DPARAM_IPM_TOL_DSAFE              As Long = 3156
 Public Const LS_DPARAM_IPM_TOL_MU_RED             As Long = 3157
 Public Const LS_DPARAM_IPM_BASIS_REL_TOL_S        As Long = 3158
 Public Const LS_DPARAM_IPM_BASIS_TOL_S            As Long = 3159
 Public Const LS_DPARAM_IPM_BASIS_TOL_X            As Long = 3160
 Public Const LS_DPARAM_IPM_BI_LU_TOL_REL_PIV      As Long = 3161
 Public Const LS_DPARAM_IPM_CO_TOL_INFEAS          As Long = 3162
 Public Const LS_DPARAM_IPM_CO_TOL_PFEAS           As Long = 3163
 Public Const LS_DPARAM_IPM_CO_TOL_DFEAS           As Long = 3164
 Public Const LS_DPARAM_IPM_CO_TOL_MU_RED          As Long = 3165
 Public Const LS_IPARAM_IPM_MAX_ITERATIONS         As Long = 3166
 Public Const LS_IPARAM_IPM_OFF_COL_TRH            As Long = 3167
 Public Const LS_IPARAM_IPM_NUM_THREADS            As Long = 3168
 Public Const LS_IPARAM_IPM_CHECK_CONVEXITY        As Long = 3169

    ' Nonlinear programming (NLP) parameters (2500 - 25++) '/
 Public Const LS_IPARAM_NLP_SOLVE_AS_LP            As Long = 2500
 Public Const LS_IPARAM_NLP_SOLVER                 As Long = 2501
 Public Const LS_IPARAM_NLP_SUBSOLVER              As Long = 2502
 Public Const LS_IPARAM_NLP_PRINTLEVEL             As Long = 2503
 Public Const LS_DPARAM_NLP_PSTEP_FINITEDIFF       As Long = 2504
 Public Const LS_IPARAM_NLP_DERIV_DIFFTYPE         As Long = 2505
 Public Const LS_DPARAM_NLP_FEASTOL                As Long = 2506
 Public Const LS_DPARAM_NLP_REDGTOL                As Long = 2507
 Public Const LS_IPARAM_NLP_USE_CRASH              As Long = 2508
 Public Const LS_IPARAM_NLP_USE_STEEPEDGE          As Long = 2509
 Public Const LS_IPARAM_NLP_USE_SLP                As Long = 2510
 Public Const LS_IPARAM_NLP_USE_SELCONEVAL         As Long = 2511
 Public Const LS_IPARAM_NLP_PRELEVEL               As Long = 2512
 Public Const LS_IPARAM_NLP_ITRLMT                 As Long = 2513
 Public Const LS_IPARAM_NLP_LINEARZ                As Long = 2514
 Public Const LS_IPARAM_NLP_LINEARITY              As Long = 2515
 Public Const LS_IPARAM_NLP_STARTPOINT             As Long = 2516
 Public Const LS_IPARAM_NLP_CONVEXRELAX            As Long = 2517
 Public Const LS_IPARAM_NLP_CR_ALG_REFORM          As Long = 2518
 Public Const LS_IPARAM_NLP_QUADCHK                As Long = 2519
 Public Const LS_IPARAM_NLP_AUTODERIV              As Long = 2520
 Public Const LS_IPARAM_NLP_MAXLOCALSEARCH         As Long = 2521
 Public Const LS_IPARAM_NLP_CONVEX                 As Long = 2522
 Public Const LS_IPARAM_NLP_CONOPT_VER             As Long = 2523
 Public Const LS_IPARAM_NLP_USE_LINDO_CRASH        As Long = 2524
 Public Const LS_IPARAM_NLP_STALL_ITRLMT           As Long = 2525
 Public Const LS_IPARAM_NLP_AUTOHESS               As Long = 2526
 Public Const LS_IPARAM_NLP_FEASCHK                As Long = 2527
 Public Const LS_DPARAM_NLP_ITRLMT                 As Long = 2528
 Public Const LS_IPARAM_NLP_MAXSUP                 As Long = 2529
 Public Const LS_IPARAM_NLP_MSW_SOLIDX             As Long = 2530
 Public Const LS_IPARAM_NLP_ITERS_PER_LOGLINE      As Long = 2531
 Public Const LS_IPARAM_NLP_MAX_RETRY              As Long = 2532
 Public Const LS_IPARAM_NLP_MSW_NORM               As Long = 2533
 Public Const LS_IPARAM_NLP_MSW_POPSIZE            As Long = 2534
 Public Const LS_IPARAM_NLP_MSW_MAXPOP             As Long = 2535
 Public Const LS_IPARAM_NLP_MSW_MAXNOIMP           As Long = 2536
 Public Const LS_IPARAM_NLP_MSW_FILTMODE           As Long = 2537
 Public Const LS_DPARAM_NLP_MSW_POXDIST_THRES      As Long = 2538
 Public Const LS_DPARAM_NLP_MSW_EUCDIST_THRES      As Long = 2539
 Public Const LS_DPARAM_NLP_MSW_XNULRAD_FACTOR     As Long = 2540
 Public Const LS_DPARAM_NLP_MSW_XKKTRAD_FACTOR     As Long = 2541
 Public Const LS_IPARAM_NLP_MAXLOCALSEARCH_TREE    As Long = 2542
 Public Const LS_IPARAM_NLP_MSW_NUM_THREADS        As Long = 2543
 Public Const LS_IPARAM_NLP_MSW_RG_SEED            As Long = 2544
 Public Const LS_IPARAM_NLP_MSW_PREPMODE           As Long = 2545
 Public Const LS_IPARAM_NLP_MSW_RMAPMODE           As Long = 2546
 Public Const LS_IPARAM_NLP_XSMODE                 As Long = 2547
 Public Const LS_DPARAM_NLP_MSW_OVERLAP_RATIO      As Long = 2548
 Public Const LS_DPARAM_NLP_INF                    As Long = 2549

    ' Mixed integer programming (MIP) parameters (5000 - 5+++) '/
 Public Const LS_IPARAM_MIP_TIMLIM                 As Long = 5300
 Public Const LS_IPARAM_MIP_AOPTTIMLIM             As Long = 5301
 Public Const LS_IPARAM_MIP_LSOLTIMLIM             As Long = 5302
 Public Const LS_IPARAM_MIP_PRELEVEL               As Long = 5303
 Public Const LS_IPARAM_MIP_NODESELRULE            As Long = 5304
 Public Const LS_DPARAM_MIP_INTTOL                 As Long = 5305
 Public Const LS_DPARAM_MIP_RELINTTOL              As Long = 5306
 Public Const LS_DPARAM_MIP_RELOPTTOL              As Long = 5307
 Public Const LS_DPARAM_MIP_PEROPTTOL              As Long = 5308
 Public Const LS_IPARAM_MIP_MAXCUTPASS_TOP         As Long = 5309
 Public Const LS_IPARAM_MIP_MAXCUTPASS_TREE        As Long = 5310
 Public Const LS_DPARAM_MIP_ADDCUTPER              As Long = 5311
 Public Const LS_DPARAM_MIP_ADDCUTPER_TREE         As Long = 5312
 Public Const LS_IPARAM_MIP_MAXNONIMP_CUTPASS      As Long = 5313
 Public Const LS_IPARAM_MIP_CUTLEVEL_TOP           As Long = 5314
 Public Const LS_IPARAM_MIP_CUTLEVEL_TREE          As Long = 5315
 Public Const LS_IPARAM_MIP_CUTTIMLIM              As Long = 5316
 Public Const LS_IPARAM_MIP_CUTDEPTH               As Long = 5317
 Public Const LS_IPARAM_MIP_CUTFREQ                As Long = 5318
 Public Const LS_IPARAM_MIP_HEULEVEL               As Long = 5319
 Public Const LS_IPARAM_MIP_PRINTLEVEL             As Long = 5320
 Public Const LS_IPARAM_MIP_PREPRINTLEVEL          As Long = 5321
 Public Const LS_DPARAM_MIP_CUTOFFOBJ              As Long = 5322
 Public Const LS_IPARAM_MIP_USECUTOFFOBJ           As Long = 5323
 Public Const LS_IPARAM_MIP_STRONGBRANCHLEVEL      As Long = 5324
 Public Const LS_IPARAM_MIP_TREEREORDERLEVEL       As Long = 5325
 Public Const LS_IPARAM_MIP_BRANCHDIR              As Long = 5326
 Public Const LS_IPARAM_MIP_TOPOPT                 As Long = 5327
 Public Const LS_IPARAM_MIP_REOPT                  As Long = 5328
 Public Const LS_IPARAM_MIP_SOLVERTYPE             As Long = 5329
 Public Const LS_IPARAM_MIP_KEEPINMEM              As Long = 5330
 Public Const LS_IPARAM_MIP_BRANCHRULE             As Long = 5331
 Public Const LS_DPARAM_MIP_REDCOSTFIX_CUTOFF      As Long = 5332
 Public Const LS_DPARAM_MIP_ADDCUTOBJTOL           As Long = 5333
 Public Const LS_IPARAM_MIP_HEUMINTIMLIM           As Long = 5334
 Public Const LS_IPARAM_MIP_BRANCH_PRIO            As Long = 5335
 Public Const LS_IPARAM_MIP_SCALING_BOUND          As Long = 5336
 Public Const LS_DPARAM_MIP_PSEUDOCOST_WEIGT       As Long = 5337
 Public Const LS_DPARAM_MIP_LBIGM                  As Long = 5338
 Public Const LS_DPARAM_MIP_DELTA                  As Long = 5339
 Public Const LS_IPARAM_MIP_DUAL_SOLUTION          As Long = 5340
 Public Const LS_IPARAM_MIP_BRANCH_LIMIT           As Long = 5341
 Public Const LS_DPARAM_MIP_ITRLIM                 As Long = 5342
 Public Const LS_IPARAM_MIP_AGGCUTLIM_TOP          As Long = 5343
 Public Const LS_IPARAM_MIP_AGGCUTLIM_TREE         As Long = 5344
 Public Const LS_DPARAM_MIP_SWITCHFAC_SIM_IPM_ITER As Long = 5345
 Public Const LS_IPARAM_MIP_ANODES_SWITCH_DF       As Long = 5346
 Public Const LS_DPARAM_MIP_ABSOPTTOL              As Long = 5347
 Public Const LS_DPARAM_MIP_MINABSOBJSTEP          As Long = 5348
 Public Const LS_IPARAM_MIP_PSEUDOCOST_RULE        As Long = 5349
 Public Const LS_IPARAM_MIP_ENUM_HEUMODE           As Long = 5350
 Public Const LS_IPARAM_MIP_PRELEVEL_TREE          As Long = 5351
 Public Const LS_DPARAM_MIP_REDCOSTFIX_CUTOFF_TREE As Long = 5352
 Public Const LS_IPARAM_MIP_USE_INT_ZERO_TOL       As Long = 5353
 Public Const LS_IPARAM_MIP_USE_CUTS_HEU           As Long = 5354
 Public Const LS_DPARAM_MIP_BIGM_FOR_INTTOL        As Long = 5355
 Public Const LS_IPARAM_MIP_STRONGBRANCHDONUM      As Long = 5366
 Public Const LS_IPARAM_MIP_MAKECUT_INACTIVE_COUNT As Long = 5367
 Public Const LS_IPARAM_MIP_PRE_ELIM_FILL          As Long = 5368
 Public Const LS_IPARAM_MIP_HEU_MODE               As Long = 5369
 Public Const LS_DPARAM_MIP_TIMLIM                 As Long = 5370
 Public Const LS_DPARAM_MIP_AOPTTIMLIM             As Long = 5371
 Public Const LS_DPARAM_MIP_LSOLTIMLIM             As Long = 5372
 Public Const LS_DPARAM_MIP_CUTTIMLIM              As Long = 5373
 Public Const LS_DPARAM_MIP_HEUMINTIMLIM           As Long = 5374
 Public Const LS_IPARAM_MIP_FP_MODE                As Long = 5375
 Public Const LS_DPARAM_MIP_FP_WEIGHT              As Long = 5376
 Public Const LS_IPARAM_MIP_FP_OPT_METHOD          As Long = 5377
 Public Const LS_DPARAM_MIP_FP_TIMLIM              As Long = 5378
 Public Const LS_IPARAM_MIP_FP_ITRLIM              As Long = 5379
 Public Const LS_IPARAM_MIP_FP_HEU_MODE            As Long = 5380
 Public Const LS_DPARAM_MIP_OBJ_THRESHOLD          As Long = 5381
 Public Const LS_IPARAM_MIP_LOCALBRANCHNUM         As Long = 5382
 Public Const LS_DPARAM_MIP_SWITCHFAC_SIM_IPM_TIME As Long = 5383
 Public Const LS_DPARAM_MIP_ITRLIM_SIM             As Long = 5384
 Public Const LS_DPARAM_MIP_ITRLIM_NLP             As Long = 5385
 Public Const LS_DPARAM_MIP_ITRLIM_IPM             As Long = 5386
 Public Const LS_IPARAM_MIP_MAXNUM_MIP_SOL_STORAGE As Long = 5387
 Public Const LS_IPARAM_MIP_CONCURRENT_TOPOPTMODE  As Long = 5388
 Public Const LS_IPARAM_MIP_CONCURRENT_REOPTMODE   As Long = 5389
 Public Const LS_IPARAM_MIP_PREHEU_LEVEL           As Long = 5390
 Public Const LS_IPARAM_MIP_PREHEU_PRE_LEVEL       As Long = 5391
 Public Const LS_IPARAM_MIP_PREHEU_PRINT_LEVEL     As Long = 5392
 Public Const LS_IPARAM_MIP_PREHEU_TC_ITERLIM      As Long = 5393
 Public Const LS_IPARAM_MIP_PREHEU_DFE_VSTLIM      As Long = 5394
 Public Const LS_IPARAM_MIP_PREHEU_VAR_SEQ         As Long = 5395
 Public Const LS_IPARAM_MIP_USE_PARTIALSOL_LEVEL   As Long = 5396
 Public Const LS_IPARAM_MIP_GENERAL_MODE           As Long = 5397
 Public Const LS_IPARAM_MIP_NUM_THREADS            As Long = 5398
 Public Const LS_IPARAM_MIP_POLISH_NUM_BRANCH_NEXT As Long = 5399
 Public Const LS_IPARAM_MIP_POLISH_MAX_BRANCH_COUNT As Long = 5400
 Public Const LS_DPARAM_MIP_POLISH_ALPHA_TARGET    As Long = 5401
 Public Const LS_IPARAM_MIP_CONCURRENT_STRATEGY    As Long = 5402
 Public Const LS_DPARAM_MIP_BRANCH_TOP_VAL_DIFF_WEIGHT As Long = 5403
 Public Const LS_IPARAM_MIP_BASCUTS_DONUM          As Long = 5404
 Public Const LS_IPARAM_MIP_PARA_SUB               As Long = 5405
 Public Const LS_DPARAM_MIP_PARA_RND_ITRLMT        As Long    = 5406
 Public Const LS_DPARAM_MIP_PARA_INIT_NODE         As Long    = 5407
 Public Const LS_IPARAM_MIP_PARA_ITR_MODE          As Long    = 5408

    ' Global optimization (GOP) parameters (6000 - 6+++) '/
 Public Const LS_DPARAM_GOP_RELOPTTOL              As Long = 6400
 Public Const LS_DPARAM_GOP_FLTTOL                 As Long = 6401
 Public Const LS_DPARAM_GOP_BOXTOL                 As Long = 6402
 Public Const LS_DPARAM_GOP_WIDTOL                 As Long = 6403
 Public Const LS_DPARAM_GOP_DELTATOL               As Long = 6404
 Public Const LS_DPARAM_GOP_BNDLIM                 As Long = 6405
 Public Const LS_IPARAM_GOP_TIMLIM                 As Long = 6406
 Public Const LS_IPARAM_GOP_OPTCHKMD               As Long = 6407
 Public Const LS_IPARAM_GOP_BRANCHMD               As Long = 6408
 Public Const LS_IPARAM_GOP_MAXWIDMD               As Long = 6409
 Public Const LS_IPARAM_GOP_PRELEVEL               As Long = 6410
 Public Const LS_IPARAM_GOP_POSTLEVEL              As Long = 6411
 Public Const LS_IPARAM_GOP_BBSRCHMD               As Long = 6412
 Public Const LS_IPARAM_GOP_DECOMPPTMD             As Long = 6413
 Public Const LS_IPARAM_GOP_ALGREFORMMD            As Long = 6414
 Public Const LS_IPARAM_GOP_RELBRNDMD              As Long = 6415
 Public Const LS_IPARAM_GOP_PRINTLEVEL             As Long = 6416
 Public Const LS_IPARAM_GOP_BNDLIM_MODE            As Long = 6417
 Public Const LS_IPARAM_GOP_BRANCH_LIMIT           As Long = 6418
 Public Const LS_IPARAM_GOP_CORELEVEL              As Long = 6419
 Public Const LS_IPARAM_GOP_OPT_MODE               As Long = 6420
 Public Const LS_IPARAM_GOP_HEU_MODE               As Long = 6421
 Public Const LS_IPARAM_GOP_SUBOUT_MODE            As Long = 6422
 Public Const LS_IPARAM_GOP_USE_NLPSOLVE           As Long = 6423
 Public Const LS_IPARAM_GOP_LSOLBRANLIM            As Long = 6424
 Public Const LS_IPARAM_GOP_LPSOPT                 As Long = 6425
 Public Const LS_DPARAM_GOP_TIMLIM                 As Long = 6426
 Public Const LS_DPARAM_GOP_BRANCH_LIMIT           As Long = 6427
 Public Const LS_IPARAM_GOP_QUADMD                 As Long = 6428
 Public Const LS_IPARAM_GOP_LIM_MODE               As Long = 6429
 Public Const LS_DPARAM_GOP_ITRLIM                 As Long = 6430
 Public Const LS_DPARAM_GOP_ITRLIM_SIM             As Long = 6431
 Public Const LS_DPARAM_GOP_ITRLIM_IPM             As Long = 6432
 Public Const LS_DPARAM_GOP_ITRLIM_NLP             As Long = 6433
 Public Const LS_DPARAM_GOP_ABSOPTTOL              As Long = 6434
 Public Const LS_DPARAM_GOP_PEROPTTOL              As Long = 6435
 Public Const LS_DPARAM_GOP_AOPTTIMLIM             As Long = 6436
 Public Const LS_IPARAM_GOP_LINEARZ                As Long = 6437
 Public Const LS_IPARAM_GOP_NUM_THREADS            As Long = 6438

    ' License information parameters '/
 Public Const LS_IPARAM_LIC_CONSTRAINTS            As Long = 500
 Public Const LS_IPARAM_LIC_VARIABLES              As Long = 501
 Public Const LS_IPARAM_LIC_INTEGERS               As Long = 502
 Public Const LS_IPARAM_LIC_NONLINEARVARS          As Long = 503
 Public Const LS_IPARAM_LIC_GOP_INTEGERS           As Long = 504
 Public Const LS_IPARAM_LIC_GOP_NONLINEARVARS      As Long = 505
 Public Const LS_IPARAM_LIC_DAYSTOEXP              As Long = 506
 Public Const LS_IPARAM_LIC_DAYSTOTRIALEXP         As Long = 507
 Public Const LS_IPARAM_LIC_NONLINEAR              As Long = 508
 Public Const LS_IPARAM_LIC_EDUCATIONAL            As Long = 509
 Public Const LS_IPARAM_LIC_RUNTIME                As Long = 510
 Public Const LS_IPARAM_LIC_NUMUSERS               As Long = 511
 Public Const LS_IPARAM_LIC_BARRIER                As Long = 512
 Public Const LS_IPARAM_LIC_GLOBAL                 As Long = 513
 Public Const LS_IPARAM_LIC_PLATFORM               As Long = 514
 Public Const LS_IPARAM_LIC_MIP                    As Long = 515
 Public Const LS_IPARAM_LIC_SP                     As Long = 516
 Public Const LS_IPARAM_LIC_CONIC                  As Long = 517
 Public Const LS_IPARAM_LIC_RESERVED1              As Long = 519

    ' Model analysis parameters (1500 - 15++) '/
 Public Const LS_IPARAM_IIS_ANALYZE_LEVEL          As Long = 1550
 Public Const LS_IPARAM_IUS_ANALYZE_LEVEL          As Long = 1551
 Public Const LS_IPARAM_IIS_TOPOPT                 As Long = 1552
 Public Const LS_IPARAM_IIS_REOPT                  As Long = 1553
 Public Const LS_IPARAM_IIS_USE_SFILTER            As Long = 1554
 Public Const LS_IPARAM_IIS_PRINT_LEVEL            As Long = 1555
 Public Const LS_IPARAM_IIS_INFEAS_NORM            As Long = 1556
 Public Const LS_IPARAM_IIS_ITER_LIMIT             As Long = 1557
 Public Const LS_DPARAM_IIS_ITER_LIMIT             As Long = 1558
 Public Const LS_IPARAM_IIS_TIME_LIMIT             As Long = 1559
 Public Const LS_IPARAM_IIS_METHOD                 As Long = 1560
 Public Const LS_IPARAM_IIS_USE_EFILTER            As Long = 1561
 Public Const LS_IPARAM_IIS_USE_GOP                As Long = 1562
 Public Const LS_IPARAM_IIS_NUM_THREADS            As Long = 1563

    ' Output log format parameter '/
 Public Const LS_IPARAM_FMT_ISSQL                  As Long = 1590

    ' Stochastic Parameters (6000 - 6+++) '/

    '! @ingroup LSstocParam @{ '/
    '! Common sample size per stochastic parameter. '/
 Public Const LS_IPARAM_STOC_NSAMPLE_SPAR          As Long = 6600
    '! Common sample size per stage.  '/
 Public Const LS_IPARAM_STOC_NSAMPLE_STAGE         As Long = 6601
    '! Seed to initialize the random number generator. '/
 Public Const LS_IPARAM_STOC_RG_SEED               As Long = 6602
    '! Stochastic optimization method to solve the model. '/
 Public Const LS_IPARAM_STOC_METHOD                As Long = 6603
    '! Reoptimization method to solve the node-models. '/
 Public Const LS_IPARAM_STOC_REOPT                 As Long = 6604
    '! Optimization method to solve the root problem. '/
 Public Const LS_IPARAM_STOC_TOPOPT                As Long = 6605
    '! Iteration limit for stochastic solver. '/
 Public Const LS_IPARAM_STOC_ITER_LIM              As Long = 6606
    '! Print level to display progress information during optimization '/
 Public Const LS_IPARAM_STOC_PRINT_LEVEL           As Long = 6607
    '! Type of deterministic equivalent '/
 Public Const LS_IPARAM_STOC_DETEQ_TYPE            As Long = 6608
    '! Flag to enable/disable calculation of EVPI. '/
 Public Const LS_IPARAM_STOC_CALC_EVPI             As Long = 6609

    '! Flag to restrict sampling to continuous stochastic parameters only or not.'/
 Public Const LS_IPARAM_STOC_SAMP_CONT_ONLY        As Long = 6611

    '! Bucket size in Benders decomposition '/
 Public Const LS_IPARAM_STOC_BUCKET_SIZE           As Long = 6612
    '! Maximum number of scenarios before forcing automatic sampling '/
 Public Const LS_IPARAM_STOC_MAX_NUMSCENS          As Long = 6613
    '! Stage beyond which node-models are shared '/
 Public Const LS_IPARAM_STOC_SHARE_BEGSTAGE        As Long = 6614
    '! Print level to display progress information during optimization of node models '/
 Public Const LS_IPARAM_STOC_NODELP_PRELEVEL       As Long = 6615

    '! Time limit for stochastic solver.'/
 Public Const LS_DPARAM_STOC_TIME_LIM              As Long = 6616
    '! Relative optimality tolerance (w.r.t lower and upper bounds on the true objective) to stop the solver. '/
 Public Const LS_DPARAM_STOC_RELOPTTOL             As Long = 6617
    '! Absolute optimality tolerance (w.r.t lower and upper bounds on the true objective) to stop the solver. '/
 Public Const LS_DPARAM_STOC_ABSOPTTOL             As Long = 6618
    '! Internal mask '/
 Public Const LS_IPARAM_STOC_DEBUG_MASK            As Long = 6619
    '! Sampling method for variance reduction. '/
 Public Const LS_IPARAM_STOC_VARCONTROL_METHOD     As Long = 6620
    '! Correlation type associated with correlation matrix.  '/
 Public Const LS_IPARAM_STOC_CORRELATION_TYPE      As Long = 6621
    '! Warm start basis for wait-see model  .  '/
 Public Const LS_IPARAM_STOC_WSBAS                 As Long = 6622

    '! Outer loop iteration limit for ALD  .  '/
 Public Const LS_IPARAM_STOC_ALD_OUTER_ITER_LIM    As Long = 6623
    '! Inner loop iteration limit for ALD  .  '/
 Public Const LS_IPARAM_STOC_ALD_INNER_ITER_LIM    As Long = 6624
    '! Dual feasibility tolerance for ALD  .  '/
 Public Const LS_DPARAM_STOC_ALD_DUAL_FEASTOL      As Long = 6625
    '! Primal feasibility tolerance for ALD  .  '/
 Public Const LS_DPARAM_STOC_ALD_PRIMAL_FEASTOL    As Long = 6626
    '! Dual step length for ALD  .  '/
 Public Const LS_DPARAM_STOC_ALD_DUAL_STEPLEN      As Long = 6627
    '! Primal step length for ALD  .  '/
 Public Const LS_DPARAM_STOC_ALD_PRIMAL_STEPLEN    As Long = 6628
    '! Order nontemporal models or not.  '/
 Public Const LS_IPARAM_CORE_ORDER_BY_STAGE        As Long = 6629

    '! Node name format.  '/
 Public Const LS_SPARAM_STOC_FMT_NODE_NAME         As Long = 6630
    '! Scenario name format.  '/
 Public Const LS_SPARAM_STOC_FMT_SCENARIO_NAME     As Long = 6631
    '! Flag to specify whether stochastic parameters in MPI will be mapped as LP matrix elements.  '/
 Public Const LS_IPARAM_STOC_MAP_MPI2LP            As Long = 6632
    '! Flag to enable or disable autoaggregation '/
 Public Const LS_IPARAM_STOC_AUTOAGGR              As Long = 6633
    '! Benchmark scenario to compare EVPI and EVMU against'/
 Public Const LS_IPARAM_STOC_BENCHMARK_SCEN        As Long = 6634
    '! Value to truncate infinite bounds at non-leaf nodes '/
 Public Const LS_DPARAM_STOC_INFBND                As Long = 6635
    '! Flag to use add-instructions mode when building deteq '/
 Public Const LS_IPARAM_STOC_ADD_MPI               As Long = 6636
    ' Flag to enable elimination of fixed variables from deteq MPI '/
 Public Const LS_IPARAM_STOC_ELIM_FXVAR            As Long = 6637
    '! RHS value of objective cut in SBD master problem.  '/
 Public Const LS_DPARAM_STOC_SBD_OBJCUTVAL         As Long = 6638
    '! Flag to enable objective cut in SBD master problem.  '/
 Public Const LS_IPARAM_STOC_SBD_OBJCUTFLAG        As Long = 6639
    '! Maximum number of candidate solutions to generate at SBD root '/
 Public Const LS_IPARAM_STOC_SBD_NUMCANDID         As Long = 6640
    '! Big-M value for linearization and penalty functions '/
 Public Const LS_DPARAM_STOC_BIGM                  As Long = 6641
    '! Name data level '/
 Public Const LS_IPARAM_STOC_NAMEDATA_LEVEL        As Long = 6642
    '! Max cuts to generate for master problem '/
 Public Const LS_IPARAM_STOC_SBD_MAXCUTS           As Long = 6643
    '! Optimization method to solve the deteq problem. '/
 Public Const LS_IPARAM_STOC_DEQOPT                As Long = 6644
    '! Subproblem formulation to use in DirectSearch. '/
 Public Const LS_IPARAM_STOC_DS_SUBFORM            As Long = 6645
    '! Primal-step tolerance '/
 Public Const LS_DPARAM_STOC_REL_PSTEPTOL          As Long = 6646
    '! Dual-step tolerance '/
 Public Const LS_DPARAM_STOC_REL_DSTEPTOL          As Long = 6647
    '! Number of parallel threads '/
 Public Const LS_IPARAM_STOC_NUM_THREADS           As Long = 6648
    '! Number of deteq blocks '/
 Public Const LS_IPARAM_STOC_DETEQ_NBLOCKS         As Long = 6649

    ' Sampling parameters (7000 - 7+++) '/

    '! Bitmask to enable methods for solving the nearest correlation matrix (NCM) subproblem '/
 Public Const LS_IPARAM_SAMP_NCM_METHOD            As Long = 7701
    '! Objective cutoff (target) value to stop the nearest correlation matrix (NCM) subproblem '/
 Public Const LS_DPARAM_SAMP_NCM_CUTOBJ            As Long = 7702
    '! Flag to enable/disable sparse mode in NCM computations '/
 Public Const LS_IPARAM_SAMP_NCM_DSTORAGE          As Long = 7703
    '! Correlation matrix diagonal shift increment '/
 Public Const LS_DPARAM_SAMP_CDSINC                As Long = 7704
    '! Flag to enable scaling of raw sample data '/
 Public Const LS_IPARAM_SAMP_SCALE                 As Long = 7705
    '! Iteration limit for NCM method '/
 Public Const LS_IPARAM_SAMP_NCM_ITERLIM           As Long = 7706
    '! Optimality tolerance for NCM method '/
 Public Const LS_DPARAM_SAMP_NCM_OPTTOL            As Long = 7707
    '! Number of parallel threads '/
 Public Const LS_IPARAM_SAMP_NUM_THREADS           As Long = 7708
    '! Buffer size for random number generators '/
 Public Const LS_IPARAM_SAMP_RG_BUFFER_SIZE        As Long = 7709

    'Branch And Price parameters (8000 - 8499) '/

    'bound size when subproblem is unbounded'/
 Public Const LS_DPARAM_BNP_INFBND                 As Long = 8010
    'branch and bound type'/
 Public Const LS_IPARAM_BNP_LEVEL                  As Long = 8011
    'print level'/
 Public Const LS_IPARAM_BNP_PRINT_LEVEL            As Long = 8012
    'box size for BOXSTEP method'/
 Public Const LS_DPARAM_BNP_BOX_SIZE               As Long = 8013
    'number of threads in bnp'/
 Public Const LS_IPARAM_BNP_NUM_THREADS            As Long = 8014
    'relative optimality tolerance for subproblems'/
 Public Const LS_DPARAM_BNP_SUB_ITRLMT             As Long = 8015
    'method for finding block structure'/
 Public Const LS_IPARAM_BNP_FIND_BLK               As Long = 8016
    'pre level'/
 Public Const LS_IPARAM_BNP_PRELEVEL               As Long = 8017
    'column limit'/
 Public Const LS_DPARAM_BNP_COL_LMT                As Long = 8018
    'time limit for bnp'/
 Public Const LS_DPARAM_BNP_TIMLIM                 As Long = 8019
    'simplex limit for bnp'/
 Public Const LS_DPARAM_BNP_ITRLIM_SIM             As Long = 8020
    'ipm limit for bnp'/
 Public Const LS_DPARAM_BNP_ITRLIM_IPM             As Long = 8021
    'branch limit for bnp'/
 Public Const LS_IPARAM_BNP_BRANCH_LIMIT           As Long = 8022

    ' Genetic Algorithm Parameters (8500-8+++) '/

    '  Probability of crossover for continuous variables '/
 Public Const LS_DPARAM_GA_CXOVER_PROB             As Long = 8501
    '  Spreading factor for crossover '/
 Public Const LS_DPARAM_GA_XOVER_SPREAD            As Long = 8502
    '  Probability of crossover for integer variables '/
 Public Const LS_DPARAM_GA_IXOVER_PROB             As Long = 8503
    '  Probability of mutation for continuous variables '/
 Public Const LS_DPARAM_GA_CMUTAT_PROB             As Long = 8504
    '  Spreading factor for mutation '/
 Public Const LS_DPARAM_GA_MUTAT_SPREAD            As Long = 8505
    '  Probability of mutation for integer variables '/
 Public Const LS_DPARAM_GA_IMUTAT_PROB             As Long = 8506
    '  Numeric zero tolerance in GA '/
 Public Const LS_DPARAM_GA_TOL_ZERO                As Long = 8507
    '  Primal feasibility tolerance in GA '/
 Public Const LS_DPARAM_GA_TOL_PFEAS               As Long = 8508
    '  Numeric infinity in GA '/
 Public Const LS_DPARAM_GA_INF                     As Long = 8509
    '  Infinity threshold for finite bounds in GA '/
 Public Const LS_DPARAM_GA_INFBND                  As Long = 8510
    '  Alpha parameter in Blending Alpha Crossover method '/
 Public Const LS_DPARAM_GA_BLXA                    As Long = 8511
    '  Beta parameter in Blending Alpha-Beta Crossover method '/
 Public Const LS_DPARAM_GA_BLXB                    As Long = 8512
    '  Method of crossover for continuous variables '/
 Public Const LS_IPARAM_GA_CXOVER_METHOD           As Long = 8513
    '  Method of crossover for integer variables '/
 Public Const LS_IPARAM_GA_IXOVER_METHOD           As Long = 8514
    '  Method of mutation for continuous variables '/
 Public Const LS_IPARAM_GA_CMUTAT_METHOD           As Long = 8515
    '  Method of mutation for integer variables '/
 Public Const LS_IPARAM_GA_IMUTAT_METHOD           As Long = 8516
    '  RNG seed for GA '/
 Public Const LS_IPARAM_GA_SEED                    As Long = 8517
    '  Number of generations in GA '/
 Public Const LS_IPARAM_GA_NGEN                    As Long = 8518
    '  Population size in GA '/
 Public Const LS_IPARAM_GA_POPSIZE                 As Long = 8519
    '  Print level to log files '/
 Public Const LS_IPARAM_GA_FILEOUT                 As Long = 8520
    '  Print level for GA '/
 Public Const LS_IPARAM_GA_PRINTLEVEL              As Long = 8521
    '  Flag to specify whether an optimum individual will be injected '/
 Public Const LS_IPARAM_GA_INJECT_OPT              As Long = 8522
    '  Number of threads in GA '/
 Public Const LS_IPARAM_GA_NUM_THREADS             As Long = 8523
    '  Objective function sense '/
 Public Const LS_IPARAM_GA_OBJDIR                  As Long = 8524
    '  Target objective function value '/
 Public Const LS_DPARAM_GA_OBJSTOP                 As Long = 8525
    '  Migration probability  '/
 Public Const LS_DPARAM_GA_MIGRATE_PROB            As Long = 8526
    '  Search space or search mode  '/
 Public Const LS_IPARAM_GA_SSPACE                  As Long = 8527
    '! @} '/

    ' Version info '/
 Public Const LS_IPARAM_VER_MAJOR                  As Long = 990
 Public Const LS_IPARAM_VER_MINOR                  As Long = 991
 Public Const LS_IPARAM_VER_BUILD                  As Long = 992
 Public Const LS_IPARAM_VER_REVISION               As Long = 993

    ' Last card for parameters '/
 Public Const LS_IPARAM_VER_NUMBER                 As Long = 999


 ' Math operator codes (1000-1500) '/
 Public Const EP_NO_OP                             As Long = 0
 Public Const EP_PLUS                              As Long = 1001
 Public Const EP_MINUS                             As Long = 1002
 Public Const EP_MULTIPLY                          As Long = 1003
 Public Const EP_DIVIDE                            As Long = 1004
 Public Const EP_POWER                             As Long = 1005
 Public Const EP_EQUAL                             As Long = 1006
 Public Const EP_NOT_EQUAL                         As Long = 1007
 Public Const EP_LTOREQ                            As Long = 1008
 Public Const EP_GTOREQ                            As Long = 1009
 Public Const EP_LTHAN                             As Long = 1010
 Public Const EP_GTHAN                             As Long = 1011
 Public Const EP_AND                               As Long = 1012
 Public Const EP_OR                                As Long = 1013
 Public Const EP_NOT                               As Long = 1014
 Public Const EP_PERCENT                           As Long = 1015
 Public Const EP_POSATE                            As Long = 1016
 Public Const EP_NEGATE                            As Long = 1017
 Public Const EP_ABS                               As Long = 1018
 Public Const EP_SQRT                              As Long = 1019
 Public Const EP_LOG                               As Long = 1020
 Public Const EP_LN                                As Long = 1021
 Public Const EP_PI                                As Long = 1022
 Public Const EP_SIN                               As Long = 1023
 Public Const EP_COS                               As Long = 1024
 Public Const EP_TAN                               As Long = 1025
 Public Const EP_ATAN2                             As Long = 1026
 Public Const EP_ATAN                              As Long = 1027
 Public Const EP_ASIN                              As Long = 1028
 Public Const EP_ACOS                              As Long = 1029
 Public Const EP_EXP                               As Long = 1030
 Public Const EP_MOD                               As Long = 1031
 Public Const EP_FALSE                             As Long = 1032
 Public Const EP_TRUE                              As Long = 1033
 Public Const EP_IF                                As Long = 1034
 Public Const EP_PSN                               As Long = 1035
 Public Const EP_PSL                               As Long = 1036
 Public Const EP_LGM                               As Long = 1037
 Public Const EP_SIGN                              As Long = 1038
 Public Const EP_FLOOR                             As Long = 1039
 Public Const EP_FPA                               As Long = 1040
 Public Const EP_FPL                               As Long = 1041
 Public Const EP_PEL                               As Long = 1042
 Public Const EP_PEB                               As Long = 1043
 Public Const EP_PPS                               As Long = 1044
 Public Const EP_PPL                               As Long = 1045
 Public Const EP_PTD                               As Long = 1046
 Public Const EP_PCX                               As Long = 1047
 Public Const EP_WRAP                              As Long = 1048
 Public Const EP_PBNO                              As Long = 1049
 Public Const EP_PFS                               As Long = 1050
 Public Const EP_PFD                               As Long = 1051
 Public Const EP_PHG                               As Long = 1052
 Public Const EP_RAND                              As Long = 1053
 Public Const EP_USER                              As Long = 1054
 Public Const EP_SUM                               As Long = 1055
 Public Const EP_AVG                               As Long = 1056
 Public Const EP_MIN                               As Long = 1057
 Public Const EP_MAX                               As Long = 1058
 Public Const EP_NPV                               As Long = 1059
 Public Const EP_VAND                              As Long = 1060
 Public Const EP_VOR                               As Long = 1061
 Public Const EP_PUSH_NUM                          As Long = 1062
 Public Const EP_PUSH_VAR                          As Long = 1063
 Public Const EP_NORMDENS                          As Long = 1064
 Public Const EP_NORMINV                           As Long = 1065
 Public Const EP_TRIAINV                           As Long = 1066
 Public Const EP_EXPOINV                           As Long = 1067
 Public Const EP_UNIFINV                           As Long = 1068
 Public Const EP_MULTINV                           As Long = 1069
 Public Const EP_USRCOD                            As Long = 1070
 Public Const EP_SUMPROD                           As Long = 1071
 Public Const EP_SUMIF                             As Long = 1072
 Public Const EP_VLOOKUP                           As Long = 1073
 Public Const EP_VPUSH_NUM                         As Long = 1074
 Public Const EP_VPUSH_VAR                         As Long = 1075
 Public Const EP_VMULT                             As Long = 1076
 Public Const EP_SQR                               As Long = 1077
 Public Const EP_SINH                              As Long = 1078
 Public Const EP_COSH                              As Long = 1079
 Public Const EP_TANH                              As Long = 1080
 Public Const EP_ASINH                             As Long = 1081
 Public Const EP_ACOSH                             As Long = 1082
 Public Const EP_ATANH                             As Long = 1083
 Public Const EP_LOGB                              As Long = 1084
 Public Const EP_LOGX                              As Long = 1085
 Public Const EP_LNX                               As Long = 1086
 Public Const EP_TRUNC                             As Long = 1087
 Public Const EP_NORMSINV                          As Long = 1088
 Public Const EP_INT                               As Long = 1089
 Public Const EP_PUSH_STR                          As Long = 1090
 Public Const EP_VPUSH_STR                         As Long = 1091
 Public Const EP_PUSH_SPAR                         As Long = 1092
 Public Const EP_NORMPDF                           As Long = 1093
 Public Const EP_NORMCDF                           As Long = 1094
 Public Const EP_LSQ                               As Long = 1095
 Public Const EP_LNPSNX                            As Long = 1096
 Public Const EP_LNCPSN                            As Long = 1097
 Public Const EP_XEXPNAX                           As Long = 1098
 Public Const EP_XNEXPMX                           As Long = 1099
    ' Probability density functions '/
 Public Const EP_PBT                               As Long = 1100
 Public Const EP_PBTINV                            As Long = 1101
 Public Const EP_PBNINV                            As Long = 1102
 Public Const EP_PCC                               As Long = 1103
 Public Const EP_PCCINV                            As Long = 1104
 Public Const EP_PCXINV                            As Long = 1105
 Public Const EP_EXPN                              As Long = 1106
 Public Const EP_PFDINV                            As Long = 1107
 Public Const EP_PGA                               As Long = 1108
 Public Const EP_PGAINV                            As Long = 1109
 Public Const EP_PGE                               As Long = 1110
 Public Const EP_PGEINV                            As Long = 1111
 Public Const EP_PGU                               As Long = 1112
 Public Const EP_PGUINV                            As Long = 1113
 Public Const EP_PHGINV                            As Long = 1114
 Public Const EP_PLA                               As Long = 1115
 Public Const EP_PLAINV                            As Long = 1116
 Public Const EP_PLG                               As Long = 1117
 Public Const EP_PLGINV                            As Long = 1118
 Public Const EP_LGT                               As Long = 1119
 Public Const EP_LGTINV                            As Long = 1120
 Public Const EP_LGNM                              As Long = 1121
 Public Const EP_LGNMINV                           As Long = 1122
 Public Const EP_NGBN                              As Long = 1123
 Public Const EP_NGBNINV                           As Long = 1124
 Public Const EP_NRM                               As Long = 1125
 Public Const EP_PPT                               As Long = 1126
 Public Const EP_PPTINV                            As Long = 1127
 Public Const EP_PPSINV                            As Long = 1128
 Public Const EP_PTDINV                            As Long = 1129
 Public Const EP_TRIAN                             As Long = 1130
 Public Const EP_UNIFM                             As Long = 1131
 Public Const EP_PWB                               As Long = 1132
 Public Const EP_PWBINV                            As Long = 1133
 Public Const EP_NRMINV                            As Long = 1134
 Public Const EP_TRIANINV                          As Long = 1135
 Public Const EP_EXPNINV                           As Long = 1136
 Public Const EP_UNIFMINV                          As Long = 1137
 Public Const EP_MLTNMINV                          As Long = 1138
 Public Const EP_BTDENS                            As Long = 1139
 Public Const EP_BNDENS                            As Long = 1140
 Public Const EP_CCDENS                            As Long = 1141
 Public Const EP_CXDENS                            As Long = 1142
 Public Const EP_EXPDENS                           As Long = 1143
 Public Const EP_FDENS                             As Long = 1144
 Public Const EP_GADENS                            As Long = 1145
 Public Const EP_GEDENS                            As Long = 1146
 Public Const EP_GUDENS                            As Long = 1147
 Public Const EP_HGDENS                            As Long = 1148
 Public Const EP_LADENS                            As Long = 1149
 Public Const EP_LGDENS                            As Long = 1150
 Public Const EP_LGTDENS                           As Long = 1151
 Public Const EP_LGNMDENS                          As Long = 1152
 Public Const EP_NGBNDENS                          As Long = 1153
 Public Const EP_NRMDENS                           As Long = 1154
 Public Const EP_PTDENS                            As Long = 1155
 Public Const EP_PSDENS                            As Long = 1156
 Public Const EP_TDENS                             As Long = 1157
 Public Const EP_TRIADENS                          As Long = 1158
 Public Const EP_UNIFDENS                          As Long = 1159
 Public Const EP_WBDENS                            As Long = 1160
 Public Const EP_RADIANS                           As Long = 1161
 Public Const EP_DEGREES                           As Long = 1162
 Public Const EP_ROUND                             As Long = 1163
 Public Const EP_ROUNDUP                           As Long = 1164
 Public Const EP_ROUNDDOWN                         As Long = 1165
 Public Const EP_ERF                               As Long = 1166
 Public Const EP_PBN                               As Long = 1167
 Public Const EP_PBB                               As Long = 1168
 Public Const EP_PBBINV                            As Long = 1169
 Public Const EP_BBDENS                            As Long = 1170


 ' Model and solution information codes ( 110xx-140xx) '/
 ' Model statistics (11001-11199)'/
 Public Const LS_IINFO_NUM_NONZ_OBJ                As Long = 11001
 Public Const LS_IINFO_NUM_SEMICONT                As Long = 11002
 Public Const LS_IINFO_NUM_SETS                    As Long = 11003
 Public Const LS_IINFO_NUM_SETS_NNZ                As Long = 11004
 Public Const LS_IINFO_NUM_QCP_CONS                As Long = 11005
 Public Const LS_IINFO_NUM_CONT_CONS               As Long = 11006
 Public Const LS_IINFO_NUM_INT_CONS                As Long = 11007
 Public Const LS_IINFO_NUM_BIN_CONS                As Long = 11008
 Public Const LS_IINFO_NUM_QCP_VARS                As Long = 11009
 Public Const LS_IINFO_NUM_CONS                    As Long = 11010
 Public Const LS_IINFO_NUM_VARS                    As Long = 11011
 Public Const LS_IINFO_NUM_NONZ                    As Long = 11012
 Public Const LS_IINFO_NUM_BIN                     As Long = 11013
 Public Const LS_IINFO_NUM_INT                     As Long = 11014
 Public Const LS_IINFO_NUM_CONT                    As Long = 11015
 Public Const LS_IINFO_NUM_QC_NONZ                 As Long = 11016
 Public Const LS_IINFO_NUM_NLP_NONZ                As Long = 11017
 Public Const LS_IINFO_NUM_NLPOBJ_NONZ             As Long = 11018
 Public Const LS_IINFO_NUM_RDCONS                  As Long = 11019
 Public Const LS_IINFO_NUM_RDVARS                  As Long = 11020
 Public Const LS_IINFO_NUM_RDNONZ                  As Long = 11021
 Public Const LS_IINFO_NUM_RDINT                   As Long = 11022
 Public Const LS_IINFO_LEN_VARNAMES                As Long = 11023
 Public Const LS_IINFO_LEN_CONNAMES                As Long = 11024
 Public Const LS_IINFO_NUM_NLP_CONS                As Long = 11025
 Public Const LS_IINFO_NUM_NLP_VARS                As Long = 11026
 Public Const LS_IINFO_NUM_SUF_ROWS                As Long = 11027
 Public Const LS_IINFO_NUM_IIS_ROWS                As Long = 11028
 Public Const LS_IINFO_NUM_SUF_BNDS                As Long = 11029
 Public Const LS_IINFO_NUM_IIS_BNDS                As Long = 11030
 Public Const LS_IINFO_NUM_SUF_COLS                As Long = 11031
 Public Const LS_IINFO_NUM_IUS_COLS                As Long = 11032
 Public Const LS_IINFO_NUM_CONES                   As Long = 11033
 Public Const LS_IINFO_NUM_CONE_NONZ               As Long = 11034
 Public Const LS_IINFO_LEN_CONENAMES               As Long = 11035
 Public Const LS_DINFO_INST_VAL_MIN_COEF           As Long = 11036
 Public Const LS_IINFO_INST_VARNDX_MIN_COEF        As Long = 11037
 Public Const LS_IINFO_INST_CONNDX_MIN_COEF        As Long = 11038
 Public Const LS_DINFO_INST_VAL_MAX_COEF           As Long = 11039
 Public Const LS_IINFO_INST_VARNDX_MAX_COEF        As Long = 11040
 Public Const LS_IINFO_INST_CONNDX_MAX_COEF        As Long = 11041
 Public Const LS_IINFO_NUM_VARS_CARD               As Long = 11042
 Public Const LS_IINFO_NUM_VARS_SOS1               As Long = 11043
 Public Const LS_IINFO_NUM_VARS_SOS2               As Long = 11044
 Public Const LS_IINFO_NUM_VARS_SOS3               As Long = 11045
 Public Const LS_IINFO_NUM_VARS_SCONT              As Long = 11046
 Public Const LS_IINFO_NUM_CONS_L                  As Long = 11047
 Public Const LS_IINFO_NUM_CONS_E                  As Long = 11048
 Public Const LS_IINFO_NUM_CONS_G                  As Long = 11049
 Public Const LS_IINFO_NUM_CONS_R                  As Long = 11050
 Public Const LS_IINFO_NUM_CONS_N                  As Long = 11051
 Public Const LS_IINFO_NUM_VARS_LB                 As Long = 11052
 Public Const LS_IINFO_NUM_VARS_UB                 As Long = 11053
 Public Const LS_IINFO_NUM_VARS_LUB                As Long = 11054
 Public Const LS_IINFO_NUM_VARS_FR                 As Long = 11055
 Public Const LS_IINFO_NUM_VARS_FX                 As Long = 11056
 Public Const LS_IINFO_NUM_INST_CODES              As Long = 11057
 Public Const LS_IINFO_NUM_INST_REAL_NUM           As Long = 11058
 Public Const LS_IINFO_NUM_SPARS                   As Long = 11059
 Public Const LS_IINFO_NUM_PROCS                   As Long = 11060

 ' LP and NLP related info (11200-11299)'/
 Public Const LS_IINFO_METHOD                      As Long = 11200
 Public Const LS_DINFO_POBJ                        As Long = 11201
 Public Const LS_DINFO_DOBJ                        As Long = 11202
 Public Const LS_DINFO_PINFEAS                     As Long = 11203
 Public Const LS_DINFO_DINFEAS                     As Long = 11204
 Public Const LS_IINFO_MODEL_STATUS                As Long = 11205
 Public Const LS_IINFO_PRIMAL_STATUS               As Long = 11206
 Public Const LS_IINFO_DUAL_STATUS                 As Long = 11207
 Public Const LS_IINFO_BASIC_STATUS                As Long = 11208
 Public Const LS_IINFO_BAR_ITER                    As Long = 11209
 Public Const LS_IINFO_SIM_ITER                    As Long = 11210
 Public Const LS_IINFO_NLP_ITER                    As Long = 11211
 Public Const LS_IINFO_ELAPSED_TIME                As Long = 11212
 Public Const LS_DINFO_MSW_POBJ                    As Long = 11213
 Public Const LS_IINFO_MSW_PASS                    As Long = 11214
 Public Const LS_IINFO_MSW_NSOL                    As Long = 11215
 Public Const LS_IINFO_IPM_STATUS                  As Long = 11216
 Public Const LS_DINFO_IPM_POBJ                    As Long = 11217
 Public Const LS_DINFO_IPM_DOBJ                    As Long = 11218
 Public Const LS_DINFO_IPM_PINFEAS                 As Long = 11219
 Public Const LS_DINFO_IPM_DINFEAS                 As Long = 11220
 Public Const LS_IINFO_NLP_CALL_FUN                As Long = 11221
 Public Const LS_IINFO_NLP_CALL_DEV                As Long = 11222
 Public Const LS_IINFO_NLP_CALL_HES                As Long = 11223
 Public Const LS_IINFO_CONCURRENT_OPTIMIZER        As Long = 11224
 Public Const LS_IINFO_LEN_STAGENAMES              As Long = 11225
 Public Const LS_DINFO_BAR_ITER                    As Long = 11226
 Public Const LS_DINFO_SIM_ITER                    As Long = 11227
 Public Const LS_DINFO_NLP_ITER                    As Long = 11228
 Public Const LS_IINFO_BAR_THREADS                 As Long = 11229
 Public Const LS_IINFO_NLP_THREADS                 As Long = 11230
 Public Const LS_IINFO_SIM_THREADS                 As Long = 11231
 Public Const LS_DINFO_NLP_THRIMBL                 As Long = 11232
 Public Const LS_SINFO_NLP_THREAD_LOAD             As Long = 11233
 Public Const LS_SINFO_BAR_THREAD_LOAD             As Long = 11234
 Public Const LS_SINFO_SIM_THREAD_LOAD             As Long = 11235
 Public Const LS_SINFO_ARCH                        As Long = 11236
 Public Const LS_IINFO_ARCH_ID                     As Long = 11237

 ' MIP and MINLP related info (11300-11400) '/
 Public Const LS_IINFO_MIP_STATUS                  As Long = 11300
 Public Const LS_DINFO_MIP_OBJ                     As Long = 11301
 Public Const LS_DINFO_MIP_BESTBOUND               As Long = 11302
 Public Const LS_IINFO_MIP_SIM_ITER                As Long = 11303
 Public Const LS_IINFO_MIP_BAR_ITER                As Long = 11304
 Public Const LS_IINFO_MIP_NLP_ITER                As Long = 11305
 Public Const LS_IINFO_MIP_BRANCHCOUNT             As Long = 11306
 Public Const LS_IINFO_MIP_NEWIPSOL                As Long = 11307
 Public Const LS_IINFO_MIP_LPCOUNT                 As Long = 11308
 Public Const LS_IINFO_MIP_ACTIVENODES             As Long = 11309
 Public Const LS_IINFO_MIP_LTYPE                   As Long = 11310
 Public Const LS_IINFO_MIP_AOPTTIMETOSTOP          As Long = 11311
 Public Const LS_IINFO_MIP_NUM_TOTAL_CUTS          As Long = 11312
 Public Const LS_IINFO_MIP_GUB_COVER_CUTS          As Long = 11313
 Public Const LS_IINFO_MIP_FLOW_COVER_CUTS         As Long = 11314
 Public Const LS_IINFO_MIP_LIFT_CUTS               As Long = 11315
 Public Const LS_IINFO_MIP_PLAN_LOC_CUTS           As Long = 11316
 Public Const LS_IINFO_MIP_DISAGG_CUTS             As Long = 11317
 Public Const LS_IINFO_MIP_KNAPSUR_COVER_CUTS      As Long = 11318
 Public Const LS_IINFO_MIP_LATTICE_CUTS            As Long = 11319
 Public Const LS_IINFO_MIP_GOMORY_CUTS             As Long = 11320
 Public Const LS_IINFO_MIP_COEF_REDC_CUTS          As Long = 11321
 Public Const LS_IINFO_MIP_GCD_CUTS                As Long = 11322
 Public Const LS_IINFO_MIP_OBJ_CUT                 As Long = 11323
 Public Const LS_IINFO_MIP_BASIS_CUTS              As Long = 11324
 Public Const LS_IINFO_MIP_CARDGUB_CUTS            As Long = 11325
 Public Const LS_IINFO_MIP_CLIQUE_CUTS             As Long = 11326
 Public Const LS_IINFO_MIP_CONTRA_CUTS             As Long = 11327
 Public Const LS_IINFO_MIP_GUB_CONS                As Long = 11328
 Public Const LS_IINFO_MIP_GLB_CONS                As Long = 11329
 Public Const LS_IINFO_MIP_PLANTLOC_CONS           As Long = 11330
 Public Const LS_IINFO_MIP_DISAGG_CONS             As Long = 11331
 Public Const LS_IINFO_MIP_SB_CONS                 As Long = 11332
 Public Const LS_IINFO_MIP_IKNAP_CONS              As Long = 11333
 Public Const LS_IINFO_MIP_KNAP_CONS               As Long = 11334
 Public Const LS_IINFO_MIP_NLP_CONS                As Long = 11335
 Public Const LS_IINFO_MIP_CONT_CONS               As Long = 11336
 Public Const LS_DINFO_MIP_TOT_TIME                As Long = 11347
 Public Const LS_DINFO_MIP_OPT_TIME                As Long = 11348
 Public Const LS_DINFO_MIP_HEU_TIME                As Long = 11349
 Public Const LS_IINFO_MIP_SOLSTATUS_LAST_BRANCH   As Long = 11350
 Public Const LS_DINFO_MIP_SOLOBJVAL_LAST_BRANCH   As Long = 11351
 Public Const LS_IINFO_MIP_HEU_LEVEL               As Long = 11352
 Public Const LS_DINFO_MIP_PFEAS                   As Long = 11353
 Public Const LS_DINFO_MIP_INTPFEAS                As Long = 11354
 Public Const LS_IINFO_MIP_WHERE_IN_CODE           As Long = 11355
 Public Const LS_IINFO_MIP_FP_ITER                 As Long = 11356
 Public Const LS_DINFO_MIP_FP_SUMFEAS              As Long = 11357
 Public Const LS_DINFO_MIP_RELMIPGAP               As Long = 11358
 Public Const LS_DINFO_MIP_ROOT_OPT_TIME           As Long = 11359
 Public Const LS_DINFO_MIP_ROOT_PRE_TIME           As Long = 11360
 Public Const LS_IINFO_MIP_ROOT_METHOD             As Long = 11361
 Public Const LS_DINFO_MIP_SIM_ITER                As Long = 11362
 Public Const LS_DINFO_MIP_BAR_ITER                As Long = 11363
 Public Const LS_DINFO_MIP_NLP_ITER                As Long = 11364
 Public Const LS_IINFO_MIP_TOP_RELAX_IS_NON_CONVEX As Long = 11365
 Public Const LS_DINFO_MIP_FP_TIME                 As Long = 11366
 Public Const LS_IINFO_MIP_THREADS                 As Long = 11367
 Public Const LS_SINFO_MIP_THREAD_LOAD             As Long = 11368
 Public Const LS_DINFO_MIP_ABSGAP                  As Long = 11369
 Public Const LS_DINFO_MIP_RELGAP                  As Long = 11370

 ' GOP related info (11601-11699) '/
 Public Const LS_DINFO_GOP_OBJ                     As Long = 11600
 Public Const LS_IINFO_GOP_SIM_ITER                As Long = 11601
 Public Const LS_IINFO_GOP_BAR_ITER                As Long = 11602
 Public Const LS_IINFO_GOP_NLP_ITER                As Long = 11603
 Public Const LS_DINFO_GOP_BESTBOUND               As Long = 11604
 Public Const LS_IINFO_GOP_STATUS                  As Long = 11605
 Public Const LS_IINFO_GOP_LPCOUNT                 As Long = 11606
 Public Const LS_IINFO_GOP_NLPCOUNT                As Long = 11607
 Public Const LS_IINFO_GOP_MIPCOUNT                As Long = 11608
 Public Const LS_IINFO_GOP_NEWSOL                  As Long = 11609
 Public Const LS_IINFO_GOP_BOX                     As Long = 11610
 Public Const LS_IINFO_GOP_BBITER                  As Long = 11611
 Public Const LS_IINFO_GOP_SUBITER                 As Long = 11612
 Public Const LS_IINFO_GOP_MIPBRANCH               As Long = 11613
 Public Const LS_IINFO_GOP_ACTIVEBOXES             As Long = 11614
 Public Const LS_IINFO_GOP_TOT_TIME                As Long = 11615
 Public Const LS_IINFO_GOP_MAXDEPTH                As Long = 11616
 Public Const LS_DINFO_GOP_PFEAS                   As Long = 11617
 Public Const LS_DINFO_GOP_INTPFEAS                As Long = 11618
 Public Const LS_DINFO_GOP_SIM_ITER                As Long = 11619
 Public Const LS_DINFO_GOP_BAR_ITER                As Long = 11620
 Public Const LS_DINFO_GOP_NLP_ITER                As Long = 11621
 Public Const LS_DINFO_GOP_LPCOUNT                 As Long = 11622
 Public Const LS_DINFO_GOP_NLPCOUNT                As Long = 11623
 Public Const LS_DINFO_GOP_MIPCOUNT                As Long = 11624
 Public Const LS_DINFO_GOP_BBITER                  As Long = 11625
 Public Const LS_DINFO_GOP_SUBITER                 As Long = 11626
 Public Const LS_DINFO_GOP_MIPBRANCH               As Long = 11627
 Public Const LS_DINFO_GOP_FIRST_TIME              As Long = 11628
 Public Const LS_DINFO_GOP_BEST_TIME               As Long = 11629
 Public Const LS_DINFO_GOP_TOT_TIME                As Long = 11630
 Public Const LS_IINFO_GOP_THREADS                 As Long = 11631
 Public Const LS_SINFO_GOP_THREAD_LOAD             As Long = 11632
 Public Const LS_DINFO_GOP_ABSGAP                  As Long = 11633
 Public Const LS_DINFO_GOP_RELGAP                  As Long = 11634

    ' Progress info during callbacks '/
 Public Const LS_DINFO_SUB_OBJ                     As Long = 11700
 Public Const LS_DINFO_SUB_PINF                    As Long = 11701
 Public Const LS_DINFO_CUR_OBJ                     As Long = 11702
 Public Const LS_IINFO_CUR_ITER                    As Long = 11703
 Public Const LS_DINFO_CUR_BEST_BOUND              As Long = 11704
 Public Const LS_IINFO_CUR_STATUS                  As Long = 11705
 Public Const LS_IINFO_CUR_LP_COUNT                As Long = 11706
 Public Const LS_IINFO_CUR_BRANCH_COUNT            As Long = 11707
 Public Const LS_IINFO_CUR_ACTIVE_COUNT            As Long = 11708
 Public Const LS_IINFO_CUR_NLP_COUNT               As Long = 11709
 Public Const LS_IINFO_CUR_MIP_COUNT               As Long = 11710
 Public Const LS_IINFO_CUR_CUT_COUNT               As Long = 11711
 Public Const LS_DINFO_CUR_ITER                    As Long = 11712

 ' Model generation progress info (1800+)'/
 Public Const LS_DINFO_GEN_PERCENT                 As Long = 11800
 Public Const LS_IINFO_GEN_NONZ_TTL                As Long = 11801
 Public Const LS_IINFO_GEN_NONZ_NL                 As Long = 11802
 Public Const LS_IINFO_GEN_ROW_NL                  As Long = 11803
 Public Const LS_IINFO_GEN_VAR_NL                  As Long = 11804

 ' IIS-IUS info '/
 Public Const LS_IINFO_IIS_BAR_ITER                As Long = 11850
 Public Const LS_IINFO_IIS_SIM_ITER                As Long = 11851
 Public Const LS_IINFO_IIS_NLP_ITER                As Long = 11852
 Public Const LS_DINFO_IIS_BAR_ITER                As Long = 11853
 Public Const LS_DINFO_IIS_SIM_ITER                As Long = 11854
 Public Const LS_DINFO_IIS_NLP_ITER                As Long = 11855
 Public Const LS_IINFO_IIS_TOT_TIME                As Long = 11856
 Public Const LS_IINFO_IIS_ACT_NODE                As Long = 11857
 Public Const LS_IINFO_IIS_LPCOUNT                 As Long = 11858
 Public Const LS_IINFO_IIS_NLPCOUNT                As Long = 11859
 Public Const LS_IINFO_IIS_MIPCOUNT                As Long = 11860
 Public Const LS_IINFO_IIS_THREADS                 As Long = 11861
 Public Const LS_SINFO_IIS_THREAD_LOAD             As Long = 11862

 Public Const LS_IINFO_IUS_BAR_ITER                As Long = 11875
 Public Const LS_IINFO_IUS_SIM_ITER                As Long = 11876
 Public Const LS_IINFO_IUS_NLP_ITER                As Long = 11877
 Public Const LS_DINFO_IUS_BAR_ITER                As Long = 11878
 Public Const LS_DINFO_IUS_SIM_ITER                As Long = 11879
 Public Const LS_DINFO_IUS_NLP_ITER                As Long = 11880
 Public Const LS_IINFO_IUS_TOT_TIME                As Long = 11881
 Public Const LS_IINFO_IUS_ACT_NODE                As Long = 11882
 Public Const LS_IINFO_IUS_LPCOUNT                 As Long = 11883
 Public Const LS_IINFO_IUS_NLPCOUNT                As Long = 11884
 Public Const LS_IINFO_IUS_MIPCOUNT                As Long = 11885
 Public Const LS_IINFO_IUS_THREADS                 As Long = 11886
 Public Const LS_SINFO_IUS_THREAD_LOAD             As Long = 11887

 ' Presolve info    '/
 Public Const LS_IINFO_PRE_NUM_RED                 As Long = 11900
 Public Const LS_IINFO_PRE_TYPE_RED                As Long = 11901
 Public Const LS_IINFO_PRE_NUM_RDCONS              As Long = 11902
 Public Const LS_IINFO_PRE_NUM_RDVARS              As Long = 11903
 Public Const LS_IINFO_PRE_NUM_RDNONZ              As Long = 11904
 Public Const LS_IINFO_PRE_NUM_RDINT               As Long = 11905

 ' Error info '/
 Public Const LS_IINFO_ERR_OPTIM                   As Long = 11999

 ' Misc info '/
 Public Const LS_SINFO_MODEL_FILENAME              As Long = 12000
 Public Const LS_SINFO_MODEL_SOURCE                As Long = 12001
 Public Const LS_IINFO_MODEL_TYPE                  As Long = 12002
 Public Const LS_SINFO_CORE_FILENAME               As Long = 12003
 Public Const LS_SINFO_STOC_FILENAME               As Long = 12004
 Public Const LS_SINFO_TIME_FILENAME               As Long = 12005
 Public Const LS_IINFO_ASSIGNED_MODEL_TYPE         As Long = 12006

 ' Stochastic Information '/

   '! @ingroup LSstocInfo @{ '/
   '! Expected value of the objective function.  '/
 Public Const LS_DINFO_STOC_EVOBJ                  As Long = 13201
    '! Expected value of perfect information.  '/
 Public Const LS_DINFO_STOC_EVPI                   As Long = 13202
    '! Primal infeasibility of the first stage solution.  '/
 Public Const LS_DINFO_STOC_PINFEAS                As Long = 13203
    '! Dual infeasibility of the first stage solution.  '/
 Public Const LS_DINFO_STOC_DINFEAS                As Long = 13204
    '! Relative optimality gap at current solution.  '/
 Public Const LS_DINFO_STOC_RELOPT_GAP             As Long = 13205
    '! Absolute optimality gap at current solution.  '/
 Public Const LS_DINFO_STOC_ABSOPT_GAP             As Long = 13206
    '! Number of simplex iterations performed.  '/
 Public Const LS_IINFO_STOC_SIM_ITER               As Long = 13207
    '! Number of barrier iterations performed.  '/
 Public Const LS_IINFO_STOC_BAR_ITER               As Long = 13208
    '! Number of nonlinear iterations performed.  '/
 Public Const LS_IINFO_STOC_NLP_ITER               As Long = 13209
    '! Number of stochastic parameters in the RHS.  '/
 Public Const LS_IINFO_NUM_STOCPAR_RHS             As Long = 13210
    '! Number of stochastic parameters in the objective function.  '/
 Public Const LS_IINFO_NUM_STOCPAR_OBJ             As Long = 13211
    '! Number of stochastic parameters in the lower bound.  '/
 Public Const LS_IINFO_NUM_STOCPAR_LB              As Long = 13212
    '! Number of stochastic parameters in the upper bound.  '/
 Public Const LS_IINFO_NUM_STOCPAR_UB              As Long = 13213
    '! Number of stochastic parameters in the instructions constituting the objective.  '/
 Public Const LS_IINFO_NUM_STOCPAR_INSTR_OBJS      As Long = 13214
    '! Number of stochastic parameters in the instructions constituting the constraints.  '/
 Public Const LS_IINFO_NUM_STOCPAR_INSTR_CONS      As Long = 13215
    '! Number of stochastic parameters in the LP matrix.  '/
 Public Const LS_IINFO_NUM_STOCPAR_AIJ             As Long = 13216
    '! Total time elapsed in seconds to solve the model  '/
 Public Const LS_DINFO_STOC_TOTAL_TIME             As Long = 13217
    '! Status of the SP model.  '/
 Public Const LS_IINFO_STOC_STATUS                 As Long = 13218
    '! Stage of the specified node.  '/
 Public Const LS_IINFO_STOC_STAGE_BY_NODE          As Long = 13219
    '! Number of scenarios (integer) in the scenario tree. '/
 Public Const LS_IINFO_STOC_NUM_SCENARIOS          As Long = 13220
    '! Number of scenarios (double) in the scenario tree. '/
 Public Const LS_DINFO_STOC_NUM_SCENARIOS          As Long = 13221
    '! Number of stages in the model. '/
 Public Const LS_IINFO_STOC_NUM_STAGES             As Long = 13222
    '! Number of nodes in the scenario tree (integer). '/
 Public Const LS_IINFO_STOC_NUM_NODES              As Long = 13223
    '! Number of nodes in the scenario tree (double). '/
 Public Const LS_DINFO_STOC_NUM_NODES              As Long = 13224
    '! Number of nodes that belong to specified stage in the scenario tree (integer). '/
 Public Const LS_IINFO_STOC_NUM_NODES_STAGE        As Long = 13225
    '! Number of nodes that belong to specified stage in the scenario tree (double). '/
 Public Const LS_DINFO_STOC_NUM_NODES_STAGE        As Long = 13226
    '! Number of node-models created or to be created. '/
 Public Const LS_IINFO_STOC_NUM_NODE_MODELS        As Long = 13227
    '! Column offset in DEQ of the first variable associated with the specified node.  '/
 Public Const LS_IINFO_STOC_NUM_COLS_BEFORE_NODE   As Long = 13228
    '! Row offset in DEQ of the first variable associated with the specified node. '/
 Public Const LS_IINFO_STOC_NUM_ROWS_BEFORE_NODE   As Long = 13229
    '! Total number of columns in the implicit DEQ (integer). '/
 Public Const LS_IINFO_STOC_NUM_COLS_DETEQI        As Long = 13230
    '! Total number of columns in the implicit DEQ (double). '/
 Public Const LS_DINFO_STOC_NUM_COLS_DETEQI        As Long = 13231
    '! Total number of rows in the implicit DEQ (integer). '/
 Public Const LS_IINFO_STOC_NUM_ROWS_DETEQI        As Long = 13232
    '! Total number of rows in the implicit DEQ (double). '/
 Public Const LS_DINFO_STOC_NUM_ROWS_DETEQI        As Long = 13233
    '! Total number of columns in the explict DEQ (integer). '/
 Public Const LS_IINFO_STOC_NUM_COLS_DETEQE        As Long = 13234
    '! Total number of columns in the explict DEQ (double). '/
 Public Const LS_DINFO_STOC_NUM_COLS_DETEQE        As Long = 13235
    '! Total number of rows in the explict DEQ (integer). '/
 Public Const LS_IINFO_STOC_NUM_ROWS_DETEQE        As Long = 13236
    '! Total number of rows in the explict DEQ (double). '/
 Public Const LS_DINFO_STOC_NUM_ROWS_DETEQE        As Long = 13237
    '! Total number of columns in non-anticipativity block. '/
 Public Const LS_IINFO_STOC_NUM_COLS_NAC           As Long = 13238
    '! Total number of rows in non-anticipativity block. '/
 Public Const LS_IINFO_STOC_NUM_ROWS_NAC           As Long = 13239
    '! Total number of columns in core model. '/
 Public Const LS_IINFO_STOC_NUM_COLS_CORE          As Long = 13240
    '! Total number of rows in core model. '/
 Public Const LS_IINFO_STOC_NUM_ROWS_CORE          As Long = 13241
    '! Total number of columns in core model in the specified stage. '/
 Public Const LS_IINFO_STOC_NUM_COLS_STAGE         As Long = 13242
    '! Total number of rows in core model in the specified stage. '/
 Public Const LS_IINFO_STOC_NUM_ROWS_STAGE         As Long = 13243
    '! Total number of feasibility cuts generated during NBD iterations. '/
 Public Const LS_IINFO_STOC_NUM_NBF_CUTS           As Long = 13244
    '! Total number of optimality cuts generated during NBD iterations. '/
 Public Const LS_IINFO_STOC_NUM_NBO_CUTS           As Long = 13245
    '! Distribution type of the sample '/
 Public Const LS_IINFO_DIST_TYPE                   As Long = 13246
    '! Sample size. '/
 Public Const LS_IINFO_SAMP_SIZE                   As Long = 13247
    '! Sample mean. '/
 Public Const LS_DINFO_SAMP_MEAN                   As Long = 13248
    '! Sample standard deviation. '/
 Public Const LS_DINFO_SAMP_STD                    As Long = 13249
    '! Sample skewness. '/
 Public Const LS_DINFO_SAMP_SKEWNESS               As Long = 13250
    '! Sample kurtosis. '/
 Public Const LS_DINFO_SAMP_KURTOSIS               As Long = 13251
    '! Total number of quadratic constraints in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QCP_CONS_DETEQE    As Long = 13252
    '! Total number of continuous constraints in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_CONT_CONS_DETEQE   As Long = 13253
    '! Total number of constraints with general integer variables in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_INT_CONS_DETEQE    As Long = 13254
    '! Total number of constraints with binary variables in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_BIN_CONS_DETEQE    As Long = 13255
    '! Total number of quadratic variables in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QCP_VARS_DETEQE    As Long = 13256
    '! Total number of nonzeros in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NONZ_DETEQE        As Long = 13259
    '! Total number of binaries in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_BIN_DETEQE         As Long = 13260
    '! Total number of general integer variables in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_INT_DETEQE         As Long = 13261
    '! Total number of continuous variables in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_CONT_DETEQE        As Long = 13262
    '! Total number of quadratic nonzeros in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QC_NONZ_DETEQE     As Long = 13263
    '! Total number of nonlinear nonzeros in the constraints of explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_NONZ_DETEQE    As Long = 13264
    '! Total number of nonlinear nonzeros in the objective function of explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLPOBJ_NONZ_DETEQE As Long = 13265
    '! Total number of quadratic constraints in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QCP_CONS_DETEQI    As Long = 13266
    '! Total number of continuous constraints in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_CONT_CONS_DETEQI   As Long = 13267
    '! Total number of constraints with general integer variables in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_INT_CONS_DETEQI    As Long = 13268
    '! Total number of constraints with binary variables in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_BIN_CONS_DETEQI    As Long = 13269
    '! Total number of quadratic variables in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QCP_VARS_DETEQI    As Long = 13270
    '! Total number of nonzeros in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NONZ_DETEQI        As Long = 13271
    '! Total number of binaries in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_BIN_DETEQI         As Long = 13272
    '! Total number of general integer variables in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_INT_DETEQI         As Long = 13273
    '! Total number of continuous variables in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_CONT_DETEQI        As Long = 13274
    '! Total number of quadratic nonzeros in the implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QC_NONZ_DETEQI     As Long = 13275
    '! Total number of nonlinear nonzeros in the constraints of implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_NONZ_DETEQI    As Long = 13276
    '! Total number of nonlinear nonzeros in the objective function of implicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLPOBJ_NONZ_DETEQI As Long = 13277
    '! Total number of block events. '/
 Public Const LS_IINFO_STOC_NUM_EVENTS_BLOCK       As Long = 13278
    '! Total number of independent events with a discrete distribution. '/
 Public Const LS_IINFO_STOC_NUM_EVENTS_DISCRETE    As Long = 13279
    '! Total number of independent events with a parametric distribution. '/
 Public Const LS_IINFO_STOC_NUM_EVENTS_PARAMETRIC  As Long = 13280
    '! Total number of events loaded explictly as a scenario '/
 Public Const LS_IINFO_STOC_NUM_EXPLICIT_SCENARIOS As Long = 13281
    '! Index of a node's parent'/
 Public Const LS_IINFO_STOC_PARENT_NODE            As Long = 13282
    '! Index of a node's eldest child'/
 Public Const LS_IINFO_STOC_ELDEST_CHILD_NODE      As Long = 13283
    '! Total number of childs a node has '/
 Public Const LS_IINFO_STOC_NUM_CHILD_NODES        As Long = 13284
    '! Number of stochastic parameters in the instruction list.  '/
 Public Const LS_IINFO_NUM_STOCPAR_INSTR           As Long = 13285
    '! The index of the scenario which is infeasible or unbounded.  '/
 Public Const LS_IINFO_INFORUNB_SCEN_IDX           As Long = 13286
    '! Expected value of modeling uncertainity.  '/
 Public Const LS_DINFO_STOC_EVMU                   As Long = 13287
    '! Expected value of wait-and-see model's objective.  '/
 Public Const LS_DINFO_STOC_EVWS                   As Long = 13288
    '! Expected value of the objective based on average model's first-stage optimal decisions.  '/
 Public Const LS_DINFO_STOC_EVAVR                  As Long = 13289
    '! Number of arguments of a distribution sample.  '/
 Public Const LS_IINFO_DIST_NARG                   As Long = 13290
    '! Variance reduction/control method used in generating the sample.  '/
 Public Const LS_IINFO_SAMP_VARCONTROL_METHOD      As Long = 13291
    '! Total number of nonlinear variables in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_VARS_DETEQE    As Long = 13292
    '! Total number of nonlinear constraints in the explicit deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_CONS_DETEQE    As Long = 13293
    '! Best lower bound on expected value of the objective function.  '/
 Public Const LS_DINFO_STOC_EVOBJ_LB               As Long = 13294
    '! Best upper bound on expected value of the objective function.  '/
 Public Const LS_DINFO_STOC_EVOBJ_UB               As Long = 13295
    '! Expected value of average model's objective.  '/
 Public Const LS_DINFO_STOC_AVROBJ                 As Long = 13296
    '! Sample median. '/
 Public Const LS_DINFO_SAMP_MEDIAN                 As Long = 13297
    '! Distribution (population) median. '/
 Public Const LS_DINFO_DIST_MEDIAN                 As Long = 13298
    '! Number of chance-constraints. '/
 Public Const LS_IINFO_STOC_NUM_CC                 As Long = 13299
    '! Number of rows in chance-constraints. '/
 Public Const LS_IINFO_STOC_NUM_ROWS_CC            As Long = 13300
    '! Internal. '/
 Public Const LS_IINFO_STOC_ISCBACK                As Long = 13301
    '! Total number of LPs solved. '/
 Public Const LS_IINFO_STOC_LP_COUNT               As Long = 13302
    '! Total number of NLPs solved. '/
 Public Const LS_IINFO_STOC_NLP_COUNT              As Long = 13303
    '! Total number of MILPs solved. '/
 Public Const LS_IINFO_STOC_MIP_COUNT              As Long = 13304
    '! Time elapsed in seconds in the optimizer (excluding setup)  '/
 Public Const LS_DINFO_STOC_OPT_TIME               As Long = 13305
    '! Difference between underlying sample's correlation (S) and target correlation (T) loaded.  '/
 Public Const LS_DINFO_SAMP_CORRDIFF_ST            As Long = 13306
    '! Difference between underlying sample's induced correlation (C) and target correlation (T) loaded.  '/
 Public Const LS_DINFO_SAMP_CORRDIFF_CT            As Long = 13307
    '! Difference between underlying sample's correlation (S) and induced correlation (C).  '/
 Public Const LS_DINFO_SAMP_CORRDIFF_SC            As Long = 13308
    '! Number of rows with equality type in chance-constraints. '/
 Public Const LS_IINFO_STOC_NUM_EQROWS_CC          As Long = 13309
    '! Number of stochastic rows'/
 Public Const LS_IINFO_STOC_NUM_ROWS               As Long = 13310
    '! Number of chance sets violated over all scenarios '/
 Public Const LS_IINFO_STOC_NUM_CC_VIOLATED        As Long = 13311
    '! Total number of columns in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_COLS_DETEQC        As Long = 13312
    '! Total number of rows in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_ROWS_DETEQC        As Long = 13313
    '! Total number of quadratic constraints in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QCP_CONS_DETEQC    As Long = 13314
    '! Total number of continuous constraints in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_CONT_CONS_DETEQC   As Long = 13315
    '! Total number of constraints with general integer variables in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_INT_CONS_DETEQC    As Long = 13316
    '! Total number of constraints with binary variables in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_BIN_CONS_DETEQC    As Long = 13317
    '! Total number of quadratic variables in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QCP_VARS_DETEQC    As Long = 13318
    '! Total number of nonzeros in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NONZ_DETEQC        As Long = 13319
    '! Total number of binaries in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_BIN_DETEQC         As Long = 13320
    '! Total number of general integer variables in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_INT_DETEQC         As Long = 13321
    '! Total number of continuous variables in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_CONT_DETEQC        As Long = 13322
    '! Total number of quadratic nonzeros in the chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_QC_NONZ_DETEQC     As Long = 13323
    '! Total number of nonlinear nonzeros in the constraints of chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_NONZ_DETEQC    As Long = 13324
    '! Total number of nonlinear nonzeros in the objective function of chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLPOBJ_NONZ_DETEQC As Long = 13325
    '! Total number of nonlinear constraints in the constraints of chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_CONS_DETEQC    As Long = 13326
    '! Total number of nonlinear variables in the constraints of chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NLP_VARS_DETEQC    As Long = 13327
    '! Total number of nonzeros in the objective of chance deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NONZ_OBJ_DETEQC    As Long = 13328
    '! Total number of nonzeros in the objective of explict deterministic equivalent. '/
 Public Const LS_IINFO_STOC_NUM_NONZ_OBJ_DETEQE    As Long = 13329
    '! p-level for chance constraint '/
 Public Const LS_DINFO_STOC_CC_PLEVEL              As Long = 13340
    '! Number of parallel threads used '/
 Public Const LS_IINFO_STOC_THREADS                As Long = 13341
    '! Work imbalance across threads '/
 Public Const LS_DINFO_STOC_THRIMBL                As Long = 13342
    '! Number of EQ type stochastic rows'/
 Public Const LS_IINFO_STOC_NUM_EQROWS             As Long = 13343
    '! Thread workloads '/
 Public Const LS_SINFO_STOC_THREAD_LOAD            As Long = 13344
    '! Number of buckets '/
 Public Const LS_IINFO_STOC_NUM_BUCKETS            As Long = 13345

    'BNP information'/
 Public Const LS_IINFO_BNP_SIM_ITER                As Long = 14000
 Public Const LS_IINFO_BNP_LPCOUNT                 As Long = 14001
 Public Const LS_IINFO_BNP_NUMCOL                  As Long = 14002
 Public Const LS_DINFO_BNP_BESTBOUND               As Long = 14003
 Public Const LS_DINFO_BNP_BESTOBJ                 As Long = 14004

    '! @} '/



 ' Error codes (2001-2299) '/
 Public Const LSERR_NO_ERROR                       As Long = 0
 Public Const LSERR_OUT_OF_MEMORY                  As Long = 2001
 Public Const LSERR_CANNOT_OPEN_FILE               As Long = 2002
 Public Const LSERR_BAD_MPS_FILE                   As Long = 2003
 Public Const LSERR_BAD_CONSTRAINT_TYPE            As Long = 2004
 Public Const LSERR_BAD_MODEL                      As Long = 2005
 Public Const LSERR_BAD_SOLVER_TYPE                As Long = 2006
 Public Const LSERR_BAD_OBJECTIVE_SENSE            As Long = 2007
 Public Const LSERR_BAD_MPI_FILE                   As Long = 2008
 Public Const LSERR_INFO_NOT_AVAILABLE             As Long = 2009
 Public Const LSERR_ILLEGAL_NULL_POINTER           As Long = 2010
 Public Const LSERR_UNABLE_TO_SET_PARAM            As Long = 2011
 Public Const LSERR_INDEX_OUT_OF_RANGE             As Long = 2012
 Public Const LSERR_ERRMSG_FILE_NOT_FOUND          As Long = 2013
 Public Const LSERR_VARIABLE_NOT_FOUND             As Long = 2014
 Public Const LSERR_INTERNAL_ERROR                 As Long = 2015
 Public Const LSERR_ITER_LIMIT                     As Long = 2016
 Public Const LSERR_TIME_LIMIT                     As Long = 2017
 Public Const LSERR_NOT_CONVEX                     As Long = 2018
 Public Const LSERR_NUMERIC_INSTABILITY            As Long = 2019
 Public Const LSERR_STEP_TOO_SMALL                 As Long = 2021
 Public Const LSERR_USER_INTERRUPT                 As Long = 2023
 Public Const LSERR_PARAMETER_OUT_OF_RANGE         As Long = 2024
 Public Const LSERR_ERROR_IN_INPUT                 As Long = 2025
 Public Const LSERR_TOO_SMALL_LICENSE              As Long = 2026
 Public Const LSERR_NO_VALID_LICENSE               As Long = 2027
 Public Const LSERR_NO_METHOD_LICENSE              As Long = 2028
 Public Const LSERR_NOT_SUPPORTED                  As Long = 2029
 Public Const LSERR_MODEL_ALREADY_LOADED           As Long = 2030
 Public Const LSERR_MODEL_NOT_LOADED               As Long = 2031
 Public Const LSERR_INDEX_DUPLICATE                As Long = 2032
 Public Const LSERR_INSTRUCT_NOT_LOADED            As Long = 2033
 Public Const LSERR_OLD_LICENSE                    As Long = 2034
 Public Const LSERR_NO_LICENSE_FILE                As Long = 2035
 Public Const LSERR_BAD_LICENSE_FILE               As Long = 2036
 Public Const LSERR_MIP_BRANCH_LIMIT               As Long = 2037
 Public Const LSERR_GOP_FUNC_NOT_SUPPORTED         As Long = 2038
 Public Const LSERR_GOP_BRANCH_LIMIT               As Long = 2039
 Public Const LSERR_BAD_DECOMPOSITION_TYPE         As Long = 2040
 Public Const LSERR_BAD_VARIABLE_TYPE              As Long = 2041
 Public Const LSERR_BASIS_BOUND_MISMATCH           As Long = 2042
 Public Const LSERR_BASIS_COL_STATUS               As Long = 2043
 Public Const LSERR_BASIS_INVALID                  As Long = 2044
 Public Const LSERR_BASIS_ROW_STATUS               As Long = 2045
 Public Const LSERR_BLOCK_OF_BLOCK                 As Long = 2046
 Public Const LSERR_BOUND_OUT_OF_RANGE             As Long = 2047
 Public Const LSERR_COL_BEGIN_INDEX                As Long = 2048
 Public Const LSERR_COL_INDEX_OUT_OF_RANGE         As Long = 2049
 Public Const LSERR_COL_NONZCOUNT                  As Long = 2050
 Public Const LSERR_INVALID_ERRORCODE              As Long = 2051
 Public Const LSERR_ROW_INDEX_OUT_OF_RANGE         As Long = 2052
 Public Const LSERR_TOTAL_NONZCOUNT                As Long = 2053
 Public Const LSERR_MODEL_NOT_LINEAR               As Long = 2054
 Public Const LSERR_CHECKSUM                       As Long = 2055
 Public Const LSERR_USER_FUNCTION_NOT_FOUND        As Long = 2056
 Public Const LSERR_TRUNCATED_NAME_DATA            As Long = 2057
 Public Const LSERR_ILLEGAL_STRING_OPERATION       As Long = 2058
 Public Const LSERR_STRING_ALREADY_LOADED          As Long = 2059
 Public Const LSERR_STRING_NOT_LOADED              As Long = 2060
 Public Const LSERR_STRING_LENGTH_LIMIT            As Long = 2061
 Public Const LSERR_DATA_TERM_EXIST                As Long = 2062
 Public Const LSERR_NOT_SORTED_ORDER               As Long = 2063
 Public Const LSERR_INST_MISS_ELEMENTS             As Long = 2064
 Public Const LSERR_INST_TOO_SHORT                 As Long = 2065
 Public Const LSERR_INST_INVALID_BOUND             As Long = 2066
 Public Const LSERR_INST_SYNTAX_ERROR              As Long = 2067
 Public Const LSERR_COL_TOKEN_NOT_FOUND            As Long = 2068
 Public Const LSERR_ROW_TOKEN_NOT_FOUND            As Long = 2069
 Public Const LSERR_NAME_TOKEN_NOT_FOUND           As Long = 2070
 Public Const LSERR_NOT_LSQ_MODEL                  As Long = 2071
 Public Const LSERR_INCOMPATBLE_DECOMPOSITION      As Long = 2072
 Public Const LSERR_NO_MULTITHREAD_SUPPORT         As Long = 2073
 Public Const LSERR_INVALID_PARAMID                As Long = 2074
 Public Const LSERR_INVALID_NTHREADS               As Long = 2075
 Public Const LSERR_COL_LIMIT                      As Long = 2076
 Public Const LSERR_QCDATA_NOT_LOADED              As Long = 2077
 Public Const LSERR_NO_QCDATA_IN_ROW               As Long = 2078

   '! @ingroup LSstocError @{ '/
   '! Core MPS file/model has an error '/
 Public Const LSERR_BAD_SMPS_CORE_FILE             As Long = 2301
    '! Time file/model has an error '/
 Public Const LSERR_BAD_SMPS_TIME_FILE             As Long = 2302
    '! Stoc file/model has an error '/
 Public Const LSERR_BAD_SMPS_STOC_FILE             As Long = 2303
    '! Core MPI file/model has an error '/
 Public Const LSERR_BAD_SMPI_CORE_FILE             As Long = 2304
    '! Stoc file associated with Core MPI file has an error '/
 Public Const LSERR_BAD_SMPI_STOC_FILE             As Long = 2305
    '! Unable to open Core file '/
 Public Const LSERR_CANNOT_OPEN_CORE_FILE          As Long = 2306
    '! Unable to open Time file '/
 Public Const LSERR_CANNOT_OPEN_TIME_FILE          As Long = 2307
    '! Unable to open Stoc file '/
 Public Const LSERR_CANNOT_OPEN_STOC_FILE          As Long = 2308
    '! Stochastic model/data has not been loaded yet. '/
 Public Const LSERR_STOC_MODEL_NOT_LOADED          As Long = 2309
    '! Stochastic parameter specified in Stoc file has not been found . '/
 Public Const LSERR_STOC_SPAR_NOT_FOUND            As Long = 2310
    '! Stochastic parameter specified in Time file has not been found . '/
 Public Const LSERR_TIME_SPAR_NOT_FOUND            As Long = 2311
    '! Specified scenario index is out of sequence '/
 Public Const LSERR_SCEN_INDEX_OUT_OF_SEQUENCE     As Long = 2312
    '! Stochastic model/data has already been loaded. '/
 Public Const LSERR_STOC_MODEL_ALREADY_PARSED      As Long = 2313
    '! Specified scenario CDF is invalid, e.g. scenario probabilities don't sum to 1.0'/
 Public Const LSERR_STOC_INVALID_SCENARIO_CDF      As Long = 2314
    '! No stochastic parameters was found in the Core file '/
 Public Const LSERR_CORE_SPAR_NOT_FOUND            As Long = 2315
    '! Number of stochastic parameters found in Core file don't match to that of Time file '/
 Public Const LSERR_CORE_SPAR_COUNT_MISMATCH       As Long = 2316
    '! Specified stochastic parameter index is invalid '/
 Public Const LSERR_CORE_INVALID_SPAR_INDEX        As Long = 2317
    '! A stochastic parameter was not expected in Time file. '/
 Public Const LSERR_TIME_SPAR_NOT_EXPECTED         As Long = 2318
    '! Number of stochastic parameters found in Time file don't match to that of Stoc file '/
 Public Const LSERR_TIME_SPAR_COUNT_MISMATCH       As Long = 2319
    '! Specified stochastic parameter doesn't have a valid outcome value '/
 Public Const LSERR_CORE_SPAR_VALUE_NOT_FOUND      As Long = 2320
    '! Requested information is unavailable '/
 Public Const LSERR_INFO_UNAVAILABLE               As Long = 2321
    '! Core file doesn't have a valid bound name tag '/
 Public Const LSERR_STOC_MISSING_BNDNAME           As Long = 2322
    '! Core file doesn't have a valid objective name tag '/
 Public Const LSERR_STOC_MISSING_OBJNAME           As Long = 2323
    '! Core file doesn't have a valid right-hand-side name tag '/
 Public Const LSERR_STOC_MISSING_RHSNAME           As Long = 2324
    '! Core file doesn't have a valid range name tag '/
 Public Const LSERR_STOC_MISSING_RNGNAME           As Long = 2325
    '! Stoc file doesn't have an expected token name. '/
 Public Const LSERR_MISSING_TOKEN_NAME             As Long = 2326
    '! Stoc file doesn't have a 'ROOT' token to specify a root scenario '/
 Public Const LSERR_MISSING_TOKEN_ROOT             As Long = 2327
    '! Node model is unbounded '/
 Public Const LSERR_STOC_NODE_UNBOUNDED            As Long = 2328
    '! Node model is infeasible '/
 Public Const LSERR_STOC_NODE_INFEASIBLE           As Long = 2329
    '! Stochastic model has too many scenarios to solve with specified solver '/
 Public Const LSERR_STOC_TOO_MANY_SCENARIOS        As Long = 2330
    '! One or more node-models have irrecoverable numerical problems '/
 Public Const LSERR_STOC_BAD_PRECISION             As Long = 2331
    '! Specified aggregation structure is not compatible with model's stage structure '/
 Public Const LSERR_CORE_BAD_AGGREGATION           As Long = 2332
    '! Event tree is either not initialized yet or was too big to create '/
 Public Const LSERR_STOC_NULL_EVENT_TREE           As Long = 2333
    '! Specified stage index is invalid '/
 Public Const LSERR_CORE_BAD_STAGE_INDEX           As Long = 2334
    '! Specified algorithm/method is invalid or not supported '/
 Public Const LSERR_STOC_BAD_ALGORITHM             As Long = 2335
    '! Specified number of stages in Core model is invalid '/
 Public Const LSERR_CORE_BAD_NUMSTAGES             As Long = 2336
    '! Underlying model has an invalid temporal order '/
 Public Const LSERR_TIME_BAD_TEMPORAL_ORDER        As Long = 2337
    '! Number of stages specified in Time structure is invalid '/
 Public Const LSERR_TIME_BAD_NUMSTAGES             As Long = 2338
    '! Core and Time data are inconsistent '/
 Public Const LSERR_CORE_TIME_MISMATCH             As Long = 2339
    '! Specified stochastic structure has an invalid CDF '/
 Public Const LSERR_STOC_INVALID_CDF               As Long = 2340
    '! Specified distribution type is invalid or not supported. '/
 Public Const LSERR_BAD_DISTRIBUTION_TYPE          As Long = 2341
    '! Scale parameter for specified distribution is out of range. '/
 Public Const LSERR_DIST_SCALE_OUT_OF_RANGE        As Long = 2342
    '! Shape parameter for specified distribution is out of range. '/
 Public Const LSERR_DIST_SHAPE_OUT_OF_RANGE        As Long = 2343
    '! Specified probabability value is invalid '/
 Public Const LSERR_DIST_INVALID_PROBABILITY       As Long = 2344
    '! Derivative information is unavailable '/
 Public Const LSERR_DIST_NO_DERIVATIVE             As Long = 2345
    '! Specified standard deviation is invalid '/
 Public Const LSERR_DIST_INVALID_SD                As Long = 2346
    '! Specified value is invalid '/
 Public Const LSERR_DIST_INVALID_X                 As Long = 2347
    '! Specified parameters are invalid for the given distribution. '/
 Public Const LSERR_DIST_INVALID_PARAMS            As Long = 2348
    '! Iteration limit has been reached during a root finding operation '/
 Public Const LSERR_DIST_ROOTER_ITERLIM            As Long = 2349
    '! Given array is out of bounds '/
 Public Const LSERR_ARRAY_OUT_OF_BOUNDS            As Long = 2350
    '! Limiting PDF does not exist '/
 Public Const LSERR_DIST_NO_PDF_LIMIT              As Long = 2351

    '! A random number generator is not set. '/
 Public Const LSERR_RG_NOT_SET                     As Long = 2352
    '! Distribution function value was truncated during calculations '/
 Public Const LSERR_DIST_TRUNCATED                 As Long = 2353
    '! Stoc file has a parameter value missing '/
 Public Const LSERR_STOC_MISSING_PARAM_TOKEN       As Long = 2354
    '! Distribution has invalid number of parameters '/
 Public Const LSERR_DIST_INVALID_NUMPARAM          As Long = 2355
    '! Core file/model is not in temporal order '/
 Public Const LSERR_CORE_NOT_IN_TEMPORAL_ORDER     As Long = 2357
    '! Specified sample size is invalid '/
 Public Const LSERR_STOC_INVALID_SAMPLE_SIZE       As Long = 2358
    '! Node probability cannot be computed due to presence of continuous stochastic parameters '/
 Public Const LSERR_STOC_NOT_DISCRETE              As Long = 2359
    '! Event tree exceeds the maximum number of scenarios allowed to attempt an exact solution.'/
 Public Const LSERR_STOC_SCENARIO_LIMIT            As Long = 2360
    '! Specified correlation type is invalid '/
 Public Const LSERR_DIST_BAD_CORRELATION_TYPE      As Long = 2361
    '! Number of stages in the model is not set yet. '/
 Public Const LSERR_TIME_NUMSTAGES_NOT_SET         As Long = 2362
    '! Model already contains a sampled tree '/
 Public Const LSERR_STOC_SAMPLE_ALREADY_LOADED     As Long = 2363
    '! Stochastic events are not loaded yet '/
 Public Const LSERR_STOC_EVENTS_NOT_LOADED         As Long = 2364
    '! Stochastic tree already initialized '/
 Public Const LSERR_STOC_TREE_ALREADY_INIT         As Long = 2365
    '! Random number generator seed not initialized '/
 Public Const LSERR_RG_SEED_NOT_SET                As Long = 2366
    '! All sample points in the sample has been used. Resampling may be required. '/
 Public Const LSERR_STOC_OUT_OF_SAMPLE_POINTS      As Long = 2367
    '! Sampling is not supported for models with explicit scenarios. '/
 Public Const LSERR_STOC_SCENARIO_SAMPLING_NOT_SUPPORTED As Long = 2368
    '! Sample points are not yet generated for a stochastic parameter. '/
 Public Const LSERR_STOC_SAMPLE_NOT_GENERATED      As Long = 2369
    '! Sample points are already generated for a stochastic parameter. '/
 Public Const LSERR_STOC_SAMPLE_ALREADY_GENERATED  As Long = 2370
    '! Sample sizes selected are too small. '/
 Public Const LSERR_STOC_SAMPLE_SIZE_TOO_SMALL     As Long = 2371
    '! A random number generator is already set. '/
 Public Const LSERR_RG_ALREADY_SET                 As Long = 2372
    '! Sampling is not allowed for block/joint distributions. '/
 Public Const LSERR_STOC_BLOCK_SAMPLING_NOT_SUPPORTED As Long = 2373
    '! No stochastic parameters were assigned to one of the stages. '/
 Public Const LSERR_EMPTY_SPAR_STAGE               As Long = 2374
    '! No rows were assigned to one of the stages. '/
 Public Const LSERR_EMPTY_ROW_STAGE                As Long = 2375
    '! No columns were assigned to one of the stages. '/
 Public Const LSERR_EMPTY_COL_STAGE                As Long = 2376
    '! Default sample sizes per stoc.pars and stage are in conflict. '/
 Public Const LSERR_STOC_CONFLICTING_SAMP_SIZES    As Long = 2377
    '! Empty scenario data '/
 Public Const LSERR_STOC_EMPTY_SCENARIO_DATA       As Long = 2378
    '! A correlation structure has not been induced yet '/
 Public Const LSERR_STOC_CORRELATION_NOT_INDUCED   As Long = 2379
    '! A discrete PDF table has not been loaded '/
 Public Const LSERR_STOC_PDF_TABLE_NOT_LOADED      As Long = 2380
    '! No continously distributed random parameters are found '/
 Public Const LSERR_STOC_NO_CONTINUOUS_SPAR_FOUND  As Long = 2381
    '! One or more rows already belong to another chance constraint '/
 Public Const LSERR_STOC_ROW_ALREADY_IN_CC         As Long = 2382
    '! No chance-constraints were loaded '/
 Public Const LSERR_STOC_CC_NOT_LOADED             As Long = 2383
    '! Cut limit has been reached '/
 Public Const LSERR_STOC_CUT_LIMIT                 As Long = 2384
    '! GA object has not been initialized yet '/
 Public Const LSERR_STOC_GA_NOT_INIT               As Long = 2385
    '! There exists stochastic rows not loaded to any chance constraints yet.'/
 Public Const LSERR_STOC_ROWS_NOT_LOADED_IN_CC     As Long = 2386
    '! Specified sample is already assigned as the source for the target sample. '/
 Public Const LSERR_SAMP_ALREADY_SOURCE            As Long = 2387
    '! No user-defined distribution function has been set for the specified sample. '/
 Public Const LSERR_SAMP_USERFUNC_NOT_SET          As Long = 2388
    '! Specified sample does not support the function call or it is incompatible with the argument list. '/
 Public Const LSERR_SAMP_INVALID_CALL              As Long = 2389
    '! Mapping stochastic instructions leads to multiple occurrences in matrix model. '/
 Public Const LSERR_STOC_MAP_MULTI_SPAR            As Long = 2390
    '! Two or more stochastic instructions maps to the same position in matrix model. '/
 Public Const LSERR_STOC_MAP_SAME_SPAR             As Long = 2391
    '! A stochastic parameter was not expected in the objective function. '/
 Public Const LSERR_STOC_SPAR_NOT_EXPECTED_OBJ     As Long = 2392

    ' Error codes for the sprint method. '/

 Public Const LSERR_SPRINT_MISSING_TAG_ROWS        As Long = 2577
 Public Const LSERR_SPRINT_MISSING_TAG_COLS        As Long = 2578
 Public Const LSERR_SPRINT_MISSING_TAG_RHS         As Long = 2579
 Public Const LSERR_SPRINT_MISSING_TAG_ENDATA      As Long = 2580
 Public Const LSERR_SPRINT_MISSING_VALUE_ROW       As Long = 2581
 Public Const LSERR_SPRINT_EXTRA_VALUE_ROW         As Long = 2582
 Public Const LSERR_SPRINT_MISSING_VALUE_COL       As Long = 2583
 Public Const LSERR_SPRINT_EXTRA_VALUE_COL         As Long = 2584
 Public Const LSERR_SPRINT_MISSING_VALUE_RHS       As Long = 2585
 Public Const LSERR_SPRINT_EXTRA_VALUE_RHS         As Long = 2586
 Public Const LSERR_SPRINT_MISSING_VALUE_BOUND     As Long = 2587
 Public Const LSERR_SPRINT_EXTRA_VALUE_BOUND       As Long = 2588

 Public Const LSERR_SPRINT_INTEGER_VARS_IN_MPS     As Long = 2589
 Public Const LSERR_SPRINT_BINARY_VARS_IN_MPS      As Long = 2590
 Public Const LSERR_SPRINT_SEMI_CONT_VARS_IN_MPS   As Long = 2591
 Public Const LSERR_SPRINT_UNKNOWN_TAG_BOUNDS      As Long = 2592
 Public Const LSERR_SPRINT_MULTIPLE_OBJ_ROWS       As Long = 2593

 Public Const LSERR_SPRINT_COULD_NOT_SOLVE_SUBPROBLEM As Long = 2594

 Public Const LSERR_COULD_NOT_WRITE_TO_FILE        As Long = 2595
 Public Const LSERR_COULD_NOT_READ_FROM_FILE       As Long = 2596
 Public Const LSERR_READING_PAST_EOF               As Long = 2597

    '! @} '/

 Public Const LSERR_LAST_ERROR                     As Long = 2598


 ' Callback locations '/
 Public Const LSLOC_PRIMAL                         As Long = 0
 Public Const LSLOC_DUAL                           As Long = 1
 Public Const LSLOC_BARRIER                        As Long = 2
 Public Const LSLOC_CROSSOVER                      As Long = 3
 Public Const LSLOC_CONOPT                         As Long = 4
 Public Const LSLOC_MIP                            As Long = 5
 Public Const LSLOC_LOCAL_OPT                      As Long = 6
 Public Const LSLOC_GEN_START                      As Long = 7
 Public Const LSLOC_GEN_PROCESSING                 As Long = 8
 Public Const LSLOC_GEN_END                        As Long = 9
 Public Const LSLOC_GOP                            As Long = 10
 Public Const LSLOC_EXIT_SOLVER                    As Long = 11
 Public Const LSLOC_PRESOLVE                       As Long = 12
 Public Const LSLOC_MSW                            As Long = 13
 Public Const LSLOC_FUNC_CALC                      As Long = 14
 Public Const LSLOC_IISIUS                         As Long = 15
 Public Const LSLOC_SP                             As Long = 16
 Public Const LSLOC_GEN_SP_START                   As Long = 17
 Public Const LSLOC_GEN_SP                         As Long = 18
 Public Const LSLOC_GEN_SP_END                     As Long = 19
 Public Const LSLOC_SP_WS                          As Long = 20
 Public Const LSLOC_LSQ                            As Long = 21
 Public Const LSLOC_SP_WS_START                    As Long = 22
 Public Const LSLOC_SP_WS_END                      As Long = 23
 Public Const LSLOC_BNP                            As Long = 24


 Public Const LS_METHOD_FREE                       As Long = 0
 Public Const LS_METHOD_PSIMPLEX                   As Long = 1
 Public Const LS_METHOD_DSIMPLEX                   As Long = 2
 Public Const LS_METHOD_BARRIER                    As Long = 3
 Public Const LS_METHOD_NLP                        As Long = 4
 Public Const LS_METHOD_MIP                        As Long = 5
 Public Const LS_METHOD_MULTIS                     As Long = 6
 Public Const LS_METHOD_GOP                        As Long = 7
 Public Const LS_METHOD_IIS                        As Long = 8
 Public Const LS_METHOD_IUS                        As Long = 9
 Public Const LS_METHOD_SBD                        As Long = 10
 Public Const LS_METHOD_GA                         As Long = 12


 Public Const LS_STRATEGY_USER                     As Long = 0
 Public Const LS_STRATEGY_PRIMIP                   As Long = 1
 Public Const LS_STRATEGY_NODEMIP                  As Long = 2
 Public Const LS_STRATEGY_HEUMIP                   As Long = 3


 Public Const LS_NMETHOD_FREE                      As Long = 4
 Public Const LS_NMETHOD_LSQ                       As Long = 5
 Public Const LS_NMETHOD_QP                        As Long = 6
 Public Const LS_NMETHOD_CONOPT                    As Long = 7
 Public Const LS_NMETHOD_SLP                       As Long = 8
 Public Const LS_NMETHOD_MSW_GRG                   As Long = 9


 Public Const LS_PROB_SOLVE_FREE                   As Long = 0
 Public Const LS_PROB_SOLVE_PRIMAL                 As Long = 1
 Public Const LS_PROB_SOLVE_DUAL                   As Long = 2
 Public Const LS_BAR_METHOD_FREE                   As Long = 4
 Public Const LS_BAR_METHOD_INTPNT                 As Long = 5
 Public Const LS_BAR_METHOD_CONIC                  As Long = 6
 Public Const LS_BAR_METHOD_QCONE                  As Long = 7

 Public Const LSSOL_BASIC_PRIMAL                   As Long = 11
 Public Const LSSOL_BASIC_DUAL                     As Long = 12
 Public Const LSSOL_BASIC_SLACK                    As Long = 13
 Public Const LSSOL_BASIC_REDCOST                  As Long = 14
 Public Const LSSOL_INTERIOR_PRIMAL                As Long = 15
 Public Const LSSOL_INTERIOR_DUAL                  As Long = 16
 Public Const LSSOL_INTERIOR_SLACK                 As Long = 17
 Public Const LSSOL_INTERIOR_REDCOST               As Long = 18



 ' Model types '/
    ' linear programs                          '/
 Public Const LS_LP                                As Long = 10

    ' quadratic programs                       '/
 Public Const LS_QP                                As Long = 11

    ' conic programs                           '/
 Public Const LS_SOCP                              As Long = 12

    ' semidefinite programs                    '/
 Public Const LS_SDP                               As Long = 13

    ' nonlinear programs                       '/
 Public Const LS_NLP                               As Long = 14

    ' mixed-integer linear programs            '/
 Public Const LS_MILP                              As Long = 15

    ' mixed-integer quadratic programs         '/
 Public Const LS_MIQP                              As Long = 16

    ' mixed-integer conic programs             '/
 Public Const LS_MISOCP                            As Long = 17

    ' mixed-integer semidefinite programs      '/
 Public Const LS_MISDP                             As Long = 18

    ' mixed-integer nonlinear programs         '/
 Public Const LS_MINLP                             As Long = 19

    ' convex QP '/
 Public Const LS_CONVEX_QP                         As Long = 20

    'convex NLP '/
 Public Const LS_CONVEX_NLP                        As Long = 21

    'convex MIQP '/
 Public Const LS_CONVEX_MIQP                       As Long = 22

    'convex MINLP '/
 Public Const LS_CONVEX_MINLP                      As Long = 23

    ' undeterminated    '/
 Public Const LS_UNDETERMINED                      As Long = -1


 Public Const LS_LINK_BLOCKS_FREE                  As Long = 0
 Public Const LS_LINK_BLOCKS_SELF                  As Long = 1
 Public Const LS_LINK_BLOCKS_NONE                  As Long = 2
 Public Const LS_LINK_BLOCKS_COLS                  As Long = 3
 Public Const LS_LINK_BLOCKS_ROWS                  As Long = 4
 Public Const LS_LINK_BLOCKS_BOTH                  As Long = 5
 Public Const LS_LINK_BLOCKS_MATRIX                As Long = 6


 ' Controls the way objective function and
 ' objective sense are printed when writing
 ' LS_MAX type problems in MPS format.
 '/
 Public Const LS_MPS_USE_MAX_NOTE                  As Long = 0
 Public Const LS_MPS_USE_MAX_CARD                  As Long = 1
 Public Const LS_MPS_USE_MAX_FLIP                  As Long = 2


 ' Finite differences methods '/
 Public Const LS_DERIV_FREE                        As Long = 0
 Public Const LS_DERIV_FORWARD_DIFFERENCE          As Long = 1
 Public Const LS_DERIV_BACKWARD_DIFFERENCE         As Long = 2
 Public Const LS_DERIV_CENTER_DIFFERENCE           As Long = 3


 ' MIP Sets
 '  SOS1: S={x_1,...,x_p}  only one x_j can be different from zero
 '  SOS2: S={x_1,...,x_p}  at most two x_j can be different from zero
 '                         and  when they are they have to be adjacent
 '  SOS3: S={x_1,...,x_p}  @sum(j: x_j      )  = 1;  x_j >=0,
 '  CARD: S={x_1,...,x_p}  @sum(j: sign(x_j)) <= k;  x_j >=0
 '/
 Public Const LS_MIP_SET_CARD                      As Long = 4
 Public Const LS_MIP_SET_SOS1                      As Long = 1
 Public Const LS_MIP_SET_SOS2                      As Long = 2
 Public Const LS_MIP_SET_SOS3                      As Long = 3



 Public Const LS_QTERM_NONE                        As Long = 0
 Public Const LS_QTERM_INDEF                       As Long = 1
 Public Const LS_QTERM_POSDEF                      As Long = 2
 Public Const LS_QTERM_NEGDEF                      As Long = 3
 Public Const LS_QTERM_POS_SEMIDEF                 As Long = 4
 Public Const LS_QTERM_NEG_SEMIDEF                 As Long = 5


 ' Bit masks for general MIP mode. Use sums
 ' to enable a collection of available levels.
 '/
 Public Const LS_MIP_MODE_NO_TIME_EVENTS           As Long = 2
 Public Const LS_MIP_MODE_FAST_FEASIBILITY         As Long = 4
 Public Const LS_MIP_MODE_FAST_OPTIMALITY          As Long = 8
 Public Const LS_MIP_MODE_NO_BRANCH_CUTS           As Long = 16


 ' Bit mask for cut generation levels. Use sums to
 ' enable a collection of available cuts.
 '/
 Public Const LS_MIP_GUB_COVER_CUTS                As Long = 2
 Public Const LS_MIP_FLOW_COVER_CUTS               As Long = 4
 Public Const LS_MIP_LIFT_CUTS                     As Long = 8
 Public Const LS_MIP_PLAN_LOC_CUTS                 As Long = 16
 Public Const LS_MIP_DISAGG_CUTS                   As Long = 32
 Public Const LS_MIP_KNAPSUR_COVER_CUTS            As Long = 64
 Public Const LS_MIP_LATTICE_CUTS                  As Long = 128
 Public Const LS_MIP_GOMORY_CUTS                   As Long = 256
 Public Const LS_MIP_COEF_REDC_CUTS                As Long = 512
 Public Const LS_MIP_GCD_CUTS                      As Long = 1024
 Public Const LS_MIP_OBJ_CUT                       As Long = 2048
 Public Const LS_MIP_BASIS_CUTS                    As Long = 4096
 Public Const LS_MIP_CARDGUB_CUTS                  As Long = 8192
 Public Const LS_MIP_DISJUN_CUTS                   As Long = 16384


 ' Bit masks for MIP preprocessing levels. Use sums
 ' to enable a collection of available levels.
 '/
 Public Const LS_MIP_PREP_SPRE                     As Long = 2
 Public Const LS_MIP_PREP_PROB                     As Long = 4
 Public Const LS_MIP_PREP_COEF                     As Long = 8
 Public Const LS_MIP_PREP_ELIM                     As Long = 16
 Public Const LS_MIP_PREP_DUAL                     As Long = 32
 Public Const LS_MIP_PREP_DBACK                    As Long = 64
 Public Const LS_MIP_PREP_BINROWS                  As Long = 128
 Public Const LS_MIP_PREP_AGGROWS                  As Long = 256
 Public Const LS_MIP_PREP_COEF_LIFTING             As Long = 512
 Public Const LS_MIP_PREP_MAXPASS                  As Long = 1024


 ' Bit masks for solver preprocessing levels. Use sums
 ' to enable a collection of available levels.
 '/
 Public Const LS_SOLVER_PREP_SPRE                  As Long = 2
 Public Const LS_SOLVER_PREP_PFOR                  As Long = 4
 Public Const LS_SOLVER_PREP_DFOR                  As Long = 8
 Public Const LS_SOLVER_PREP_ELIM                  As Long = 16
 Public Const LS_SOLVER_PREP_DCOL                  As Long = 32
 Public Const LS_SOLVER_PREP_DROW                  As Long = 64
 Public Const LS_SOLVER_PREP_MAXPASS               As Long = 1024


 ' Bit masks for IIS & IUS analysis levels. Use sums to
 ' enable a collection of available levels.
 '/
 Public Const LS_NECESSARY_ROWS                    As Long = 1
 Public Const LS_NECESSARY_COLS                    As Long = 2
 Public Const LS_SUFFICIENT_ROWS                   As Long = 4
 Public Const LS_SUFFICIENT_COLS                   As Long = 8
 Public Const LS_IIS_INTS                          As Long    = 16
 Public Const LS_IISRANK_LTF                       As Long    = 32
 Public Const LS_IISRANK_DECOMP                    As Long    = 64
 Public Const LS_IISRANK_NNZ                       As Long    = 128
 Public Const LS_IISLIMIT_MIS                      As Long    = 256


 ' Infeasibility norms for IIS finder '/
 Public Const LS_IIS_NORM_FREE                     As Long = 0
 Public Const LS_IIS_NORM_ONE                      As Long = 1
 Public Const LS_IIS_NORM_INFINITY                 As Long = 2


 ' IIS methods '/
 Public Const LS_IIS_DEFAULT                       As Long = 0
 Public Const LS_IIS_DEL_FILTER                    As Long = 1
 Public Const LS_IIS_ADD_FILTER                    As Long = 2
 Public Const LS_IIS_GBS_FILTER                    As Long = 3
 Public Const LS_IIS_DFBS_FILTER                   As Long = 4
 Public Const LS_IIS_FSC_FILTER                    As Long = 5
 Public Const LS_IIS_ELS_FILTER                    As Long = 6


 'codes for IINFO_MIP_WHERE_IN_CODE'/
 Public Const LS_MIP_IN_PRESOLVE                   As Long = 0
 Public Const LS_MIP_IN_FP_MODE                    As Long = 1
 Public Const LS_MIP_IN_HEU_MODE                   As Long = 2
 Public Const LS_MIP_IN_ENUM                       As Long = 3
 Public Const LS_MIP_IN_CUT_ADD_TOP                As Long = 4
 Public Const LS_MIP_IN_CUT_ADD_TREE               As Long = 5
 Public Const LS_MIP_IN_BANDB                      As Long = 6


 ''
 ' @ingroup LSstocOptDataTypes
 '/
    '! Stochastic parameter is an instruction code  '/
 Public Const LS_JCOL_INST                         As Long = -8
    '! Stochastic parameter is a RHS upper bound (reserved for future use)'/
 Public Const LS_JCOL_RUB                          As Long = -7
    '! Stochastic parameter is a RHS lower bound (reserved for future use)'/
 Public Const LS_JCOL_RLB                          As Long = -6
    '! Stochastic parameter is a RHS value (belongs to RHS column)      '/
 Public Const LS_JCOL_RHS                          As Long = -5
    '! Stochastic parameter is an objective coefficient (belongs to OBJ row)   '/
 Public Const LS_IROW_OBJ                          As Long = -4
    '! Stochastic parameter is a variable lower bound (belongs to LO row) '/
 Public Const LS_IROW_VUB                          As Long = -3
    '! Stochastic parameter is a variable upper bound (belongs to UP row) '/
 Public Const LS_IROW_VLB                          As Long = -2
    '! Stochastic parameter is a variable fixed bound (belongs to FX row) '/
 Public Const LS_IROW_VFX                          As Long = -1
    '! Stochastic parameter is an LP matrix entry. '/
 Public Const LS_IMAT_AIJ                          As Long = 0


 ''
 ' @ingroup LSstocOptDistribFun
 '/
   ' discrete distributions '/
 Public Const LSDIST_TYPE_BINOMIAL                 As Long = 701
 Public Const LSDIST_TYPE_DISCRETE                 As Long = 702
 Public Const LSDIST_TYPE_DISCRETE_BLOCK           As Long = 703
 Public Const LSDIST_TYPE_NEGATIVE_BINOMIAL        As Long = 704
 Public Const LSDIST_TYPE_GEOMETRIC                As Long = 705
 Public Const LSDIST_TYPE_POISSON                  As Long = 706
 Public Const LSDIST_TYPE_LOGARITHMIC              As Long = 707
 Public Const LSDIST_TYPE_HYPER_GEOMETRIC          As Long = 708
 Public Const LSDIST_TYPE_LINTRAN_BLOCK            As Long = 709
 Public Const LSDIST_TYPE_SUB_BLOCK                As Long = 710
 Public Const LSDIST_TYPE_SUB                      As Long = 711
 Public Const LSDIST_TYPE_USER                     As Long = 712

    ' continuous distributions '/
 Public Const LSDIST_TYPE_BETA                     As Long = 801
 Public Const LSDIST_TYPE_CAUCHY                   As Long = 802
 Public Const LSDIST_TYPE_CHI_SQUARE               As Long = 803
 Public Const LSDIST_TYPE_EXPONENTIAL              As Long = 804
 Public Const LSDIST_TYPE_F_DISTRIBUTION           As Long = 805
 Public Const LSDIST_TYPE_GAMMA                    As Long = 806
 Public Const LSDIST_TYPE_GUMBEL                   As Long = 807
 Public Const LSDIST_TYPE_LAPLACE                  As Long = 808
 Public Const LSDIST_TYPE_LOGNORMAL                As Long = 809
 Public Const LSDIST_TYPE_LOGISTIC                 As Long = 810
 Public Const LSDIST_TYPE_NORMAL                   As Long = 811
 Public Const LSDIST_TYPE_PARETO                   As Long = 812
 Public Const LSDIST_TYPE_STABLE_PARETIAN          As Long = 813
 Public Const LSDIST_TYPE_STUDENTS_T               As Long = 814
 Public Const LSDIST_TYPE_TRIANGULAR               As Long = 815
 Public Const LSDIST_TYPE_UNIFORM                  As Long = 816
 Public Const LSDIST_TYPE_WEIBULL                  As Long = 817
 Public Const LSDIST_TYPE_WILCOXON                 As Long = 818
 Public Const LSDIST_TYPE_BETABINOMIAL             As Long = 819
 Public Const LSDIST_TYPE_SYMMETRICSTABLE          As Long    = 820


 ' supported operations modifying the core. '/
 Public Const LS_REPLACE                           As Long = 0
 Public Const LS_ADD                               As Long = 1
 Public Const LS_SUB                               As Long = 2
 Public Const LS_MULTIPLY                          As Long = 3
 Public Const LS_DIVIDE                            As Long = 4


 ' scenario indices for special cases '/
 Public Const LS_SCEN_ROOT                         As Long = -1
 Public Const LS_SCEN_AVRG                         As Long = -2
 Public Const LS_SCEN_MEDIAN                       As Long = -3
 Public Const LS_SCEN_USER                         As Long = -4
 Public Const LS_SCEN_NONE                         As Long = -5


 ' warmstart rule in optimizing wait-see model '/
 Public Const LS_WSBAS_FREE                        As Long = -1
 Public Const LS_WSBAS_NONE                        As Long = 0
 Public Const LS_WSBAS_AVRG                        As Long = 1
 Public Const LS_WSBAS_LAST                        As Long = 2


 ''
 ' @ingroup LSstocOptSolver
 '/
   '! Solve with the method chosen by the solver. '/
 Public Const LS_METHOD_STOC_FREE                  As Long = -1

    '! Solve the deterministic equivalent (DETEQ).  '/
 Public Const LS_METHOD_STOC_DETEQ                 As Long = 0

    '! Solve with the Nested Benders Decomposition (NBD) method. '/
 Public Const LS_METHOD_STOC_NBD                   As Long = 1

    '! Solve with the Augmented Lagrangian Decomposition (ALD) method. '/
 Public Const LS_METHOD_STOC_ALD                   As Long = 2

    '! Solve with the Heuristic-Search (HS) method. '/
 Public Const LS_METHOD_STOC_HS                    As Long = 4



 '
 ' @ingroup LSstocOptDeteqType
 '/
 Public Const LS_DETEQ_FREE                        As Long = -1
 Public Const LS_DETEQ_IMPLICIT                    As Long = 0
 Public Const LS_DETEQ_EXPLICIT                    As Long = 1
 Public Const LS_DETEQ_CHANCE                      As Long = 2


 ' Distribution functions '/
 Public Const LS_USER                              As Long = 0
 Public Const LS_PDF                               As Long = 1
 Public Const LS_CDF                               As Long = 2
 Public Const LS_CDFINV                            As Long = 3
 Public Const LS_PDFDIFF                           As Long = 4


 ' Correlation types '/
 Public Const LS_CORR_TARGET                       As Long = -1
 Public Const LS_CORR_LINEAR                       As Long = 0
 Public Const LS_CORR_PEARSON                      As Long = 0
 Public Const LS_CORR_KENDALL                      As Long = 1
 Public Const LS_CORR_SPEARMAN                     As Long = 2


 ' Sampling types '/
 Public Const LS_MONTECARLO                        As Long = 0
 Public Const LS_LATINSQUARE                       As Long = 1
 Public Const LS_ANTITHETIC                        As Long = 2


 ' Random number generator algorithms '/
 Public Const LS_RANDGEN_FREE                      As Long = -1
 Public Const LS_RANDGEN_SYSTEM                    As Long = 0
 Public Const LS_RANDGEN_LINDO1                    As Long = 1
 Public Const LS_RANDGEN_LINDO2                    As Long = 2
 Public Const LS_RANDGEN_LIN1                      As Long = 3
 Public Const LS_RANDGEN_MULT1                     As Long = 4
 Public Const LS_RANDGEN_MULT2                     As Long = 5
 Public Const LS_RANDGEN_MERSENNE                  As Long = 6


 ' NCM methods '/
 Public Const LS_NCM_STD                           As Long = 1
 Public Const LS_NCM_GA                            As Long = 2
 Public Const LS_NCM_ALTP                          As Long = 4
 Public Const LS_NCM_L2NORM_CONE                   As Long = 8
 Public Const LS_NCM_L2NORM_NLP                    As Long = 16


 ' pointer types used '/
 Public Const LS_PTR_ENV                           As Long = 0
 Public Const LS_PTR_MODEL                         As Long = 1
 Public Const LS_PTR_SAMPLE                        As Long = 2
 Public Const LS_PTR_RG                            As Long = 3


 ' multithreading mode '/
 Public Const LS_MTMODE_FREE                       As Long = -1
 Public Const LS_MTMODE_EXPLCT                     As Long = 0
 Public Const LS_MTMODE_PPCC                       As Long = 1
 Public Const LS_MTMODE_PP                         As Long = 2
 Public Const LS_MTMODE_CCPP                       As Long = 3
 Public Const LS_MTMODE_CC                         As Long = 4


 ' Output file types created by the Sprint code'/
 Public Const LS_SPRINT_OUTPUT_FILE_FREE           As Long = 0
 Public Const LS_SPRINT_OUTPUT_FILE_BIN            As Long = 1
 Public Const LS_SPRINT_OUTPUT_FILE_TXT            As Long = 2


 Public Const LS_MSW_MODE_TRUNCATE_FREE            As Long = 1
 Public Const LS_MSW_MODE_SCALE_REFSET             As Long = 2
 Public Const LS_MSW_MODE_EXPAND_RADIUS            As Long = 4
 Public Const LS_MSW_MODE_SKEWED_SAMPLE            As Long = 8
 Public Const LS_MSW_MODE_BEST_LOCAL_BND           As Long = 16
 Public Const LS_MSW_MODE_BEST_GLOBAL_BND          As Long = 32
 Public Const LS_MSW_MODE_SAMPLE_FREEVARS          As Long = 64
 Public Const LS_MSW_MODE_PRECOLLECT               As Long = 128
 Public Const LS_MSW_MODE_POWER_SOLVE              As Long = 256


 Public Const LS_GA_CROSS_SBX                      As Long = 101
 Public Const LS_GA_CROSS_BLXA                     As Long = 102
 Public Const LS_GA_CROSS_BLXAB                    As Long = 103
 Public Const LS_GA_CROSS_HEU                      As Long = 104
 Public Const LS_GA_CROSS_ONEPOINT                 As Long = 201
 Public Const LS_GA_CROSS_TWOPOINT                 As Long = 202


 ' Equivalences '/
 Public Const LS_IINFO_OBJSENSE                    As Long = LS_IPARAM_OBJSENSE
 Public Const LS_IINFO_VER_MAJOR                   As Long = LS_IPARAM_VER_MAJOR
 Public Const LS_IINFO_VER_MINOR                   As Long = LS_IPARAM_VER_MINOR
 Public Const LS_IINFO_VER_BUILD                   As Long = LS_IPARAM_VER_BUILD
 Public Const LS_IINFO_VER_REVISION                As Long = LS_IPARAM_VER_REVISION
 ' Conic vs Second-Order-Cone equivalence'/
 Public Const LS_CONIC                             As Long = LS_SOCP
 Public Const LS_MICONIC                           As Long = LS_MISOCP

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '                   Conversion to version 1.x                       '
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/
 ' old parameter names, changed in 8.x '/
 Public Const LS_IPARAM_NLP_MSW_MAXREF             As Long = LS_IPARAM_NLP_MSW_POPSIZE
 Public Const LS_IPARAM_STOC_DEBUG_LEVEL           As Long = LS_IPARAM_STOC_DEBUG_MASK

 ' old parameter names changed in 6.x '/
 Public Const LS_SPRINT_OUTPUT_FILE_DEFAULT        As Long = LS_SPRINT_OUTPUT_FILE_FREE

 ' old parameter names changed in 5.x '/
 Public Const LS_IPARAM_SPLEX_SCALE                As Long = LS_IPARAM_LP_SCALE
 Public Const LS_IPARAM_SPLEX_ITRLMT               As Long = LS_IPARAM_LP_ITRLMT
 Public Const LS_IPARAM_MIP_USE_ENUM_HEU           As Long = LS_IPARAM_MIP_ENUM_HEUMODE
 Public Const LS_IPARAM_SOLVER_USE_CONCURRENT_OPT  As Long = LS_IPARAM_SOLVER_CONCURRENT_OPTMODE
 Public Const LS_IPARAM_GOP_USEBNDLIM              As Long = LS_IPARAM_GOP_BNDLIM_MODE
 ' old parameter names changed in 4.x or older'/
 Public Const LSLOC_BANDB                          As Long = LSLOC_MIP
 Public Const LS_IPARAM_ITRLMT                     As Long = LS_IPARAM_SPLEX_ITRLMT
 Public Const LS_IPARAM_PRICING                    As Long = LS_IPARAM_SPLEX_PPRICING
 Public Const LS_IPARAM_SCALE                      As Long = LS_IPARAM_SPLEX_SCALE
 Public Const LS_IPARAM_TIMLMT                     As Long = LS_IPARAM_SOLVER_TIMLMT
 Public Const LS_DPARAM_CUTOFFVAL                  As Long = LS_DPARAM_SOLVER_CUTOFFVAL
 Public Const LS_IPARAM_RESTART                    As Long = LS_IPARAM_SOLVER_RESTART
 Public Const LS_DPARAM_FEASTOL                    As Long = LS_DPARAM_SOLVER_FEASTOL
 Public Const LS_IPARAM_IUSOL                      As Long = LS_IPARAM_SOLVER_IUSOL
 Public Const LS_IPARAM_MIPTIMLIM                  As Long = LS_IPARAM_MIP_TIMLIM
 Public Const LS_IPARAM_MIPAOPTTIMLIM              As Long = LS_IPARAM_MIP_AOPTTIMLIM
 Public Const LS_IPARAM_MIPPRELEVEL                As Long = LS_IPARAM_MIP_PRELEVEL
 Public Const LS_IPARAM_MIPNODESELRULE             As Long = LS_IPARAM_MIP_NODESELRULE
 Public Const LS_DPARAM_MIPINTTOL                  As Long = LS_DPARAM_MIP_INTTOL
 Public Const LS_DPARAM_MIPRELINTTOL               As Long = LS_DPARAM_MIP_RELINTTOL
 Public Const LS_DPARAM_MIP_OPTTOL                 As Long = LS_DPARAM_MIP_RELOPTTOL
 Public Const LS_DPARAM_MIPOPTTOL                  As Long = LS_DPARAM_MIP_OPTTOL
 Public Const LS_DPARAM_MIPPEROPTTOL               As Long = LS_DPARAM_MIP_PEROPTTOL
 Public Const LS_IPARAM_MIPMAXCUTPASS              As Long = LS_IPARAM_MIP_MAXCUTPASS_TOP
 Public Const LS_DPARAM_MIPADDCUTPER               As Long = LS_DPARAM_MIP_ADDCUTPER
 Public Const LS_IPARAM_MIPCUTLEVEL                As Long = LS_IPARAM_MIP_CUTLEVEL_TOP
 Public Const LS_IPARAM_MIPHEULEVEL                As Long = LS_IPARAM_MIP_HEULEVEL
 Public Const LS_IPARAM_MIPPRINTLEVEL              As Long = LS_IPARAM_MIP_PRINTLEVEL
 Public Const LS_IPARAM_MIPPREPRINTLEVEL           As Long = LS_IPARAM_MIP_PREPRINTLEVEL
 Public Const LS_DPARAM_MIPCUTOFFOBJ               As Long = LS_DPARAM_MIP_CUTOFFOBJ
 Public Const LS_IPARAM_MIPSTRONGBRANCHLEVEL       As Long = LS_IPARAM_MIP_STRONGBRANCHLEVEL
 Public Const LS_IPARAM_MIPBRANCHDIR               As Long = LS_IPARAM_MIP_BRANCHDIR
 Public Const LS_IPARAM_MIPTOPOPT                  As Long = LS_IPARAM_MIP_TOPOPT
 Public Const LS_IPARAM_MIPREOPT                   As Long = LS_IPARAM_MIP_REOPT
 Public Const LS_IPARAM_MIPSOLVERTYPE              As Long = LS_IPARAM_MIP_SOLVERTYPE
 Public Const LS_IPARAM_MIPKEEPINMEM               As Long = LS_IPARAM_MIP_KEEPINMEM
 Public Const LS_DPARAM_MIP_REDCOSTFIXING_CUTOFF   As Long = LS_DPARAM_MIP_REDCOSTFIX_CUTOFF
 Public Const LS_IPARAM_NLPPRINTLEVEL              As Long = LS_IPARAM_NLP_PRINTLEVEL
 Public Const LS_IPARAM_LPPRINTLEVEL               As Long = LS_IPARAM_LP_PRINTLEVEL
 Public Const LS_IPARAM_NLPSOLVER                  As Long = LS_IPARAM_NLP_SOLVER
 Public Const LS_IPARAM_MODEL_CONVEX_FLAG          As Long = LS_IPARAM_NLP_CONVEX
 Public Const LS_IPARAM_NLP_SOLVEASLP              As Long = LS_IPARAM_NLP_SOLVE_AS_LP
 Public Const LS_DINFO_MIPBESTBOUND                As Long = LS_DINFO_MIP_BESTBOUND
 Public Const LS_IINFO_MIPBRANCHCOUNT              As Long = LS_IINFO_MIP_BRANCHCOUNT
 Public Const LS_IINFO_MIPSTATUS                   As Long = LS_IINFO_MIP_STATUS
 Public Const LS_IINFO_MIPNEWIPSOL                 As Long = LS_IINFO_MIP_NEWIPSOL
 Public Const LS_IINFO_MIPLPCOUNT                  As Long = LS_IINFO_MIP_LPCOUNT
 Public Const LS_IINFO_MIPACTIVENODES              As Long = LS_IINFO_MIP_ACTIVENODES
 Public Const LS_IINFO_MIPLTYPE                    As Long = LS_IINFO_MIP_LTYPE
 Public Const LS_IINFO_MIPAOPTTIMETOSTOP           As Long = LS_IINFO_MIP_AOPTTIMETOSTOP
 Public Const LS_DINFO_MIPOBJ                      As Long = LS_DINFO_MIP_OBJ
 Public Const LS_IPARAM_BARRIER_PROB_TO_SOLVE      As Long = LS_IPARAM_PROB_TO_SOLVE
 Public Const LS_IINFO_STATUS                      As Long = LS_IINFO_PRIMAL_STATUS
 Public Const LS_GOPSOLSTAT_GLOBAL_OPTIMAL         As Long = LS_STATUS_OPTIMAL
 Public Const LS_GOPSOLSTAT_LOCAL_OPTIMAL          As Long = LS_STATUS_LOCAL_OPTIMAL
 Public Const LS_GOPSOLSTAT_INFEASIBLE             As Long = LS_STATUS_INFEASIBLE
 Public Const LS_GOPSOLSTAT_TOPUNBOUNDED           As Long = LS_STATUS_UNBOUNDED
 Public Const LS_GOPSOLSTAT_FEASIBLE               As Long = LS_STATUS_FEASIBLE
 Public Const LS_GOPSOLSTAT_UNKNOWN                As Long = LS_STATUS_UNKNOWN
 Public Const LS_GOPSOLSTAT_NUMERICAL_ERROR        As Long = LS_STATUS_NUMERICAL_ERROR
 Public Const LS_IIS_NORM_NONE                     As Long = LS_IIS_NORM_FREE
 Public Const LS_IPARAM_STOC_SAMPLING_METHOD       As Long = LS_IPARAM_STOC_VARCONTROL_METHOD
 Public Const LS_DPARAM_GOP_OPTTOL                 As Long = LS_DPARAM_GOP_RELOPTTOL
 ' old operator names '/
 Public Const EP_EXT_AND                           As Long = EP_VAND
 Public Const EP_EXT_OR                            As Long = EP_VOR
 Public Const EP_MULTMULT                          As Long = EP_VMULT
 Public Const EP_PUSH_SVAR                         As Long = EP_PUSH_SPAR

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

 ' Callback Function Definitions  '/
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '                                                                   '
 '                        Function Prototypes                        '
 '                                                                   '
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Structure Creation and Deletion Routines (4)                      '
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LScreateEnv _
 Lib "LINDO8_0.DLL" (ByRef nErrorCode As Long, _
                     ByVal szPassword As String) As Long

 Public Declare Function LScreateModel _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByRef nErrorCode As Long) As Long

 Public Declare Function LSdeleteEnv _
 Lib "LINDO8_0.DLL" (ByRef nEnv As Any) As Long

 Public Declare Function LSdeleteModel _
 Lib "LINDO8_0.DLL" (ByRef nModel As Long) As Long

 Public Declare Function LSloadLicenseString _
 Lib "LINDO8_0.DLL" (ByVal szFname As String, _
                     ByVal achLicense As String) As Long

 Public Declare Sub LSgetVersionInfo _
 Lib "LINDO8_0.DLL" (ByVal achVernum As String, _
                     ByVal achBuildDate As String)

 Public Declare Function LScopyParam _
 Lib "LINDO8_0.DLL" (ByRef sourceModel As Long, _
                     ByRef targetModel As Long, _
                     ByVal mSolverType As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Model I-O Routines (13)                                            '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSreadMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSwriteMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSreadLINDOFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteLINDOFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSreadLINDOStream _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szStream As String, _
                     ByVal nStreamLen As Long) As Long

 Public Declare Function LSwriteLINGOFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteDualMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long, _
                     ByVal nObjSense As Long) As Long

 Public Declare Function LSwriteDualLINDOFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nObjSense As Long) As Long

 Public Declare Function LSwriteSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteSolutionOfType _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSwriteIIS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteIUS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSreadMPIFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteMPIFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteWithSetsAndSC _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSreadBasis _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSwriteBasis _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSreadLPFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSreadLPStream _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szStream As String, _
                     ByVal nStreamLen As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Error Handling Routines (3)                                        '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSgetErrorMessage _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nErrorCode As Long, _
                     ByVal achMessage As String) As Long

 Public Declare Function LSgetFileError _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nLinenum As Long, _
                     ByVal achLinetxt As String) As Long

 Public Declare Function LSgetErrorRowIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef iRow As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Routines for Setting and Retrieving Parameter Values (14)          '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSsetModelParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSgetModelParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSsetEnvParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSgetEnvParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSsetModelDouParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByVal dVal As Double) As Long

 Public Declare Function LSgetModelDouParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByRef dVal As Double) As Long

 Public Declare Function LSsetModelIntParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByVal nVal As Long) As Long

 Public Declare Function LSgetModelIntParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByRef nVal As Long) As Long

 Public Declare Function LSsetEnvDouParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByVal dVal As Double) As Long

 Public Declare Function LSgetEnvDouParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByRef dVal As Double) As Long

 Public Declare Function LSsetEnvIntParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByVal nVal As Long) As Long

 Public Declare Function LSgetEnvIntParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByRef nVal As Long) As Long

 Public Declare Function LSreadModelParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSreadEnvParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteModelParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSgetIntParameterRange _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByRef nValMIN As Long, _
                     ByRef nValMAX As Long) As Long

 Public Declare Function LSgetDouParameterRange _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nParameter As Long, _
                     ByRef dValMIN As Double, _
                     ByRef dValMAX As Double) As Long

 Public Declare Function LSgetParamShortDesc _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParam As Long, _
                     ByVal szDescription As String) As Long

 Public Declare Function LSgetParamLongDesc _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParam As Long, _
                     ByVal szDescription As String) As Long

 Public Declare Function LSgetParamMacroName _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParam As Long, _
                     ByVal szParam As String) As Long

 Public Declare Function LSgetParamMacroID _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal szParam As String, _
                     ByRef nParamType As Long, _
                     ByRef nParam As Long) As Long

  '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
  ' Model Loading Routines (9)                                        '
  '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSloadLPData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByVal nVars As Long, _
                     ByVal dObjSense As Long, _
                     ByVal dObjConst As Double, _
                     ByRef adC As Double, _
                     ByRef adB As Double, _
                     ByVal szConTypes As String, _
                     ByVal nAnnz As Long, _
                     ByRef aiAcols As Long, _
                     ByRef anAcols As Long, _
                     ByRef adAcoef As Double, _
                     ByRef aiArows As Long, _
                     ByRef adL As Any, _
                     ByRef adU As Any) As Long

 Public Declare Function LSloadQCData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQCnnz As Long, _
                     ByRef aiQCrows As Long, _
                     ByRef aiQCcols1 As Long, _
                     ByRef aiQCcols2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSloadConeData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCone As Long, _
                     ByVal szConeTypes As String, _
                     ByRef aiConebegcone As Long, _
                     ByRef aiConeCols As Long) As Long

 Public Declare Function LSloadSETSData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSETS As Long, _
                     ByVal szSETStype As String, _
                     ByRef aiCARDnum As Long, _
                     ByRef aiSETSbegcol As Long, _
                     ByRef aiSETScols As Long) As Long

 Public Declare Function LSloadSemiContData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSCVars As Long, _
                     ByRef aiVars As Long, _
                     ByRef adL As Double, _
                     ByRef adU As Double) As Long

 Public Declare Function LSloadVarType _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szVarTypes As String) As Long

 Public Declare Function LSloadNameData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szTitle As String, _
                     ByVal szObjName As String, _
                     ByVal szRhsName As String, _
                     ByVal szRngName As String, _
                     ByVal szBndname As String, _
                     ByRef aszConNames As Long, _
                     ByRef aszVarNames As Long, _
                     ByRef aszConenames As Long) As Long

 Public Declare Function LSloadNLPData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiNLPcols As Long, _
                     ByRef anNLPcols As Long, _
                     ByRef adNLPcoef As Any, _
                     ByRef aiNLProws As Long, _
                     ByVal nNLPobj As Long, _
                     ByRef aiNLPobj As Long, _
                     ByRef adNLPobj As Any) As Long

 Public Declare Function LSloadInstruct _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByVal nObjs As Long, _
                     ByVal nVars As Long, _
                     ByVal nNumbers As Long, _
                     ByRef anObjSense As Long, _
                     ByVal szConType As String, _
                     ByVal szVarType As String, _
                     ByRef anInstruct As Long, _
                     ByVal nInstruct As Long, _
                     ByRef aiVars As Long, _
                     ByRef adNumVal As Double, _
                     ByRef adVarVal As Double, _
                     ByRef aiObjBeg As Long, _
                     ByRef anObjLen As Long, _
                     ByRef aiConBeg As Long, _
                     ByRef anConLen As Long, _
                     ByRef adLB As Double, _
                     ByRef adUB As Double) As Long

 Public Declare Function LSaddInstruct _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByVal nObjs As Long, _
                     ByVal nVars As Long, _
                     ByVal nNumbers As Long, _
                     ByRef anObjSense As Long, _
                     ByVal szConType As String, _
                     ByVal szVarType As String, _
                     ByRef anInstruct As Long, _
                     ByVal nInstruct As Long, _
                     ByRef aiCons As Long, _
                     ByRef adNumVal As Double, _
                     ByRef adVarVal As Double, _
                     ByRef aiObjBeg As Long, _
                     ByRef anObjLen As Long, _
                     ByRef aiConBeg As Long, _
                     ByRef anConLen As Long, _
                     ByRef adLB As Double, _
                     ByRef adUB As Double) As Long

 Public Declare Function LSloadStringData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nStrings As Long, _
                     ByVal aszStringData As String) As Long

 Public Declare Function LSloadString _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szString As String) As Long

 Public Declare Function LSbuildStringData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long) As Long

 Public Declare Function LSdeleteStringData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long) As Long

 Public Declare Function LSdeleteString _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long) As Long

 Public Declare Function LSgetStringValue _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iString As Long, _
                     ByRef dValue As Double) As Long

 Public Declare Function LSgetConstraintProperty _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal ndxCons As Long, _
                     ByRef nConptype As Long) As Long

 Public Declare Function LSsetConstraintProperty _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal ndxCons As Long, _
                     ByVal nConptype As Long) As Long

 Public Declare Function LSloadMultiStartSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nIndex As Long) As Long

 Public Declare Function LSloadGASolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nIndex As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Solver Initialization Routines (6)                                 '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSloadBasis _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anCstatus As Long, _
                     ByRef anRstatus As Long) As Long

 Public Declare Function LSloadVarPriorities _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anCprior As Long) As Long

 Public Declare Function LSreadVarPriorities _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSloadVarStartPoint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSloadVarStartPointPartial _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCols As Long, _
                     ByRef aiCols As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSloadMIPVarStartPoint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSloadMIPVarStartPointPartial _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCols As Long, _
                     ByRef aiCols As Long, _
                     ByRef aiPrimal As Long) As Long

 Public Declare Function LSreadVarStartPoint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSloadBlockStructure _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nBlock As Long, _
                     ByRef anRblock As Long, _
                     ByRef anCblock As Long, _
                     ByVal nType As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Optimization Routines (3)                                          '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSoptimize _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nMethod As Long, _
                     ByRef nSolStatus As Long) As Long

 Public Declare Function LSsolveMIP _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nMIPSolStatus As Long) As Long

 Public Declare Function LSsolveGOP _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nGOPSolStatus As Long) As Long

 Public Declare Function LSoptimizeQP _
 Lib "LINDO8_0.DLL" (ByVal nModel As Any, _
                     ByRef nQPSolStatus As Long) As Long

 Public Declare Function LScheckConvexity _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long) As Long

 Public Declare Function LSsolveSBD _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nStages As Long, _
                     ByRef anRowStage As Long, _
                     ByRef anColStage As Long, _
                     ByRef nStatus As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Solution Query Routines (13)                                       '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

  ' query general model and solver information '/
 Public Declare Function LSgetInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQuery As Long, _
                     ByRef nvResult As Any) As Long

  ' query continous models '/
 Public Declare Function LSgetPrimalSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSgetDualSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adDual As Double) As Long

 Public Declare Function LSgetReducedCosts _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adRedcosts As Double) As Long

 Public Declare Function LSgetReducedCostsCone _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adRedcosts As Double) As Long

 Public Declare Function LSgetSlacks _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adSlacks As Double) As Long

 Public Declare Function LSgetBasis _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anCstatus As Long, _
                     ByRef anRstatus As Long) As Long

 Public Declare Function LSgetSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nWhich As Long, _
                     ByRef adVal As Double) As Long

  ' query integer models '/
 Public Declare Function LSgetMIPPrimalSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSgetMIPDualSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adDual As Double) As Long

 Public Declare Function LSgetMIPReducedCosts _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adRedcosts As Double) As Long

 Public Declare Function LSgetMIPSlacks _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adSlacks As Double) As Long

 Public Declare Function LSgetMIPBasis _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anCstatus As Long, _
                     ByRef anRstatus As Long) As Long

 Public Declare Function LSgetNextBestMIPSol _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nIntModStatus As Long) As Long

 Public Declare Function LSgetKBestMIPSols _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String, _
                     ByVal nfMIPCallback As Any, _
                     ByRef nvCbData As Any, _
                     ByVal nMaxSols As Long) As Long

  '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
  ' Model Query Routines (13)                                         '
  '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSgetLPData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef dObjSense As Long, _
                     ByRef dObjConst As Double, _
                     ByRef adC As Double, _
                     ByRef adB As Double, _
                     ByVal achConTypes As String, _
                     ByRef aiAcols As Long, _
                     ByRef anAcols As Long, _
                     ByRef adAcoef As Double, _
                     ByRef aiArows As Long, _
                     ByRef adL As Double, _
                     ByRef adU As Double) As Long

 Public Declare Function LSgetQCData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiQCrows As Long, _
                     ByRef aiQCcols1 As Long, _
                     ByRef aiQCcols2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSgetQCDatai _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCon As Long, _
                     ByRef nQCnnz As Long, _
                     ByRef aiQCcols1 As Long, _
                     ByRef aiQCcols2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSgetVarType _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal achVarTypes As String) As Long

 Public Declare Function LSgetVarStartPoint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSgetVarStartPointPartial _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anCols As Long, _
                     ByRef aiCols As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSgetMIPVarStartPointPartial _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anCols As Long, _
                     ByRef aiCols As Long, _
                     ByRef aiPrimal As Long) As Long

 Public Declare Function LSgetMIPVarStartPoint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double) As Long

 Public Declare Function LSgetSETSData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef iNsets As Long, _
                     ByRef iNtnz As Long, _
                     ByVal achSETtype As String, _
                     ByRef iCardnum As Long, _
                     ByRef iNnz As Long, _
                     ByRef iBegset As Long, _
                     ByRef iVarndx As Long) As Long

 Public Declare Function LSgetSETSDatai _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iSet As Long, _
                     ByVal achSETType As String, _
                     ByRef iCardnum As Long, _
                     ByRef iNnz As Long, _
                     ByRef iVarndx As Long) As Long

 Public Declare Function LSgetSemiContData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef iNvars As Long, _
                     ByRef iVarndx As Long, _
                     ByRef adL As Double, _
                     ByRef adU As Double) As Long

 Public Declare Function LSgetNameData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal achTitle As String, _
                     ByVal achObjName As String, _
                     ByVal achRhsName As String, _
                     ByVal achRngName As String, _
                     ByVal achBndname As String, _
                     ByRef achConNames As Long, _
                     ByRef achConNameData As Byte, _
                     ByRef achVarNames As Long, _
                     ByRef achVarNameData As Byte) As Long

 Public Declare Function LSgetLPVariableDataj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iVar As Long, _
                     ByVal achVartype As String, _
                     ByRef dC As Double, _
                     ByRef dL As Double, _
                     ByRef dU As Double, _
                     ByRef nAnnz As Long, _
                     ByRef aiArows As Long, _
                     ByRef adAcoef As Double) As Long

 Public Declare Function LSgetVariableNamej _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iVar As Long, _
                     ByVal achVarName As String) As Long

 Public Declare Function LSgetVariableIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szVarName As String, _
                     ByRef iVar As Long) As Long

 Public Declare Function LSgetConstraintNamei _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCon As Long, _
                     ByVal achConName As String) As Long

 Public Declare Function LSgetConstraintIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szConName As String, _
                     ByRef iCon As Long) As Long

 Public Declare Function LSgetConstraintDatai _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCon As Long, _
                     ByVal achConType As String, _
                     ByVal achIsNlp As String, _
                     ByRef dB As Double) As Long

 Public Declare Function LSgetLPConstraintDatai _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCon As Long, _
                     ByVal achConType As String, _
                     ByRef dB As Double, _
                     ByRef nNnz As Long, _
                     ByRef iVar As Long, _
                     ByRef dAcoef As Double) As Long

 Public Declare Function LSgetConeNamei _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCone As Long, _
                     ByVal achConeName As String) As Long

 Public Declare Function LSgetConeIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szConeName As String, _
                     ByRef iCone As Long) As Long

 Public Declare Function LSgetConeDatai _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCone As Long, _
                     ByVal achConeType As String, _
                     ByRef iNnz As Long, _
                     ByRef aiCols As Long) As Long

 Public Declare Function LSgetNLPData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiNLPcols As Long, _
                     ByRef anNLPcols As Long, _
                     ByRef adNLPcoef As Double, _
                     ByRef aiNLProws As Long, _
                     ByRef nNLPobj As Long, _
                     ByRef aiNLPobj As Long, _
                     ByRef adNLPobj As Double, _
                     ByVal achNLPConTypes As String) As Long

 Public Declare Function LSgetNLPConstraintDatai _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iCon As Long, _
                     ByRef nNnz As Long, _
                     ByRef aiNLPcols As Long, _
                     ByRef adNLPcoef As Double) As Long

 Public Declare Function LSgetNLPVariableDataj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iVar As Long, _
                     ByRef nNnz As Long, _
                     ByRef anNLProws As Long, _
                     ByRef adNLPcoef As Double) As Long

 Public Declare Function LSgetNLPObjectiveData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nNLPobjnnz As Long, _
                     ByRef aiNLPobj As Long, _
                     ByRef adNLPobj As Double) As Long

 Public Declare Function LSgetDualModel _
 Lib "LINDO6_0.DLL" (ByVal nModel As Long, _
                     ByVal nDualModel As Long)

 Public Declare Function LSgetInstruct _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nObjSense As Long, _
                     ByVal achConType As String, _
                     ByVal achVarType As String, _
                     ByRef anCode As Long, _
                     ByRef adNumVal As Double, _
                     ByRef adVarVal As Double, _
                     ByRef anObjBeg As Long, _
                     ByRef anObjLength As Long, _
                     ByRef anConBeg As Long, _
                     ByRef anConLength As Long, _
                     ByRef adLwrBnd As Double, _
                     ByRef adUprBnd As Double) As Long

 Public Declare Function LScalinfeasMIPsolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef dIntPfeas As Double, _
                     ByRef nbConsPfeas As Double, _
                     ByRef dPrimalMipsol As Double) As Long

 Public Declare Function LSgetRoundMIPsolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double, _
                     ByRef adPrimalRound As Double, _
                     ByRef adObjRound As Double, _
                     ByRef adPfeasRound As Double, _
                     ByRef nstatus As Long, _
                     ByVal iUseOpti As Long) As Long

 Public Declare Function LSgetDuplicateColumns _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCheckVals As Long, _
                     ByRef nSets As Long, _
                     ByRef aiSetsBeg As Long, _
                     ByRef aiCols As Long) As Long

 Public Declare Function LSgetRangeData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adR As Double) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '  Model Modification Routines (22)                                  '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSaddConstraints _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nNumaddcons As Long, _
                     ByVal szConTypes As String, _
                     ByVal aszConNames As String, _
                     ByRef aiArows As Long, _
                     ByRef adAcoef As Double, _
                     ByRef aiAcols As Long, _
                     ByRef adB As Double) As Long

 Public Declare Function LSaddVariables _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nNumaddvars As Long, _
                     ByVal szVarTypes As String, _
                     ByVal aszVarNames As String, _
                     ByRef aiAcols As Long, _
                     ByRef anAcols As Long, _
                     ByRef adAcoef As Double, _
                     ByRef aiArows As Long, _
                     ByRef adC As Double, _
                     ByRef adL As Double, _
                     ByRef adU As Double) As Long

 Public Declare Function LSaddCones _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCone As Long, _
                     ByVal szConeTypes As String, _
                     ByVal aszConenames As String, _
                     ByRef aiConebegcol As Long, _
                     ByRef aiConeCols As Long) As Long

 Public Declare Function LSaddSETS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSETS As Long, _
                     ByVal szSETStype As String, _
                     ByRef aiCARDnum As Long, _
                     ByRef aiSETSbegcol As Long, _
                     ByRef aiSETScols As Long) As Long

 Public Declare Function LSaddQCterms _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQCnonzeros As Long, _
                     ByRef aiQCconndx As Long, _
                     ByRef aiQCvarndx1 As Long, _
                     ByRef aiQCvarndx2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSdeleteConstraints _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByRef aiCons As Long) As Long

 Public Declare Function LSdeleteCones _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCones As Long, _
                     ByRef aiCones As Long) As Long

 Public Declare Function LSdeleteSETS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSETS As Long, _
                     ByRef aiSETS As Long) As Long

 Public Declare Function LSdeleteSemiContVars _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSCVars As Long, _
                     ByRef aiSCVars As Long) As Long

 Public Declare Function LSdeleteVariables _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nVars As Long, _
                     ByRef aiVars As Long) As Long

 Public Declare Function LSdeleteQCterms _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByRef aiCons As Long) As Long

 Public Declare Function LSdeleteAj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iVar1 As Long, _
                     ByVal nRows As Long, _
                     ByRef aiRows As Long) As Long

 Public Declare Function LSmodifyLowerBounds _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nVars As Long, _
                     ByRef aiVars As Long, _
                     ByRef adL As Double) As Long

 Public Declare Function LSmodifyUpperBounds _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nVars As Long, _
                     ByRef aiVars As Long, _
                     ByRef adU As Double) As Long

 Public Declare Function LSmodifyRHS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByRef aiCons As Long, _
                     ByRef adB As Double) As Long

 Public Declare Function LSmodifyObjective _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nVars As Long, _
                     ByRef aiVars As Long, _
                     ByRef adC As Double) As Long

 Public Declare Function LSmodifyObjConstant _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal dObjConst As Double) As Long

 Public Declare Function LSmodifyAj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iVar1 As Long, _
                     ByVal nRows As Long, _
                     ByRef aiRows As Long, _
                     ByRef adAj As Double) As Long

 Public Declare Function LSmodifyCone _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal cConeType As String, _
                     ByVal iConeNum As Long, _
                     ByVal iConeNnz As Long, _
                     ByRef aiConeCols As Long) As Long

 Public Declare Function LSmodifySET _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal cSETtype As String, _
                     ByVal iSETnum As Long, _
                     ByVal iSETnnz As Long, _
                     ByRef aiSETcols As Long) As Long

 Public Declare Function LSmodifySemiContVars _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSCVars As Long, _
                     ByRef aiSCVars As Long, _
                     ByRef adL As Double, _
                     ByRef adU As Double) As Long

 Public Declare Function LSmodifyConstraintType _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByRef aiCons As Long, _
                     ByVal szConTypes As String) As Long

 Public Declare Function LSmodifyVariableType _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nVars As Long, _
                     ByRef aiVars As Long, _
                     ByVal szVarTypes As String) As Long

 Public Declare Function LSaddNLPAj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iVar1 As Long, _
                     ByVal nRows As Long, _
                     ByRef aiRows As Long, _
                     ByRef adAj As Double) As Long

 Public Declare Function LSaddNLPobj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCols As Long, _
                     ByRef aiCols As Long, _
                     ByRef adColj As Double) As Long

 Public Declare Function LSdeleteNLPobj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCols As Long, _
                     ByRef aiCols As Long) As Long

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '   Model & Solution Analysis Routines (10)                         '
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSgetConstraintRanges _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adDec As Double, _
                     ByRef adInc As Double) As Long

 Public Declare Function LSgetObjectiveRanges _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adDec As Double, _
                     ByRef adInc As Double) As Long

 Public Declare Function LSgetBoundRanges _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adDec As Double, _
                     ByRef adInc As Double) As Long

 Public Declare Function LSgetBestBounds _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adBestL As Double, _
                     ByRef adBestU As Double) As Long

 Public Declare Function LSfindIIS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nLevel As Long) As Long

 Public Declare Function LSfindIUS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nLevel As Long) As Long

 Public Declare Function LSfindBlockStructure _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nBlock As Long, _
                     ByVal nType As Long) As Long

 Public Declare Function LSgetIIS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nSuf_r As Long, _
                     ByRef nIIS_r As Long, _
                     ByRef aiCons As Long, _
                     ByRef nSuf_c As Long, _
                     ByRef nIIS_c As Long, _
                     ByRef aiVars As Long, _
                     ByRef anBnds As Long) As Long

 Public Declare Function LSgetIUS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nSuf As Long, _
                     ByRef nIUS As Long, _
                     ByRef aiVars As Long) As Long

 Public Declare Function LSgetBlockStructure _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nBlock As Long, _
                     ByRef anRblock As Long, _
                     ByRef anCblock As Long, _
                     ByRef nType As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Advanced Routines (6)                                              '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSdoBTRAN _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef cYnz As Long, _
                     ByRef aiY As Long, _
                     ByRef adY As Double, _
                     ByRef cXnz As Long, _
                     ByRef aiX As Long, _
                     ByRef adX As Double) As Long

 Public Declare Function LSdoFTRAN _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef cYnz As Long, _
                     ByRef aiY As Long, _
                     ByRef adY As Double, _
                     ByRef cXnz As Long, _
                     ByRef aiX As Long, _
                     ByRef adX As Double) As Long

  ' function and gradient evaluations '/
 Public Declare Function LScalcObjFunc _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double, _
                     ByRef dObjval As Double) As Long

 Public Declare Function LScalcConFunc _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iRow As Long, _
                     ByRef adPrimal As Double, _
                     ByRef adSlacks As Double) As Long

 Public Declare Function LScalcObjGrad _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double, _
                     ByVal nParList As Long, _
                     ByRef aiParList As Long, _
                     ByRef adParGrad As Double) As Long

 Public Declare Function LScalcConGrad _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iRow As Long, _
                     ByRef adPrimal As Double, _
                     ByVal nParList As Long, _
                     ByRef aiParList As Long, _
                     ByRef adParGrad As Double) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Callback Management Routines (9)                                   '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LSsetCallback _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfCallback As Any, _
                     ByRef nvCbData As Any) As Long

 Public Declare Function LSsetMIPCallback _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfMIPCallback As Any, _
                     ByRef nvCbData As Any) As Long

 Public Declare Function LSsetMIPCCStrategy _
 Lib "LINDO8_0.DLL" (ByVal model As Long, _
                     ByVal MIP_strategy As Any, _
                     ByVal nRunId As Long, _
                     ByVal szParamFile As String, _
                     ByRef nvCbData As Any) As Long

 Public Declare Function LSsetMIPCallbackInsMIPSol _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfMIPCallback As Any, _
                     ByRef nvCbData As Any) As Long

 Public Declare Function LSsetMIPCallbackInsMIPObj _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfMIPCallback As Any, _
                     ByRef nvCbData As Any) As Long

 Public Declare Function LSgetCallbackInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nLocation As Long, _
                     ByVal nQuery As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSgetMIPCallbackInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQuery As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSgetProgressInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nLocation As Long, _
                     ByVal nQuery As Long, _
                     ByRef nvValue As Any) As Long

  ' function evaluation routines for NLP solvers '/
 Public Declare Function LSsetGradcalc _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfGrad_func As Any, _
                     ByRef nvUserData As Any, _
                     ByVal nLenUseGrad As Long, _
                     ByRef nUseGrad As Long) As Long

 Public Declare Function LSsetFuncalc _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfFunc As Any, _
                     ByRef nvFData As Any) As Long

 Public Declare Function LSsetEnvLogfunc _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nfLocFunc As Any, _
                     ByRef nvPrData As Any) As Long

 Public Declare Function LSsetModelLogfunc _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfLocFunc As Any, _
                     ByRef nvPrData As Any) As Long

 Public Declare Function LSsetUsercalc _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfUser_func As Any, _
                     ByRef nvUserData As Any) As Long

 Public Declare Function LSsetEnvExitFunc _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nfUser_func As Any, _
                     ByRef nvUserData As Any) As Long

 Public Declare Function LSsetGOPCallback _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nfGOP_caller As Any, _
                     ByRef nvPrData As Any) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 '  Memory Related Routines (7)                                       '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Sub LSfreeSolverMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 Public Declare Sub LSfreeHashMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 Public Declare Sub LSfreeSolutionMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 Public Declare Sub LSfreeMIPSolutionMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 Public Declare Sub LSfreeGOPSolutionMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 Public Declare Function LSsetProbAllocSizes _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal n_vars_alloc As Long, _
                     ByVal n_cons_alloc As Long, _
                     ByVal n_QC_alloc As Long, _
                     ByVal n_Annz_alloc As Long, _
                     ByVal n_Qnnz_alloc As Long, _
                     ByVal n_NLPnnz_alloc As Long) As Long

 Public Declare Function LSsetProbNameAllocSizes _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal n_varname_alloc As Long, _
                     ByVal n_rowname_alloc As Long) As Long

 Public Declare Function LSaddEmptySpacesAcolumns _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiColnnz As Long) As Long

 Public Declare Function LSaddEmptySpacesNLPAcolumns _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiColnnz As Long) As Long

 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' new  callback functions from version 5.+  external solver          '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 ' Distribution function delegates '/
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' new  functions from version 5.+                                    '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

 Public Declare Function LScheckQterms _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nCons As Long, _
                     ByRef aiCons As Long, _
                     ByRef aiType As Long) As Long


 Public Declare Function LScomputeFunction _
 Lib "LINDO8_0.DLL" (ByVal inst As Long, _
                     ByRef dInput As Double, _
                     ByRef dOutput As Double) As Long

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ''
 ''    Stochastic Programming Interface
 ''
 ''    LINDO API Version 8.0
 ''    Copyright (c) 2006-2013
 ''
 ''    LINDO Systems, Inc.            312.988.7422
 ''    1415 North Dayton St.          info@lindo.com
 ''    Chicago, IL 60622              http://www.lindo.com
 ''
 ''    $Id: lindo.bas 1043 2013-01-23 15:48:57Z mka $
 ''
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/
 ' basic I/O routines '/
 Public Declare Function LSwriteDeteqMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFilename As String, _
                     ByVal nFormat As Long, _
                     ByVal iType As Long) As Long

 Public Declare Function LSwriteDeteqLINDOFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFilename As String, _
                     ByVal iType As Long) As Long

 Public Declare Function LSwriteSMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szCorefile As String, _
                     ByVal szTimefile As String, _
                     ByVal szStocfile As String, _
                     ByVal nCoretype As Long) As Long

 Public Declare Function LSreadSMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szCorefile As String, _
                     ByVal szTimefile As String, _
                     ByVal szStocfile As String, _
                     ByVal nCoretype As Long) As Long

 Public Declare Function LSwriteSMPIFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szCorefile As String, _
                     ByVal szTimefile As String, _
                     ByVal szStocfile As String) As Long

 Public Declare Function LSreadSMPIFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szCorefile As String, _
                     ByVal szTimefile As String, _
                     ByVal szStocfile As String) As Long

 Public Declare Function LSwriteScenarioSolutionFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteNodeSolutionFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal iStage As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteScenarioMPIFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal szFname As String) As Long

 Public Declare Function LSwriteScenarioMPSFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal szFname As String, _
                     ByVal nFormat As Long) As Long

 Public Declare Function LSwriteScenarioLINDOFile _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal szFname As String) As Long

 ' parameter routines '/
 Public Declare Function LSsetModelStocDouParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iPar As Long, _
                     ByVal dVal As Double) As Long

 Public Declare Function LSgetModelStocDouParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iPar As Long, _
                     ByRef dVal As Double) As Long

 Public Declare Function LSsetModelStocIntParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iPar As Long, _
                     ByVal iVal As Long) As Long

 Public Declare Function LSgetModelStocIntParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iPar As Long, _
                     ByRef iVal As Long) As Long

 ' general query routines '/
 Public Declare Function LSgetScenarioIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szName As String, _
                     ByRef nIndex As Long) As Long

 Public Declare Function LSgetStageIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szName As String, _
                     ByRef nIndex As Long) As Long

 Public Declare Function LSgetStocParIndex _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szName As String, _
                     ByRef nIndex As Long) As Long

 Public Declare Function LSgetStocParName _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nIndex As Long, _
                     ByVal achName As String) As Long

 Public Declare Function LSgetScenarioName _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nIndex As Long, _
                     ByVal achName As String) As Long

 Public Declare Function LSgetStageName _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nIndex As Long, _
                     ByVal achName As String) As Long

 Public Declare Function LSgetStocInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQuery As Long, _
                     ByVal nParam As Long, _
                     ByRef nvResult As Any) As Long

 Public Declare Function LSgetStocCCPInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQuery As Long, _
                     ByVal nScenarioIndex As Long, _
                     ByVal nCPPIndex As Long, _
                     ByRef nvResult As Any) As Long

 Public Declare Function LSloadSampleSizes _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anSampleSize As Long) As Long

 Public Declare Function LSloadConstraintStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anStage As Long) As Long

 Public Declare Function LSloadVariableStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anStage As Long) As Long

 Public Declare Function LSloadStageData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal numStages As Long, _
                     ByRef anRstage As Long, _
                     ByRef anCstage As Long) As Long

 Public Declare Function LSloadStocParData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anSparStage As Long, _
                     ByRef adSparValue As Double) As Long

 Public Declare Function LSloadStocParNames _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSvars As Long, _
                     ByVal aszSVarNames As String) As Long

 Public Declare Function LSgetDeteqModel _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iDeqType As Long, _
                     ByRef nErrorCode As Long) As Long

 Public Declare Function LSaggregateStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anScheme As Long, _
                     ByVal nLength As Long) As Long

 Public Declare Function LSgetStageAggScheme _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anScheme As Long, _
                     ByRef nLength As Long) As Long

 Public Declare Function LSdeduceStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nMaxStage As Long, _
                     ByRef anRowStagse As Long, _
                     ByRef anColStages As Long, _
                     ByRef anSparStage As Long) As Long

 ' optimization routines '/
 Public Declare Function LSsolveSP _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nStatus As Long) As Long

 Public Declare Function LSsolveHS _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSearchMethod As Long, _
                     ByRef nStatus As Long) As Long

 ' solution access routines '/
 Public Declare Function LSgetScenarioObjective _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef nObj As Double) As Long

 Public Declare Function LSgetNodePrimalSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal iStage As Long, _
                     ByRef adX As Double) As Long

 Public Declare Function LSgetNodeDualSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal iStage As Long, _
                     ByRef adY As Double) As Long

 Public Declare Function LSgetNodeReducedCost _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal iStage As Long, _
                     ByRef adX As Double) As Long

 Public Declare Function LSgetNodeSlacks _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal iStage As Long, _
                     ByRef adY As Double) As Long

 Public Declare Function LSgetScenarioPrimalSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef adX As Double, _
                     ByRef nObj As Double) As Long

 Public Declare Function LSgetScenarioReducedCost _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef adD As Double) As Long

 Public Declare Function LSgetScenarioDualSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef adY As Double) As Long

 Public Declare Function LSgetScenarioSlacks _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef adS As Double) As Long

 Public Declare Function LSgetNodeListByScenario _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef aiNodes As Long, _
                     ByRef nNodes As Long) As Long

 Public Declare Function LSgetProbabilityByScenario _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef dProb As Double) As Long

 Public Declare Function LSgetProbabilityByNode _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iNode As Long, _
                     ByRef dProb As Double) As Long

 Public Declare Function LSgetStocParData _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiStages As Long, _
                     ByRef adVals As Double) As Long

 ' load stochastic data '/
 Public Declare Function LSaddDiscreteBlocks _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iStage As Long, _
                     ByVal nRealzBlock As Long, _
                     ByRef adProb As Double, _
                     ByRef akStart As Long, _
                     ByRef aiRows As Long, _
                     ByRef aiCols As Long, _
                     ByRef aiStvs As Long, _
                     ByRef adVals As Double, _
                     ByVal nModifyRule As Long) As Long

 Public Declare Function LSaddScenario _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByVal iParentScen As Long, _
                     ByVal iStage As Long, _
                     ByVal dProb As Double, _
                     ByVal nElems As Long, _
                     ByRef aiRows As Long, _
                     ByRef aiCols As Long, _
                     ByRef aiStvs As Long, _
                     ByRef adVals As Double, _
                     ByVal nModifyRule As Long) As Long

 Public Declare Function LSaddDiscreteIndep _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iRow As Long, _
                     ByVal jCol As Long, _
                     ByVal iStv As Long, _
                     ByVal nRealizations As Long, _
                     ByRef adProbs As Double, _
                     ByRef adVals As Double, _
                     ByVal nModifyRule As Long) As Long

 Public Declare Function LSaddParamDistIndep _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iRow As Long, _
                     ByVal jCol As Long, _
                     ByVal iStv As Long, _
                     ByVal nDistType As Long, _
                     ByVal nParams As Long, _
                     ByRef adParams As Double, _
                     ByVal iModifyRule As Long) As Long

 Public Declare Function LSaddUserDist _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iRow As Long, _
                     ByVal jCol As Long, _
                     ByVal iStv As Long, _
                     ByVal nfUserFunc As Any, _
                     ByVal nSamples As Long, _
                     ByRef paSamples As Any, _
                     ByRef nvUserData As Any, _
                     ByVal iModifyRule As Long) As Long

 Public Declare Function LSaddChanceConstraint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iSense As Long, _
                     ByVal nCons As Long, _
                     ByRef aiCons As Long, _
                     ByVal dPrLevel As Double, _
                     ByVal dObjWeight As Double) As Long

 Public Declare Function LSsetNumStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal numStages As Long) As Long

 Public Declare Function LSgetStocParOutcomes _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef adVals As Double, _
                     ByRef adProbs As Double) As Long

 Public Declare Function LSloadCorrelationMatrix _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nDim As Long, _
                     ByVal nCorrType As Long, _
                     ByVal nQCnnz As Long, _
                     ByRef aiQCcols1 As Long, _
                     ByRef aiQCcols2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSgetCorrelationMatrix _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iFlag As Long, _
                     ByVal nCorrType As Long, _
                     ByRef nQCnnz As Long, _
                     ByRef aiQCcols1 As Long, _
                     ByRef aiQCcols2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSgetStocParSample _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iStv As Long, _
                     ByVal iRow As Long, _
                     ByVal jCol As Long, _
                     ByRef nErrorCode As Long) As Long

 Public Declare Function LSgetDiscreteBlocks _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iEvent As Long, _
                     ByRef nDistType As Long, _
                     ByRef iStage As Long, _
                     ByRef nRealzBlock As Long, _
                     ByRef adProbs As Double, _
                     ByRef iModifyRule As Long) As Long

 Public Declare Function LSgetDiscreteBlockOutcomes _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iEvent As Long, _
                     ByVal iRealz As Long, _
                     ByRef nRealz As Long, _
                     ByRef aiArows As Long, _
                     ByRef aiAcols As Long, _
                     ByRef aiStvs As Long, _
                     ByRef adVals As Double) As Long

 Public Declare Function LSgetDiscreteIndep _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iEvent As Long, _
                     ByRef nDistType As Long, _
                     ByRef iStage As Long, _
                     ByRef iRow As Long, _
                     ByRef jCol As Long, _
                     ByRef iStv As Long, _
                     ByRef nRealizations As Long, _
                     ByRef adProbs As Double, _
                     ByRef adVals As Double, _
                     ByRef iModifyRule As Long) As Long

 Public Declare Function LSgetParamDistIndep _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iEvent As Long, _
                     ByRef nDistType As Long, _
                     ByRef iStage As Long, _
                     ByRef iRow As Long, _
                     ByRef jCol As Long, _
                     ByRef iStv As Long, _
                     ByRef nParams As Long, _
                     ByRef adParams As Double, _
                     ByRef iModifyRule As Long) As Long

 Public Declare Function LSgetScenario _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal jScenario As Long, _
                     ByRef iParentScen As Long, _
                     ByRef iBranchStage As Long, _
                     ByRef dProb As Double, _
                     ByRef nRealz As Long, _
                     ByRef aiArows As Long, _
                     ByRef aiAcols As Long, _
                     ByRef aiStvs As Long, _
                     ByRef adVals As Double, _
                     ByRef iModifyRule As Long) As Long

 Public Declare Function LSgetChanceConstraint _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iChance As Long, _
                     ByRef iSense As Long, _
                     ByRef nCons As Long, _
                     ByRef aiCons As Long, _
                     ByRef dProb As Double, _
                     ByRef dObjWeight As Double) As Long

 Public Declare Function LSgetSampleSizes _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anSampleSize As Long) As Long

 Public Declare Function LSgetConstraintStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anStage As Long) As Long

 Public Declare Function LSgetVariableStages _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anStage As Long) As Long

 Public Declare Function LSgetStocRowIndices _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef aiSrows As Long) As Long

 Public Declare Function LSsetStocParRG _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal iStv As Long, _
                     ByVal iRow As Long, _
                     ByVal jCol As Long, _
                     ByVal pRG As Long) As Long
                     
 Public Declare Function LSgetScenarioModel _
 Lib "LINDO8_0.DLL" (ByVal nModel As Any, _
                     ByVal jScenario As Long, _
                     ByRef nErrorCode As Long) As Long

 ' memory routines '/
 Public Declare Sub LSfreeStocMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 Public Declare Sub LSfreeStocHashMemory _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long)

 ' stochastic parameter routines '/
 Public Declare Function LSgetModelStocParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQuery As Long, _
                     ByRef nvResult As Any) As Long

 Public Declare Function LSsetModelStocParameter _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nQuery As Long, _
                     ByRef nvResult As Any) As Long

 Public Declare Function LSsetEnvStocParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByRef nvValue As Any) As Long

 Public Declare Function LSgetEnvStocParameter _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nParameter As Long, _
                     ByRef nvValue As Any) As Long

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ''
 ''    Statistical Calculations Interface
 ''
 ''    LINDO API Version 8.0
 ''    Copyright (c) 2006-2013
 ''
 ''    LINDO Systems, Inc.            312.988.7422
 ''    1415 North Dayton St.          info@lindo.com
 ''    Chicago, IL 60622              http://www.lindo.com
 ''
 ''    $Id: lindo.bas 1043 2013-01-23 15:48:57Z mka $
 ''
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/
 ' Public Functions '/
 Public Declare Function LSsampCreate _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nDistType As Long, _
                     ByRef nErrorCode As Long) As Long

 Public Declare Function LSsampDelete _
 Lib "LINDO8_0.DLL" (ByRef nSample As Any) As Long

 Public Declare Function LSsampSetUserDistr _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nFunc As Any) As Long

 Public Declare Function LSsampSetUserCdf _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nFunc As Any) As Long

 Public Declare Function LSsampSetUserCdfInv _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nFunc As Any) As Long

 Public Declare Function LSsampSetUserPdfDiff _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nFunc As Any) As Long

 Public Declare Function LSsampSetDistrParam _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nIndex As Long, _
                     ByVal dValue As Double) As Long

 Public Declare Function LSsampGetDistrParam _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nIndex As Long, _
                     ByRef dValue As Double) As Long

 Public Declare Function LSsampEvalDistr _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nFuncType As Long, _
                     ByVal dXval As Double, _
                     ByRef dResult As Double) As Long

 Public Declare Function LSsampEvalUserDistr _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nFuncType As Long, _
                     ByRef adXval As Double, _
                     ByVal nDim As Long, _
                     ByRef dResult As Double) As Long

 Public Declare Function LSsampSetRG _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nRG As Any) As Long

 Public Declare Function LSsampGenerate _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nMethod As Long, _
                     ByVal nSize As Long) As Long

 Public Declare Function LSsampGetPointsPtr _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nSampSize As Long, _
                     ByRef dXval As Double) As Long

 Public Declare Function LSsampGetPoints _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nSampSize As Long, _
                     ByRef dXval As Double) As Long

 Public Declare Function LSsampGetCIPointsPtr _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nSampSize As Long, _
                     ByRef dXval As Double) As Long

 Public Declare Function LSsampGetCIPoints _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nSampSize As Long, _
                     ByRef dXval As Double) As Long

 Public Declare Function LSsampInduceCorrelation _
 Lib "LINDO8_0.DLL" (ByRef aSample As Any, _
                     ByVal nDim As Long, _
                     ByVal nCorrType As Long, _
                     ByVal nQCnonzeros As Long, _
                     ByRef aiQCvarndx1 As Long, _
                     ByRef aiQCvarndx2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSsampGetCorrelationMatrix _
 Lib "LINDO8_0.DLL" (ByRef aSample As Any, _
                     ByVal nDim As Long, _
                     ByVal iFlag As Long, _
                     ByVal nCorrType As Long, _
                     ByRef nQCnonzeros As Long, _
                     ByRef aiQCvarndx1 As Long, _
                     ByRef aiQCvarndx2 As Long, _
                     ByRef adQCcoef As Double) As Long

 Public Declare Function LSsampLoadDiscretePdfTable _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nLen As Long, _
                     ByRef adProb As Double, _
                     ByRef adVals As Double) As Long

 Public Declare Function LSsampGetDiscretePdfTable _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByRef nLen As Long, _
                     ByRef adProb As Double, _
                     ByRef adVals As Double) As Long

 Public Declare Function LSsampGetInfo _
 Lib "LINDO8_0.DLL" (ByVal nSample As Any, _
                     ByVal nQuery As Long, _
                     ByRef nvResult As Any) As Long

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ''
 ''    Random Number Generation Interface
 ''
 ''    LINDO API Version 8.0
 ''    Copyright (c) 2006-2013
 ''
 ''    LINDO Systems, Inc.            312.988.7422
 ''    1415 North Dayton St.          info@lindo.com
 ''    Chicago, IL 60622              http://www.lindo.com
 ''
 ''    $Id: lindo.bas 1043 2013-01-23 15:48:57Z mka $
 ''
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/
 ' Public functions '/
 Public Declare Function LScreateRG _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nMethod As Long) As Long

 Public Declare Function LScreateRGMT _
 Lib "LINDO8_0.DLL" (ByVal nEnv As Any, _
                     ByVal nMethod As Long) As Long

 Public Declare Function LSgetDoubleRV _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any) As Long

 Public Declare Function LSgetInt32RV _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any, _
                     ByVal iLow As Long, _
                     ByVal iHigh As Long) As Long

 Public Declare Sub LSsetRGSeed _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any, _
                     ByVal nSeed As Long)

 Public Declare Sub LSdisposeRG _
 Lib "LINDO8_0.DLL" (ByRef npRG As Any)

 Public Declare Function LSsetDistrParamRG _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any, _
                     ByVal iParam As Long, _
                     ByVal dParam As Double) As Long

 Public Declare Function LSsetDistrRG _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any, _
                     ByVal nDistType As Long) As Long

 Public Declare Function LSgetDistrRV _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any, _
                     ByRef nvResult As Any) As Long

 Public Declare Function LSgetInitSeed _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any) As Long

 Public Declare Function LSgetRGNumThreads _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any, _
                     ByRef nThreads As Long) As Long

 Public Declare Function LSfillRGBuffer _
 Lib "LINDO8_0.DLL" (ByVal nRG As Any) As Long

 Public Declare Function LSgetRGBufferPtr _
 Lib "LINDO8_0.DLL" (ByRef nRG As Any, _
                     ByRef nBufferLen As Long) As Long

 ' Reserved functions '/
 Public Declare Function LSgetJavaHandle _
 Lib "LINDO8_0.DLL" (ByRef nvOwner As Any, _
                     ByVal iCastType As Long, _
                     ByVal iObject As Long, _
                     ByRef nvjObject As Any) As Long

 Public Declare Function LSsetJavaHandle _
 Lib "LINDO8_0.DLL" (ByRef nvOwner As Any, _
                     ByVal iCastType As Long, _
                     ByVal iObject As Long, _
                     ByRef nvjObject As Any) As Long

 ' Auxiliary functions '/

 Public Declare Function LSgetHistogram _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nSampSize As Long, _
                     ByRef adVals As Double, _
                     ByRef adWeights As Double, _
                     ByVal dHistLow As Double, _
                     ByVal dHistHigh As Double, _
                     ByRef nBins As Long, _
                     ByRef anBinCounts As Long, _
                     ByRef adBinProbs As Double, _
                     ByRef adBinLow As Double, _
                     ByRef adBinHigh As Double, _
                     ByRef adBinLeftEdge As Double, _
                     ByRef adBinRightEdge As Double) As Long

 Public Declare Function LSsampGetCorrDiff _
 Lib "LINDO8_0.DLL" (ByRef nModel As Long, _
                     ByVal nDim As Long, _
                     ByVal nDiffType As Long, _
                     ByRef dNorm1 As Double, _
                     ByRef dNorm2 As Double, _
                     ByRef dVecNormInf As Double) As Long

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ''
 ''    Date/Time Functions
 ''
 ''    LINDO API Version 8.0
 ''    Copyright (c) 2006-2013
 ''
 ''    LINDO Systems, Inc.            312.988.7422
 ''    1415 North Dayton St.          info@lindo.com
 ''    Chicago, IL 60622              http://www.lindo.com
 ''
 ''    $Id: lindo.bas 1183 2013-03-11 21:35:14Z mka $
 ''
 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/
 ' Documented Public functions '/
 Public Declare Function LSdateDiffSecs _
 Lib "LINDO8_0.DLL" (ByVal nYr1 As Long, _
                     ByVal nMon1 As Long, _
                     ByVal nDay1 As Long, _
                     ByVal nHr1 As Long, _
                     ByVal nMin1 As Long, _
                     ByVal dSec1 As Double, _
                     ByVal nYr2 As Long, _
                     ByVal nMon2 As Long, _
                     ByVal nDay2 As Long, _
                     ByVal nHr2 As Long, _
                     ByVal nMin2 As Long, _
                     ByVal dSec2 As Double, _
                     ByRef dSecdiff As Double) As Long

 Public Declare Function LSdateYmdhms _
 Lib "LINDO8_0.DLL" (ByVal dSecdiff As Double, _
                     ByVal nYr1 As Long, _
                     ByVal nMon1 As Long, _
                     ByVal nDay1 As Long, _
                     ByVal nHr1 As Long, _
                     ByVal nMin1 As Long, _
                     ByVal dSec1 As Double, _
                     ByRef nYr2 As Long, _
                     ByRef nMon2 As Long, _
                     ByRef nDay2 As Long, _
                     ByRef nHr2 As Long, _
                     ByRef nMin2 As Long, _
                     ByRef dSec2 As Double, _
                     ByRef nDow As Long) As Long

 Public Declare Function LSdateToday _
 Lib "LINDO8_0.DLL" (ByRef nYr1 As Long, _
                     ByRef nMon1 As Long, _
                     ByRef nDay1 As Long, _
                     ByRef nHr1 As Long, _
                     ByRef nMin1 As Long, _
                     ByRef dSec1 As Double, _
                     ByRef nDow As Long) As Long


 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
 ' Deprecated functions from version 1.x                              '
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''/

  ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetLicenseInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nMaxcons As Long, _
                     ByRef nMaxvars As Long, _
                     ByRef nMaxintvars As Long, _
                     ByRef nReserved1 As Long, _
                     ByRef nDaystoexp As Long, _
                     ByRef nDaystotrialexp As Long, _
                     ByRef nNlpAllowed As Long, _
                     ByRef nUsers As Long, _
                     ByRef nBarAllowed As Long, _
                     ByRef nRuntime As Long, _
                     ByRef nEdulicense As Long, _
                     ByVal achText As String) As Long

  ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetDimensions _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nVars As Long, _
                     ByRef nCons As Long, _
                     ByRef nCones As Long, _
                     ByRef nAnnz As Long, _
                     ByRef nQCnnz As Long, _
                     ByRef nConennz As Long, _
                     ByRef nNLPnnz As Long, _
                     ByRef nNLPobjnnz As Long, _
                     ByRef nVarNamelen As Long, _
                     ByRef nConNamelen As Long, _
                     ByRef nConeNamelen As Long) As Long

  ' Deprecated, use LSsolveMIP() '/
 Public Declare Function LSbnbSolve _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal szFname As String) As Long

  ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetDualMIPsolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef adPrimal As Double, _
                     ByRef adDual As Double, _
                     ByRef adRedcosts As Double, _
                     ByRef anCstatus As Long, _
                     ByRef anRstatus As Long) As Long

 ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetMIPSolutionStatus _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nStatus As Long) As Long

 ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetSolutionStatus _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nStatus As Long) As Long

 ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetObjective _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef dObjval As Double) As Long

 ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetSolutionInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nMethod As Long, _
                     ByRef nElapsed As Long, _
                     ByRef nSpxiter As Long, _
                     ByRef nBariter As Long, _
                     ByRef nNlpiter As Long, _
                     ByRef nPrimStatus As Long, _
                     ByRef nDualStatus As Long, _
                     ByRef nBasStatus As Long, _
                     ByRef dPobjval As Double, _
                     ByRef dDobjval As Double, _
                     ByRef dPinfeas As Double, _
                     ByRef dDinfeas As Double) As Long

 ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetMIPSolution _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef dPobjval As Double, _
                     ByRef adPrimal As Double) As Long

 ' Deprecated,  use LSgetInfo() '/
 Public Declare Function LSgetCurrentMIPSolutionInfo _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, ByRef nMIPstatus As Long, _
                     ByRef dMIPobjval As Double, ByRef dBestbound As Double, _
                     ByRef dSpxiter As Double, ByRef dBariter As Double, _
                     ByRef dNlpiter As Double, ByRef nLPcnt As Long, _
                     ByRef nBranchcnt As Long, ByRef nActivecnt As Long, _
                     ByRef nCons_prep As Long, ByRef nVars_prep As Long, _
                     ByRef nAnnz_prep As Long, ByRef nInt_prep As Long, _
                     ByRef nCut_contra As Long, ByRef nCut_obj As Long, _
                     ByRef nCut_gub As Long, ByRef nCut_lift As Long, _
                     ByRef nCut_flow As Long, ByRef nCut_gomory As Long, _
                     ByRef nCut_gcd As Long, ByRef nCut_clique As Long, _
                     ByRef nCut_disagg As Long, ByRef nCut_planloc As Long, _
                     ByRef nCut_latice As Long, ByRef nCut_coef As Long) As Long

 ''''''''''''''''''''''''''''''''''''''
 '  Convert constraint matrix into Lower Triangular Form
 ''''''''''''''''''''''''''''''''''''''/
 Public Declare Function LSfindLtf _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef anNewColIdx As Long, _
                     ByRef anNewRowIdx As Long, _
                     ByRef anNewColPos As Long, _
                     ByRef anNewRowPos As Long) As Long

 '''''''''''''''''''''''''''''''''''''''''''
 ' Branch and price
 ''''''''''''''''''''''''''''''''''''''''''/
 Public Declare Function LSsolveMipBnp _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByVal nBlock As Long, _
                     ByVal szFname As String, _
                     ByRef nStatus As Long) As Long

 'for displaying block structure found by graph partition(GP)'/
 Public Declare Function LSdisplayBlockStructure _
 Lib "LINDO8_0.DLL" (ByVal nModel As Long, _
                     ByRef nBlock As Long, _
                     ByRef anNewColIdx As Long, _
                     ByRef anNewRowIdx As Long, _
                     ByRef anNewColPos As Long, _
                     ByRef anNewRowPos As Long) As Long






